commit 58aaa15f12da6be896d89230bb8d21e9bd51e533
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 14:57:36 2014 -0400

    Release Gobby 0.5.0

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 04185b75a3780dc5188c5ed622536ba912237978
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 14:56:48 2014 -0400

    Add the appdata file to the distribution

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eed2e97f7a87677732f13acbdd3b0a6a5438d1c0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 14:06:51 2014 -0400

    Update translations for 0.5.0 release

 po/ca.po       | 680 ++++++++++++++++++++++++++++--------------------------
 po/de.po       | 688 +++++++++++++++++++++++++++++--------------------------
 po/el_GR.po    | 687 ++++++++++++++++++++++++++++--------------------------
 po/en_GB.po    | 685 ++++++++++++++++++++++++++++--------------------------
 po/fr.po       | 686 ++++++++++++++++++++++++++++--------------------------
 po/gobby05.pot | 635 +++++++++++++++++++++++++-------------------------
 po/ja.po       | 685 ++++++++++++++++++++++++++++--------------------------
 po/pt_BR.po    | 640 ++++++++++++++++++++++++++-------------------------
 po/zh_TW.po    | 679 ++++++++++++++++++++++++++++--------------------------
 9 files changed, 3124 insertions(+), 2941 deletions(-)

commit 667627d48b515c63fd003b31744afda86d1575fd
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 22 11:36:36 2014 -0400

    Avoid unnecessary preferences update on GtkFileChooserButton
    initialization

 code/dialogs/preferences-dialog.hpp | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit c3a097eaf43b2db995ca345577de9214794ac5e3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 22 11:36:27 2014 -0400

    Leave some space between statusbar icon and text

 code/core/statusbar.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f600761fc97b3028476f2970012b73c817354393
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 22 11:34:52 2014 -0400

    Don't show the same statusbar message more than once

 code/core/statusbar.cpp | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 399c9e27ebab04718da1220c7dc4eeb12d8c16db
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 19 23:04:14 2014 -0400

    Replace name resolver by the one in libinfinity

    This way we also support SRV records.

 code/core/browser.cpp                        |  48 ++++++-
 code/core/browser.hpp                        |   7 +-
 code/core/connectionmanager.cpp              | 179 ++++++++++++++++++-------
 code/core/connectionmanager.hpp              |  50 +++++--
 code/operations/operation-subscribe-path.cpp | 154 +++++++++------------
 code/operations/operation-subscribe-path.hpp |  19 ++-
 code/util/Makefile.am                        |   2 -
 code/util/resolv.cpp                         | 152 ---------------------
 code/util/resolv.hpp                         |  47 -------
 9 files changed, 288 insertions(+), 370 deletions(-)

commit e03b694c82277f8afdafbadebb6c496d64575856
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 17 22:28:01 2014 -0400

    Don't show "Create Account" option for local servers

    Local servers do not support creating an account anyway, and since the 0
    account ID is used to check the permission, taking away the permission
    for all ACL sheets is not detected.

 code/commands/browser-context-commands.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit fc1ae99cb083f45cc8dbe1e0948558d085e2a476
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 13 22:02:39 2014 -0400

    Adapt to recent InfAclAccount API changes in libinfinity

 code/commands/browser-context-commands.cpp | 11 +++++++----
 code/core/userjoin.cpp                     |  4 +++-
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 10afee1813bbebc03c8b5acba61dbba862d620a1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 10 22:32:37 2014 -0400

    Add a TODO item about using gsettings for preferences

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit 31d38ac02d4ee4f727c1d5b86e594c1078a949c4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 9 23:30:10 2014 -0400

    Update some links in the help file

 help/C/gobby.xml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 662f59dad8bde6f091ebd239b89fd5fa0ec97792
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 22:46:46 2014 -0400

    Small README.md updates

 README.md | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f578497e895b1005b09c4b7e5c301f4b45d15453
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 15:25:25 2014 -0400

    Add support for local chat notes

 code/core/browser.cpp    |  1 +
 code/core/noteplugin.cpp | 59 +++++++++++++++++++++++++++++++++++++++++++++-
 code/core/noteplugin.hpp |  1 +
 3 files changed, 60 insertions(+), 1 deletion(-)

commit 62109968f3b64e4a203d3ee650d7f4ccd2fe4de6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 13:30:36 2014 -0400

    Prevent session closure of local documents when opening preferences
    dialog

    The reason for the problem was that the "selection-changed" signal of
    GtkFileChooserButton is first emitted with the home directory and then
    again with the actual initial value. This caused the storage of the
    InfdDirectory to be reset temporarily.

    In principle, this can be fixed by using the "file-set" signal instead.
    However, a signal emission is missing when selecting an entry from the
    combo box instead of the file dialog. This was only fixed in GTK+ 3.10
    or later. Therefore, a workaround is implemented which uses the
    "selection-changed" signal but ignores it until it was first emitted
    with the initial value.

 code/dialogs/preferences-dialog.cpp | 25 ++++----------------
 code/dialogs/preferences-dialog.hpp | 43 ++++++++++++++++++++++++++++++++---
 2 files changed, 44 insertions(+), 24 deletions(-)

commit 048a4f220aaaba34c23d7206fe94e48f67c1e55c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 10:48:02 2014 -0400

    TextTabLabel: Make sure the modification character is always available

    Otherwise m_dot_char remains '\0' when on_style_updated() is not called
    since the widget is created, truncating the generated markup and
    provoking a warning message.

 code/core/texttablabel.cpp | 54 ++++++++++++++++++++++++--------------------
 code/core/texttablabel.hpp |  1 +
 2 files changed, 31 insertions(+), 24 deletions(-)

commit 6c4ccbf50bf679b6bc1590bac67d3af0b1525f51
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 10:37:19 2014 -0400

    Fix a crash when subscribing to a local document that has remote
    subscriptions

    This crash is strange since it happens in
    gtk_source_buffer_set_style_scheme() when the TextSessionView object is
    created. There is one subtle difference to the other two cases:

     * Subscribing to a remote document
     * Subscribing to a local document that has no remote subscriptions

    which is that the GtkSourceBuffer is newly created; while if there are
    remote subscriptions, then the buffer exists already and the style
    scheme is set on a buffer that is already in use for a while.

    Now, I don't see why this would produce a crash. I have moved the
    setting of the style scheme further up, before the buffer is connected
    to the GtkSourceView, and the problem seems to be gone. However, I
    suspect a deeper problem down in GTK+ somewhere...

 code/core/textsessionview.cpp | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 0322bb70fabbf4429aa774114d5a8bedd246e2b2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 09:55:22 2014 -0400

    Hide local chat when only the local user has joined

 code/commands/browser-commands.cpp           | 305 +++++++++++++++++++++----
 code/commands/browser-commands.hpp           |   7 +-
 code/commands/user-join-commands.cpp         |  35 ++-
 code/commands/user-join-commands.hpp         |   3 +-
 code/core/foldermanager.cpp                  |  12 +-
 code/core/foldermanager.hpp                  |   8 +-
 code/operations/operation-new.cpp            |   2 +-
 code/operations/operation-open.cpp           |   2 +-
 code/operations/operation-subscribe-path.cpp |   5 +-
 code/window.cpp                              |   2 +-
 10 files changed, 312 insertions(+), 69 deletions(-)

commit 5f9ab02e2986f93a4b630d01708b7441dcdff3ad
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 6 18:46:25 2014 -0400

    Split the userjoin code into two classes

    The class in core/ is responsible for joining a user into a session and
    keeping track of the request, while the class in commands/ is
    responsible for triggering it at the right time and the user interface.

 code/commands/user-join-commands.cpp | 446 +++++++++++----------------------
 code/commands/user-join-commands.hpp |   6 +
 code/core/Makefile.am                |   2 +
 code/core/userjoin.cpp               | 248 ++++++++++++++++++
 code/core/userjoin.hpp               | 110 ++++++++
 5 files changed, 511 insertions(+), 301 deletions(-)

commit 7ef6c4783e399134c7576aa55e46cb5f21da359c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 6 14:03:02 2014 -0400

    Add fullscreen option

    This allows to make the window fullscreen. By default all the clutter
    (additional bars and frames) are removed, but they can be activated
    again in the fullscreen mode.

 code/commands/view-commands.cpp | 108 ++++++++++++++++++++++++++++++++++++--
 code/commands/view-commands.hpp |  12 +++--
 code/core/header.cpp            |   9 ++++
 code/core/header.hpp            |   1 +
 code/main.cpp                   |  45 +++++++++-------
 code/window.cpp                 |   2 +-
 6 files changed, 149 insertions(+), 28 deletions(-)

commit 2d7ec3af79cdbb7cbffa770c0f08054b9865b95f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 4 22:43:54 2014 -0400

    Change the license of Gobby from GPL to ISC

    All contributors agreed to the license change:

     * Philipp Kern
     * Benjamin Herr
     * Gabríel Arthúr Pétursson

 AUTHORS                                         |  24 +-
 COPYING                                         | 352 +---------------------
 README.md                                       |  24 +-
 code/commands/auth-commands.cpp                 |  23 +-
 code/commands/auth-commands.hpp                 |  23 +-
 code/commands/autosave-commands.cpp             |  23 +-
 code/commands/autosave-commands.hpp             |  23 +-
 code/commands/browser-commands.cpp              |  23 +-
 code/commands/browser-commands.hpp              |  23 +-
 code/commands/browser-context-commands.cpp      |  23 +-
 code/commands/browser-context-commands.hpp      |  23 +-
 code/commands/edit-commands.cpp                 |  23 +-
 code/commands/edit-commands.hpp                 |  23 +-
 code/commands/file-commands.cpp                 |  25 +-
 code/commands/file-commands.hpp                 |  25 +-
 code/commands/file-tasks/task-export-html.cpp   |  23 +-
 code/commands/file-tasks/task-export-html.hpp   |  23 +-
 code/commands/file-tasks/task-new.cpp           |  23 +-
 code/commands/file-tasks/task-new.hpp           |  23 +-
 code/commands/file-tasks/task-open-file.cpp     |  23 +-
 code/commands/file-tasks/task-open-file.hpp     |  23 +-
 code/commands/file-tasks/task-open-location.cpp |  23 +-
 code/commands/file-tasks/task-open-location.hpp |  23 +-
 code/commands/file-tasks/task-open-multiple.cpp |  23 +-
 code/commands/file-tasks/task-open-multiple.hpp |  23 +-
 code/commands/file-tasks/task-open.cpp          |  23 +-
 code/commands/file-tasks/task-open.hpp          |  23 +-
 code/commands/file-tasks/task-save-all.cpp      |  23 +-
 code/commands/file-tasks/task-save-all.hpp      |  23 +-
 code/commands/file-tasks/task-save.cpp          |  23 +-
 code/commands/file-tasks/task-save.hpp          |  23 +-
 code/commands/folder-commands.cpp               |  23 +-
 code/commands/folder-commands.hpp               |  23 +-
 code/commands/help-commands.cpp                 |  57 ++--
 code/commands/help-commands.hpp                 |  23 +-
 code/commands/subscription-commands.cpp         |  23 +-
 code/commands/subscription-commands.hpp         |  23 +-
 code/commands/synchronization-commands.cpp      |  23 +-
 code/commands/synchronization-commands.hpp      |  23 +-
 code/commands/user-join-commands.cpp            |  23 +-
 code/commands/user-join-commands.hpp            |  23 +-
 code/commands/view-commands.cpp                 |  23 +-
 code/commands/view-commands.hpp                 |  23 +-
 code/core/browser.cpp                           |  23 +-
 code/core/browser.hpp                           |  23 +-
 code/core/certificatemanager.cpp                |  23 +-
 code/core/certificatemanager.hpp                |  23 +-
 code/core/chatsessionview.cpp                   |  23 +-
 code/core/chatsessionview.hpp                   |  23 +-
 code/core/chattablabel.cpp                      |  23 +-
 code/core/chattablabel.hpp                      |  23 +-
 code/core/closableframe.cpp                     |  23 +-
 code/core/closableframe.hpp                     |  23 +-
 code/core/connectionmanager.cpp                 |  23 +-
 code/core/connectionmanager.hpp                 |  23 +-
 code/core/credentialsgenerator.cpp              |  23 +-
 code/core/credentialsgenerator.hpp              |  23 +-
 code/core/documentinfostorage.cpp               |  23 +-
 code/core/documentinfostorage.hpp               |  23 +-
 code/core/filechooser.cpp                       |  23 +-
 code/core/filechooser.hpp                       |  23 +-
 code/core/folder.cpp                            |  23 +-
 code/core/folder.hpp                            |  23 +-
 code/core/foldermanager.cpp                     |  23 +-
 code/core/foldermanager.hpp                     |  23 +-
 code/core/header.cpp                            |  25 +-
 code/core/header.hpp                            |  25 +-
 code/core/huebutton.cpp                         |  23 +-
 code/core/huebutton.hpp                         |  23 +-
 code/core/iconmanager.cpp                       |  23 +-
 code/core/iconmanager.hpp                       |  23 +-
 code/core/nodewatch.cpp                         |  23 +-
 code/core/nodewatch.hpp                         |  23 +-
 code/core/noteplugin.cpp                        |  23 +-
 code/core/noteplugin.hpp                        |  23 +-
 code/core/preferences.cpp                       |  23 +-
 code/core/preferences.hpp                       |  23 +-
 code/core/selfhoster.cpp                        |  23 +-
 code/core/selfhoster.hpp                        |  23 +-
 code/core/server.cpp                            |  23 +-
 code/core/server.hpp                            |  23 +-
 code/core/sessionuserview.cpp                   |  23 +-
 code/core/sessionuserview.hpp                   |  23 +-
 code/core/sessionview.cpp                       |  23 +-
 code/core/sessionview.hpp                       |  23 +-
 code/core/statusbar.cpp                         |  23 +-
 code/core/statusbar.hpp                         |  23 +-
 code/core/tablabel.cpp                          |  23 +-
 code/core/tablabel.hpp                          |  23 +-
 code/core/textsessionuserview.cpp               |  23 +-
 code/core/textsessionuserview.hpp               |  23 +-
 code/core/textsessionview.cpp                   |  23 +-
 code/core/textsessionview.hpp                   |  23 +-
 code/core/texttablabel.cpp                      |  23 +-
 code/core/texttablabel.hpp                      |  23 +-
 code/core/textundogrouping.cpp                  |  23 +-
 code/core/textundogrouping.hpp                  |  23 +-
 code/core/titlebar.cpp                          |  23 +-
 code/core/titlebar.hpp                          |  23 +-
 code/core/userlist.cpp                          |  23 +-
 code/core/userlist.hpp                          |  23 +-
 code/dialogs/connection-dialog.cpp              |  23 +-
 code/dialogs/connection-dialog.hpp              |  23 +-
 code/dialogs/document-location-dialog.cpp       |  23 +-
 code/dialogs/document-location-dialog.hpp       |  23 +-
 code/dialogs/entry-dialog.cpp                   |  23 +-
 code/dialogs/entry-dialog.hpp                   |  23 +-
 code/dialogs/find-dialog.cpp                    |  23 +-
 code/dialogs/find-dialog.hpp                    |  23 +-
 code/dialogs/goto-dialog.cpp                    |  23 +-
 code/dialogs/goto-dialog.hpp                    |  23 +-
 code/dialogs/initial-dialog.cpp                 |  23 +-
 code/dialogs/initial-dialog.hpp                 |  23 +-
 code/dialogs/open-location-dialog.cpp           |  23 +-
 code/dialogs/open-location-dialog.hpp           |  23 +-
 code/dialogs/password-dialog.cpp                |  23 +-
 code/dialogs/password-dialog.hpp                |  23 +-
 code/dialogs/preferences-dialog.cpp             |  23 +-
 code/dialogs/preferences-dialog.hpp             |  23 +-
 code/main.cpp                                   |  23 +-
 code/operations/operation-delete.cpp            |  23 +-
 code/operations/operation-delete.hpp            |  23 +-
 code/operations/operation-export-html.cpp       |  23 +-
 code/operations/operation-export-html.hpp       |  23 +-
 code/operations/operation-new.cpp               |  23 +-
 code/operations/operation-new.hpp               |  23 +-
 code/operations/operation-open-multiple.cpp     |  23 +-
 code/operations/operation-open-multiple.hpp     |  23 +-
 code/operations/operation-open.cpp              |  23 +-
 code/operations/operation-open.hpp              |  23 +-
 code/operations/operation-save.cpp              |  23 +-
 code/operations/operation-save.hpp              |  23 +-
 code/operations/operation-subscribe-path.cpp    |  23 +-
 code/operations/operation-subscribe-path.hpp    |  23 +-
 code/operations/operations.cpp                  |  23 +-
 code/operations/operations.hpp                  |  23 +-
 code/util/asyncoperation.cpp                    |  23 +-
 code/util/asyncoperation.hpp                    |  23 +-
 code/util/closebutton.cpp                       |  23 +-
 code/util/closebutton.hpp                       |  23 +-
 code/util/color.cpp                             |  23 +-
 code/util/color.hpp                             |  23 +-
 code/util/config.cpp                            |  23 +-
 code/util/config.hpp                            |  23 +-
 code/util/defaultaccumulator.hpp                |  23 +-
 code/util/file.cpp                              |  23 +-
 code/util/file.hpp                              |  23 +-
 code/util/groupframe.cpp                        |  23 +-
 code/util/groupframe.hpp                        |  23 +-
 code/util/gtk-compat.hpp                        |  23 +-
 code/util/historyentry.cpp                      |  23 +-
 code/util/historyentry.hpp                      |  23 +-
 code/util/i18n.cpp                              |  23 +-
 code/util/i18n.hpp                              |  23 +-
 code/util/resolv.cpp                            |  23 +-
 code/util/resolv.hpp                            |  23 +-
 code/util/serialize.cpp                         |  23 +-
 code/util/serialize.hpp                         |  23 +-
 code/util/uri.cpp                               |  23 +-
 code/util/uri.hpp                               |  23 +-
 code/window.cpp                                 |  23 +-
 code/window.hpp                                 |  23 +-
 help/C/gobby.xml                                |   9 +-
 help/gobby.omf.in                               |   2 +-
 164 files changed, 1655 insertions(+), 2455 deletions(-)

commit 23909f98e75491f206acc2368ecaf2311f5e8004
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 4 22:26:08 2014 -0400

    Update README.md and remove outdated HACKING file

 HACKING   | 10 ----------
 README.md | 11 +++++------
 2 files changed, 5 insertions(+), 16 deletions(-)

commit a32edc7f39eec4aab42132b1d999a289c2debb31
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jul 27 22:51:56 2014 +0200

    Initial conversion of README to Markdown.

    Convert README to Markdown for better visibility on GitHub's repository
    viewer.
    Not all content has been updated to reflect reality yet (especially with
    relation to GitHub), but dependencies have been adjusted, pull
    requests are
    mentioned and Travis CI status is displayed.

 README       | 136 ---------------------------------------------------------
 README.md    | 114 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |   2 +-
 3 files changed, 115 insertions(+), 137 deletions(-)

commit 9a23b8590ce8edd73bf55f6b9e6173c9893149df
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jul 27 22:24:51 2014 +0200

    Travis CI: gtk-doc-tools needs to be present even if unused

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aec24f929a4ed00961fe6a96b8e6c3f9294321a7
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jul 27 22:22:58 2014 +0200

    Add Travis CI configuration.

    libinfinity needs to be built from master first, as gobby's HEAD can
    require features that are not yet found in the Debian packages. This
    also means that gobby's build state depends on libinfinity's because
    there is no easy way to fetch the last green build of another build from
    within Travis CI.

 .travis.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit de7e1f0d9e7e8380217b924cd6148569e76147d7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 21 17:26:40 2014 +0200

    Add Ctrl++ and Ctrl+- shortcuts to increase or decrease font size

 code/commands/view-commands.cpp     | 23 ++++++++++++++++++++++
 code/commands/view-commands.hpp     |  3 ++-
 code/core/header.cpp                | 18 ++++++++++++++++++
 code/core/header.hpp                |  2 ++
 code/dialogs/preferences-dialog.cpp | 27 +++-----------------------
 code/dialogs/preferences-dialog.hpp | 36 +++++++++++++++++++++++++++++++++++
 6 files changed, 84 insertions(+), 25 deletions(-)

commit 294d4eca95a2dce711b42154e269dc9ae05fe3fb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 17 15:02:54 2014 +0200

    Show text beside icons when GTK_TOOLBAR_STYLE_BOTH_HORIZ is chosen
    (github #1)

 code/core/header.cpp | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 1cead9bcfd7549fbd089fb9371f1640cfe364171
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 17 14:41:28 2014 +0200

    Store an additional newline at the end of the document when saving
    (github #3)

    Also, when opening a file, don't load the trailing newline if there
    is one.
    The behavior is now equivalent to gedit's.

 code/operations/operation-open.cpp | 13 +++++++++++++
 code/operations/operation-save.cpp | 16 +++++++---------
 2 files changed, 20 insertions(+), 9 deletions(-)

commit ac16fa465c2b2d28be8b86d9241497b26bd3fe1f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 16 16:39:26 2014 +0200

    Pick up changed certificate credentials for existing connections

    The credentials change will become effective after
    disconnecting + reconnecting.

 code/core/connectionmanager.cpp | 75 ++++++++++++++++++++++++++++++++++++---
 code/core/connectionmanager.hpp | 32 +++++++++++++++++
 2 files changed, 102 insertions(+), 5 deletions(-)

commit 61290efd342c40dfa18030fa3a0264cb40600c29
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 14 18:44:54 2014 +0200

    Make sure statusbar is initialized for all objects higher up the stack

 code/window.cpp | 6 +++---
 code/window.hpp | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit c6d3cc7099bcb8d9af6371ae43aa2432e56f7e43
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 13 16:55:20 2014 +0200

    Adapt to changed InfTextFilesystemFormat API

 code/core/noteplugin.cpp | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

commit d85ebeef6bc173c1a643589be8fcca0211231bbf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 12 21:13:14 2014 +0200

    Update translation templates and po files

 po/POTFILES.in |    5 +
 po/ca.po       | 2182 +++++++++++++++++++++++++++++++++++++-----------------
 po/de.po       |  815 ++++++++++++++------
 po/el_GR.po    |  816 ++++++++++++++------
 po/en_GB.po    |  814 ++++++++++++++------
 po/fr.po       |  804 +++++++++++++-------
 po/gobby05.pot |  760 +++++++++++++------
 po/ja.po       |  814 ++++++++++++++------
 po/pt_BR.po    |  834 ++++++++++++++-------
 po/zh_TW.po    |  904 +++++++++++++++-------
 10 files changed, 6133 insertions(+), 2615 deletions(-)

commit 52d473aa61538acaa40d68afc088da09dfaa1a5f
Author: vitorlobo <lobocode@gmail.com>
Date:   Fri Jul 11 12:06:30 2014 -0300

    pt_BR translated

 po/LINGUAS  |   1 +
 po/pt_BR.po | 944 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 945 insertions(+)

commit 8bdeea8323357034ca529de3278647674ac9e074
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 23:04:57 2014 +0200

    Add account creation dialog

    This adds a UI for creating a new account at the server. This creates
    a client
    certificate which can be used to login to the new account. At the
    moment, this
    requires re-connection to the server.

 code/commands/browser-context-commands.cpp | 275 +++++++++++++++++++++++++--
 code/commands/browser-context-commands.hpp |  27 ++-
 code/window.cpp                            |   5 +-
 3 files changed, 291 insertions(+), 16 deletions(-)

commit cb75957ffd8601abc94c42f329e78e1632996899
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 2 22:23:10 2014 +0200

    Fix a crash when subscription fails in OperationSubscribePath

 code/operations/operation-subscribe-path.cpp | 6 +++---
 code/operations/operation-subscribe-path.hpp | 8 ++++++--
 2 files changed, 9 insertions(+), 5 deletions(-)

commit b14cc8db839782d5075d89bdbc6522dc5e25f32b
Merge: d3b99d2 e51352c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 30 20:20:39 2014 +0200

    Merge commit 'e51352ce1b080dcacc3945de64dc0b34c7e9ffef'

    Conflicts:
	code/core/browser.cpp

commit e51352ce1b080dcacc3945de64dc0b34c7e9ffef
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:	Mon Jun 23 13:06:27 2014 +0000

    Ability to remove disconnected servers from the document browser

 code/commands/browser-context-commands.cpp | 30 ++++++++++++++++++++++++++++
 code/commands/browser-context-commands.hpp |  1 +
 code/core/browser.cpp			    | 11 ++++++++++
 code/core/browser.hpp			    |  1 +
 code/core/connectionmanager.cpp	    |  6 ++++++
 code/core/connectionmanager.hpp	    |  2 ++
 6 files changed, 51 insertions(+)

commit fe7387ad98f82984ab7eb6792fc25e3a3a1b964c
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:	Mon Jun 23 05:29:30 2014 +0000

    Split Browser::get_selected into _browser and _iter variants

 code/commands/browser-context-commands.cpp |  5 ++++-
 code/core/browser.cpp			    | 24 ++++++++++++++++++------
 code/core/browser.hpp			    |  3 ++-
 3 files changed, 24 insertions(+), 8 deletions(-)

commit d3b99d2a3cf213b7c96ca4e3235af8ec54a3761c
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Jun 30 12:27:00 2014 +0200

    Fix memory leak in Browser::get_selected()

 code/core/browser.cpp | 3 +++
 1 file changed, 3 insertions(+)

commit 0b1ce8e55e37502e15bcf2207c3d5e582400597d
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:	Sun Jun 22 12:10:37 2014 +0000

    Browser::get_selected incorrectly returns true on failure

 code/commands/browser-context-commands.cpp | 5 -----
 code/core/browser.cpp			    | 2 +-
 2 files changed, 1 insertion(+), 6 deletions(-)

commit 3c48c84d06a2b8d95d7d90eb96891b5cdf681873
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:	Thu Jun 12 23:00:41 2014 +0000

    Wrong property was loaded for the show_remote_cursors preference

 code/core/preferences.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f2432321bcc2cf1881c9d2b5b4e8dc20edfaab01
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:	Thu Jun 12 19:31:02 2014 +0000

    Smart home/end toggles between the start/end of the line and the
    first/last character

 code/core/textsessionview.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 72a8df0652232da57e0532f7202d81f53784fd34
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu May 15 18:05:39 2014 +0200

    Remove unused variable

 code/commands/browser-context-commands.cpp | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 27416b66568a07b424dd3c958bc0c332b5dfa5d7
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu May 15 18:03:55 2014 +0200

    Server: Always set security policy to no-tls if no credentials are given

 code/core/server.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ff6fb2a59dc5730adfcf5d9e1a0be32d16739417
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun May 4 13:54:19 2014 +0200

    Adapt to API changes in inf-cert-util

 code/core/certificatemanager.cpp   | 4 ++--
 code/core/credentialsgenerator.cpp | 7 ++++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

commit c82bb97df895053c256f6c1f3171a7db0f1f2bea
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Apr 27 22:35:21 2014 +0200

    Fix ancestor check in NodeWatch

 code/core/nodewatch.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6be6c634efbae465f9c981a49edf1068a6fc19e7
Author: Jérôme Carretero <cJ@zougloub.eu>
Date:	Tue Apr 22 09:35:34 2014 +0200

    Fix include of a non-existing file

    libinfinity/client/infc-explore-request.h does no longer exist, since
    the InfRequestResult transition.

 code/core/documentinfostorage.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 7e89ed566c83011134cc5402f1936c379ade6d21
Author: Philipp Kern <pkern@debian.org>
Date:	Sun Apr 13 16:53:22 2014 +0200

    Fix compilation with GtkSourceView 3.8.

    Patch by Andreas Henriksson <andreas@fatal.se>; Debian bug #718524

 code/core/textsessionview.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit ebee76ac74427aaac0c044c1301524df8a2e2239
Author: Philipp Kern <pkern@debian.org>
Date:	Sun Apr 13 16:51:01 2014 +0200

    Add missing include to fix compilation with recent toolchains.

    Patch by Daniel T Chen <seven.steps@gmail.com>; Debian bug #736347.

 code/dialogs/preferences-dialog.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 5ca37221f9320cdc0a931b7a59d96c05cd7ac053
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Mar 30 09:22:02 2014 +0200

    Fix an assertion failure when a subscription fails

 code/commands/browser-commands.cpp | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit 0872bd045be70770ad773cbcb849555b316c6e4b
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Feb 28 16:35:15 2014 +0100

    Adapt to simplification of InfRequest API

 code/commands/browser-commands.cpp	      | 12 ++++++--
 code/commands/user-join-commands.cpp	      | 12 +++++---
 code/core/documentinfostorage.cpp	      |  4 +--
 code/core/documentinfostorage.hpp	      |  4 +--
 code/core/nodewatch.cpp		      |  2 +-
 code/core/nodewatch.hpp		      |  4 +--
 code/operations/operation-delete.cpp	      |  5 ++--
 code/operations/operation-delete.hpp	      | 11 ++++----
 code/operations/operation-new.cpp	      |  2 +-
 code/operations/operation-new.hpp	      | 11 ++++++--
 code/operations/operation-open.cpp	      |  2 +-
 code/operations/operation-open.hpp	      | 11 ++++++--
 code/operations/operation-subscribe-path.cpp | 39 +++++++++-----------------
 code/operations/operation-subscribe-path.hpp | 21 ++++++++------
 14 files changed, 74 insertions(+), 66 deletions(-)

commit d0acc2931dfd3ff967d8bfcaaaffc0e0c057cf26
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Feb 24 22:33:23 2014 +0100

    Make sure to keep the same entry only once in the history entry

    This fixed bug #615.

 code/util/historyentry.cpp | 52 ++++++++++++++++++++++++++++++++++++--------
 1 file changed, 43 insertions(+), 9 deletions(-)

commit e85109184b847a6183370d52a56aa4e9540f55be
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Feb 14 19:28:44 2014 +0100

    Fix a crash when a subscription fails

 code/commands/browser-commands.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dcb78e601f080714afbf0bf4236a1cc890ce3ac7
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Feb 9 17:45:03 2014 +0100

    Fix background color query for textview

    In GTK+ 3, one needs to modify the style context before querying
    the color.
    There does not seem to be much documentation on this stuff around. I
    looked
    it up in the GtkTextView source code, hoping this remains a safe thigh
    to do
    in the future.

 code/core/textsessionview.cpp | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 5d5cd6a945a4b88933fd318734867bd925fccd2d
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Feb 9 17:07:46 2014 +0100

    Fix the build and some style issues with GTK+ 3

 code/core/textsessionview.cpp	     | 36 ++++++++++++++++++++++++++++++++++-
 code/core/textsessionview.hpp	     |	9 +++++++++
 code/dialogs/initial-dialog.hpp     |	2 ++
 code/dialogs/preferences-dialog.hpp |	1 +
 code/util/closebutton.cpp	     |	4 ++++
 code/util/closebutton.hpp	     |	6 ++++++
 code/util/groupframe.cpp	     |	1 +
 code/util/gtk-compat.hpp	     | 11 +++++++++++
 code/util/uri.cpp		     |	4 ++++
 9 files changed, 73 insertions(+), 1 deletion(-)

commit 8dc3ef46a98f9a93ee60db99e50e41aa541f5073
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Jan 27 09:15:43 2014 +0100

    Fix a crash when creating a new directory

 code/operations/operation-new.cpp | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 7b1bf412bb9d8a25f2097ddbfb94da921ffcedae
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Jan 27 09:06:18 2014 +0100

    Adapt to libinfinity API change

    The InfBrowser::unsubscribe-session signal now has an additional
    parameter.

 code/core/foldermanager.cpp | 3 ++-
 code/core/foldermanager.hpp | 6 ++++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit fa1c8a3d46c074d725dd8d3978062203894a59d0
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jan 24 12:16:24 2014 +0100

    Remove the SelfHosting item from the TODO list

    This has essentially been implemented.

 TODO | 2 --
 1 file changed, 2 deletions(-)

commit 22190ab7983ac2bb78b44127c4b04ad1516bebc2
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jan 24 12:07:28 2014 +0100

    Close session on server side when removed from document tree

 code/core/foldermanager.cpp | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 00e67a8a8373dbf02711cf7d1d576212a0f12bb6
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jan 24 10:15:11 2014 +0100

    Fix the default value for keep-local-documents

 code/core/preferences.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae70678344bd4382f1588ad39b0029a793e84c3a
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 23 21:18:17 2014 +0100

    Fix memory corruption when node requests finish immediately

 code/commands/user-join-commands.cpp | 5 +++--
 code/operations/operation-new.cpp    | 9 ++++++---
 code/operations/operation-open.cpp   | 5 +++--
 3 files changed, 12 insertions(+), 7 deletions(-)

commit b444d681cc831ebb51ab785c70ce9643c93cc9f9
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 22 18:21:15 2014 +0100

    Get communication manager from connection manager in OperationOpen

    Previously OperationOpen got it from a call to InfcBrowser, which
    does not
    work anymore now that the browser can also be a InfdDirectory. We could
    of course make a branching here, but this way it is a more generic
    solution.

 code/core/browser.hpp		    | 3 +++
 code/operations/operation-open.cpp | 7 +++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 8de335b2a902d4b42bcacf748dfbcd03e24ccaa6
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 22 12:11:30 2014 +0100

    Unregister signal handlers in TitleBar destructor

    This fixes a crash when Gobby is closed while a session is still
    open. The
    titlebar is destructed first, but does not unregister its signal
    handlers.
    It is therefore called again later in the destruction sequence when all
    sessions are closed even though it does not exist anymore.

 code/core/titlebar.cpp | 5 +++++
 code/core/titlebar.hpp | 1 +
 2 files changed, 6 insertions(+)

commit f2acf902f70f2da0f7dd388dcdd51f0d73b7f0df
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 22 10:44:46 2014 +0100

    Correctly handle user leave for self-hosted sessions

 code/commands/user-join-commands.cpp | 46 ++++++++++++++++++++++++++++++++++
 code/core/folder.cpp		      |  4 ---
 2 files changed, 46 insertions(+), 4 deletions(-)

commit f43a2bfe67b7b87050bb528472a17d08fe377615
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jan 21 22:45:25 2014 +0100

    Add a document to the folder on click when it is already subscribed

    Before we asserted that this could never happen. Indeed for the
    client case
    this would never happen, but for the server case we can be subscribed
    to a
    document when another client is subscribed.

 code/commands/browser-commands.cpp	      |  3 +--
 code/operations/operation-subscribe-path.cpp | 16 ++++++++++++----
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 2a5a758c5e47138f6c226f41d245e2b04dd5b219
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jan 21 16:10:07 2014 +0100

    Refactor the folder management

    Introduce a new class FolderManager which takes care of TextFolder
    and ChatFolder. The FolderManager can be used to add new documents into
    the appropriate folder, and it provides add/remove signals that give
    access to the session proxy.

    This allows UserJoinCommands to use the proxy only relying on core
    objects,
    and it allows creating documents only for those subscriptions that were
    requested by the local client.

 code/commands/autosave-commands.cpp	      |  10 +-
 code/commands/autosave-commands.hpp	      |   4 +-
 code/commands/browser-commands.cpp	      | 125 ++++++---
 code/commands/browser-commands.hpp	      |  24 +-
 code/commands/edit-commands.cpp	      |   2 +-
 code/commands/edit-commands.hpp	      |   4 +-
 code/commands/file-commands.cpp	      |  41 +--
 code/commands/file-commands.hpp	      |  11 +-
 code/commands/file-tasks/task-save-all.cpp   |   2 +-
 code/commands/file-tasks/task-save.cpp       |   2 +-
 code/commands/folder-commands.cpp	      |   7 +-
 code/commands/folder-commands.hpp	      |   5 +-
 code/commands/subscription-commands.cpp      | 270 +++---------------
 code/commands/subscription-commands.hpp      |  92 +------
 code/commands/synchronization-commands.cpp   |  30 +-
 code/commands/synchronization-commands.hpp   |  15 +-
 code/commands/user-join-commands.cpp	      |  56 ++--
 code/commands/user-join-commands.hpp	      |  22 +-
 code/commands/view-commands.cpp	      |   4 +-
 code/commands/view-commands.hpp	      |   8 +-
 code/core/Makefile.am			      |   2 +
 code/core/folder.cpp			      |  24 +-
 code/core/folder.hpp			      |   8 +-
 code/core/foldermanager.cpp		      | 365 +++++++++++++++++++++++++
 code/core/foldermanager.hpp		      | 131 +++++++++
 code/core/sessionuserview.hpp		      |   3 +-
 code/core/statusbar.cpp		      |   2 +-
 code/core/statusbar.hpp		      |   4 +-
 code/core/titlebar.cpp			      |   2 +-
 code/core/titlebar.hpp			      |   4 +-
 code/dialogs/find-dialog.cpp		      |   2 +-
 code/dialogs/find-dialog.hpp		      |   4 +-
 code/dialogs/goto-dialog.cpp		      |   2 +-
 code/dialogs/goto-dialog.hpp		      |   4 +-
 code/operations/operation-new.cpp	      |   5 +
 code/operations/operation-open.cpp	      |   7 +
 code/operations/operation-save.cpp	      |   8 +-
 code/operations/operation-save.hpp	      |   3 +-
 code/operations/operation-subscribe-path.cpp |  27 +-
 code/operations/operation-subscribe-path.hpp |   8 +-
 code/operations/operations.cpp		      |  16 +-
 code/operations/operations.hpp		      |  18 +-
 code/window.cpp			      |  28 +-
 code/window.hpp			      |   6 +-
 44 files changed, 858 insertions(+), 559 deletions(-)

commit ef150a606b37334b12c0496c064b0322f7585df7
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Jan 20 16:15:18 2014 +0100

    Adapt to libinfinity API change

    the request parameter has been introudced to the "node-added",
    "node-removed"
    and "subscribe-session" signals.

 code/commands/browser-commands.cpp	 | 4 +---
 code/commands/subscription-commands.cpp | 3 ++-
 code/commands/subscription-commands.hpp | 6 ++++--
 code/core/documentinfostorage.cpp	 | 7 ++++---
 code/core/documentinfostorage.hpp	 | 6 ++++--
 code/core/nodewatch.cpp		 | 3 ++-
 code/core/nodewatch.hpp		 | 6 ++++--
 7 files changed, 21 insertions(+), 14 deletions(-)

commit 79c166cafbb3504c1fac12bd5d9ce469f6955e02
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Jan 19 20:58:08 2014 +0100

    Assign hostname from g_get_host_name() for served sessions

    This fixes a crash when subscribing to a self-hosted document locally.

 code/commands/subscription-commands.cpp | 27 +++++++++++++++++++++++----
 1 file changed, 23 insertions(+), 4 deletions(-)

commit b706f5e8c87d6a1744e896870cf603b68260dec8
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Jan 19 19:05:19 2014 +0100

    Register a InfdNotePlugin for the SelfHoster's InfdDirectory

 code/core/browser.cpp		    |  23 +++++---
 code/core/browser.hpp		    |	2 +-
 code/core/noteplugin.cpp	    | 101 +++++++++++++++++++++++++++++------
 code/core/noteplugin.hpp	    |	6 ++-
 code/operations/operation-new.cpp  |	2 +-
 code/operations/operation-open.cpp |	2 +-
 6 files changed, 108 insertions(+), 28 deletions(-)

commit bc3f41c2f9552cba616cf22aa2b4cd4748aeae56
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jan 17 23:35:23 2014 +0100

    Make document info storage work with InfdDirectory browsers

 code/core/documentinfostorage.cpp | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit 2c7f50747b7ede631a1a86e6b6dd51aa8bcaaeeb
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jan 17 21:30:51 2014 +0100

    Simplify NodeWatch, and make it work for InfdDirectory nodes

    Instead of watching InfcBrowser:connection and InfXmlConnection:status,
    simply watch InfBrowser:status

 code/core/nodewatch.cpp | 102 ++++++++--------------------------------------
 code/core/nodewatch.hpp |  24 +++--------
 2 files changed, 23 insertions(+), 103 deletions(-)

commit f492abfacbb10c354bb3362feef01952ac0fea57
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jan 17 12:47:31 2014 +0100

    Adapt to the "set-browser" change in the libinfgtk API

 code/commands/auth-commands.cpp	 | 17 +++++++++-----
 code/commands/auth-commands.hpp	 | 14 +++++++-----
 code/commands/browser-commands.cpp	 | 24 ++++++++-----------
 code/commands/browser-commands.hpp	 |  7 +++---
 code/commands/subscription-commands.cpp | 17 ++++++--------
 code/commands/subscription-commands.hpp |  7 +++---
 code/core/browser.cpp			 |  7 +++---
 code/core/browser.hpp			 |  8 ++++---
 code/core/documentinfostorage.cpp	 | 38 ++++++++++++-------------------
 code/core/documentinfostorage.hpp	 |  8 ++++---
 10 files changed, 73 insertions(+), 74 deletions(-)

commit 5e4ee41047f00f20e2c8415f2eb0c861169de206
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 16 19:42:36 2014 +0100

    Show the local directory in the browser widget

 code/core/browser.cpp	  | 7 +++++++
 code/core/browser.hpp	  | 1 +
 code/core/selfhoster.hpp | 1 +
 code/window.cpp	  | 3 +++
 4 files changed, 12 insertions(+)

commit 0b70f5bc6a1c7d2a36050475fd5e570d9443c948
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 16 19:42:21 2014 +0100

    Browser: Set the note plugins only for InfcBrowser

    Eventually we need to also set plugins for our InfdDirectory. I plan to
    re-use the code from infinoted's note plugin for this, by moving it to
    libinftext.

 code/core/browser.cpp | 12 ++++++++----
 code/core/browser.hpp |  4 ++--
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 90cf3039c400f45f79e14cb0ffc4dff28be6adc9
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 16 18:17:00 2014 +0100

    Require "://" instead of ":" for URI scheme recognization

    Otherwise a string such as localhost:6524 would be parsed as host 6524
    with scheme localhost, instead of scheme infinote and host localhost.

 code/util/uri.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d5f4432b9d689756dbbdb567c8aba80a6fb4ccd
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 16 18:16:48 2014 +0100

    Fix a crash due to an uninitialized variable

 code/operations/operation-subscribe-path.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c2ffef7e907d58640f58d1d81c0216f597ecff15
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 16 17:50:45 2014 +0100

    Change a string in the preferences dialog

 code/dialogs/preferences-dialog.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4193e88d2e3266f2e9b83b8becba1ddffac4654
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jan 16 17:17:26 2014 +0100

    Check client passwords when specified in preferences

 code/commands/auth-commands.cpp |  52 ++++++++++-
 code/commands/auth-commands.hpp |   4 +
 code/core/connectionmanager.cpp |   3 +-
 code/core/selfhoster.cpp	 | 177 +++++++++++++++++++++++++++++---------
 code/core/selfhoster.hpp	 |  18 +++-
 code/core/server.cpp		 |  36 +++++++-
 code/core/server.hpp		 |   8 +-
 code/window.cpp		 |   6 +-
 code/window.hpp		 |  13 ++-
 9 files changed, 262 insertions(+), 55 deletions(-)

commit ac62878a62b7174b383bdeb478920be8d52b514f
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:12:35 2014 +0100

    Add Gobby::SelfHoster

    This class manages a local InfdDirectory that it allows remote
    connections
    to access.

 code/core/Makefile.am	  |   2 +
 code/core/selfhoster.cpp | 199 +++++++++++++++++++++++++++++++++++++++++++++
 code/core/selfhoster.hpp |  71 ++++++++++++++++
 code/core/server.cpp	  |   4 +-
 code/core/statusbar.cpp  |   3 +-
 code/window.cpp	  |   3 +
 code/window.hpp	  |   3 +
 7 files changed, 282 insertions(+), 3 deletions(-)

commit d0fe633ab26ec80458baab5cf36e15fee805e566
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 17:21:03 2014 +0100

    Add the Gobby::ConnectionManager class

    This class manages the InfIo, InfCommunicationManager,
    InfXmppManager and InfDiscoveryAvahi objects. It allows to share these
    objects between the browser and the selfhoster without one of them
    depending on the other.

 code/commands/auth-commands.cpp	      |   8 +-
 code/commands/auth-commands.hpp	      |   2 +
 code/core/Makefile.am			      |   2 +
 code/core/browser.cpp			      | 156 +++-------------------
 code/core/browser.hpp			      |  31 +----
 code/core/connectionmanager.cpp	      | 176 +++++++++++++++++++++++++
 code/core/connectionmanager.hpp	      |  88 +++++++++++++
 code/operations/operation-subscribe-path.hpp |   1 +
 code/window.cpp			      |   6 +-
 code/window.hpp			      |   2 +-
 10 files changed, 304 insertions(+), 168 deletions(-)

commit bd1fbfda0e5fa23bcf65449113f5a65b8f19c0a7
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:35:43 2014 +0100

    Write Diffie-Hellman parameters to disk

 code/core/certificatemanager.cpp | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit aac5c52fc0041dd95ab2920b0d9b319fb8283eb1
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:12:10 2014 +0100

    Add another modernization TODO item

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit 2379bae61c303270f2dd84fbd27c7d8f12db6df1
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:11:28 2014 +0100

    Add the Gobby::Server class

    This class will be used by the self-hosting functionality to run a TCP
    server which accepts incoming connections.

 code/core/Makefile.am |   2 +
 code/core/server.cpp  | 248 ++++++++++++++++++++++++++++++++++++++++++++++++
 code/core/server.hpp  |  67 +++++++++++++
 3 files changed, 317 insertions(+)

commit c8901681360e60a9182eb84da628e6163331294a
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:09:17 2014 +0100

    Add functionality to generate keys and certificates in the preferences
    dialog

    And also make it work in the welcome dialog.

 code/commands/edit-commands.cpp     |	12 +-
 code/commands/edit-commands.hpp     |	 6 +-
 code/dialogs/initial-dialog.cpp     | 153 +++++++++++++++++++++++--
 code/dialogs/initial-dialog.hpp     |	 6 +
 code/dialogs/preferences-dialog.cpp | 207 +++++++++++++++++++++++++++++++---
 code/dialogs/preferences-dialog.hpp | 126 ++++++++++++++++++++-
 code/window.cpp		     |	 8 +-
 7 files changed, 480 insertions(+), 38 deletions(-)

commit 88de42e77275687a395b2e4ad488cb188a8df4d8
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:05:05 2014 +0100

    Add functionality to set private keys and certificates programmatically

 code/core/certificatemanager.cpp | 273 +++++++++++++++++++++++++++++++------
 code/core/certificatemanager.hpp |  23 +++-
 2 files changed, 253 insertions(+), 43 deletions(-)

commit e65a28f246cf58904db18f6e2332912671585511
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jan 15 10:03:29 2014 +0100

    Replace keygen.cpp by credentialsgenerator.cpp

    The latter also has functions to generate Diffie-Hellman parameters and
    self-signed certificates.

 code/core/Makefile.am		    |	2 +
 code/core/credentialsgenerator.cpp | 208 +++++++++++++++++++++++++++++++++++
 code/core/credentialsgenerator.hpp |  62 +++++++++++
 code/util/Makefile.am		    |	2 -
 code/util/keygen.cpp		    |  90 ---------------
 code/util/keygen.hpp		    |  42 -------
 6 files changed, 272 insertions(+), 134 deletions(-)

commit eafb37d4ad16fb8f1543c2e15bd66239ac9527be
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Jan 13 22:02:55 2014 +0100

    Add DH params support to CertificateManager

 code/core/certificatemanager.cpp | 55 ++++++++++++++++++++++++++++++++++++--
 code/core/certificatemanager.hpp |  6 +++++
 2 files changed, 59 insertions(+), 2 deletions(-)

commit 220013dbd948cc0a30bcd04579537872d28c46fe
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sat Jan 4 17:47:49 2014 +0100

    Add 2014 to copyright years

 AUTHORS					 | 4 ++--
 README						 | 2 +-
 code/commands/auth-commands.cpp		 | 2 +-
 code/commands/auth-commands.hpp		 | 2 +-
 code/commands/autosave-commands.cpp		 | 2 +-
 code/commands/autosave-commands.hpp		 | 2 +-
 code/commands/browser-commands.cpp		 | 2 +-
 code/commands/browser-commands.hpp		 | 2 +-
 code/commands/browser-context-commands.cpp	 | 2 +-
 code/commands/browser-context-commands.hpp	 | 2 +-
 code/commands/edit-commands.cpp		 | 2 +-
 code/commands/edit-commands.hpp		 | 2 +-
 code/commands/file-tasks/task-export-html.cpp	 | 2 +-
 code/commands/file-tasks/task-export-html.hpp	 | 2 +-
 code/commands/file-tasks/task-new.cpp		 | 2 +-
 code/commands/file-tasks/task-new.hpp		 | 2 +-
 code/commands/file-tasks/task-open-file.cpp	 | 2 +-
 code/commands/file-tasks/task-open-file.hpp	 | 2 +-
 code/commands/file-tasks/task-open-location.cpp | 2 +-
 code/commands/file-tasks/task-open-location.hpp | 2 +-
 code/commands/file-tasks/task-open-multiple.cpp | 2 +-
 code/commands/file-tasks/task-open-multiple.hpp | 2 +-
 code/commands/file-tasks/task-open.cpp		 | 2 +-
 code/commands/file-tasks/task-open.hpp		 | 2 +-
 code/commands/file-tasks/task-save-all.cpp	 | 2 +-
 code/commands/file-tasks/task-save-all.hpp	 | 2 +-
 code/commands/file-tasks/task-save.cpp		 | 2 +-
 code/commands/file-tasks/task-save.hpp		 | 2 +-
 code/commands/folder-commands.cpp		 | 2 +-
 code/commands/folder-commands.hpp		 | 2 +-
 code/commands/help-commands.cpp		 | 4 ++--
 code/commands/help-commands.hpp		 | 2 +-
 code/commands/subscription-commands.cpp	 | 2 +-
 code/commands/subscription-commands.hpp	 | 2 +-
 code/commands/synchronization-commands.cpp	 | 2 +-
 code/commands/synchronization-commands.hpp	 | 2 +-
 code/commands/user-join-commands.cpp		 | 2 +-
 code/commands/user-join-commands.hpp		 | 2 +-
 code/commands/view-commands.cpp		 | 2 +-
 code/commands/view-commands.hpp		 | 2 +-
 code/core/browser.cpp				 | 2 +-
 code/core/browser.hpp				 | 2 +-
 code/core/certificatemanager.cpp		 | 2 +-
 code/core/certificatemanager.hpp		 | 2 +-
 code/core/chatsessionview.cpp			 | 2 +-
 code/core/chatsessionview.hpp			 | 2 +-
 code/core/chattablabel.cpp			 | 2 +-
 code/core/chattablabel.hpp			 | 2 +-
 code/core/closableframe.cpp			 | 2 +-
 code/core/closableframe.hpp			 | 2 +-
 code/core/documentinfostorage.cpp		 | 2 +-
 code/core/documentinfostorage.hpp		 | 2 +-
 code/core/filechooser.cpp			 | 2 +-
 code/core/filechooser.hpp			 | 2 +-
 code/core/folder.cpp				 | 2 +-
 code/core/folder.hpp				 | 2 +-
 code/core/huebutton.cpp			 | 2 +-
 code/core/huebutton.hpp			 | 2 +-
 code/core/iconmanager.cpp			 | 2 +-
 code/core/iconmanager.hpp			 | 2 +-
 code/core/nodewatch.cpp			 | 2 +-
 code/core/nodewatch.hpp			 | 2 +-
 code/core/noteplugin.cpp			 | 2 +-
 code/core/noteplugin.hpp			 | 2 +-
 code/core/preferences.cpp			 | 2 +-
 code/core/preferences.hpp			 | 2 +-
 code/core/sessionuserview.cpp			 | 2 +-
 code/core/sessionuserview.hpp			 | 2 +-
 code/core/sessionview.cpp			 | 2 +-
 code/core/sessionview.hpp			 | 2 +-
 code/core/statusbar.cpp			 | 2 +-
 code/core/statusbar.hpp			 | 2 +-
 code/core/tablabel.cpp				 | 2 +-
 code/core/tablabel.hpp				 | 2 +-
 code/core/textsessionuserview.cpp		 | 2 +-
 code/core/textsessionuserview.hpp		 | 2 +-
 code/core/textsessionview.cpp			 | 2 +-
 code/core/textsessionview.hpp			 | 2 +-
 code/core/texttablabel.cpp			 | 2 +-
 code/core/texttablabel.hpp			 | 2 +-
 code/core/textundogrouping.cpp			 | 2 +-
 code/core/textundogrouping.hpp			 | 2 +-
 code/core/titlebar.cpp				 | 2 +-
 code/core/titlebar.hpp				 | 2 +-
 code/core/userlist.cpp				 | 2 +-
 code/core/userlist.hpp				 | 2 +-
 code/dialogs/connection-dialog.cpp		 | 2 +-
 code/dialogs/connection-dialog.hpp		 | 2 +-
 code/dialogs/document-location-dialog.cpp	 | 2 +-
 code/dialogs/document-location-dialog.hpp	 | 2 +-
 code/dialogs/entry-dialog.cpp			 | 2 +-
 code/dialogs/entry-dialog.hpp			 | 2 +-
 code/dialogs/find-dialog.cpp			 | 2 +-
 code/dialogs/find-dialog.hpp			 | 2 +-
 code/dialogs/goto-dialog.cpp			 | 2 +-
 code/dialogs/goto-dialog.hpp			 | 2 +-
 code/dialogs/initial-dialog.cpp		 | 2 +-
 code/dialogs/initial-dialog.hpp		 | 2 +-
 code/dialogs/open-location-dialog.cpp		 | 2 +-
 code/dialogs/open-location-dialog.hpp		 | 2 +-
 code/dialogs/password-dialog.cpp		 | 2 +-
 code/dialogs/password-dialog.hpp		 | 2 +-
 code/dialogs/preferences-dialog.cpp		 | 2 +-
 code/dialogs/preferences-dialog.hpp		 | 2 +-
 code/main.cpp					 | 2 +-
 code/operations/operation-delete.cpp		 | 2 +-
 code/operations/operation-delete.hpp		 | 2 +-
 code/operations/operation-export-html.cpp	 | 2 +-
 code/operations/operation-export-html.hpp	 | 2 +-
 code/operations/operation-new.cpp		 | 2 +-
 code/operations/operation-new.hpp		 | 2 +-
 code/operations/operation-open-multiple.cpp	 | 2 +-
 code/operations/operation-open-multiple.hpp	 | 2 +-
 code/operations/operation-open.cpp		 | 2 +-
 code/operations/operation-open.hpp		 | 2 +-
 code/operations/operation-save.cpp		 | 2 +-
 code/operations/operation-save.hpp		 | 2 +-
 code/operations/operation-subscribe-path.cpp	 | 2 +-
 code/operations/operation-subscribe-path.hpp	 | 2 +-
 code/operations/operations.cpp			 | 2 +-
 code/operations/operations.hpp			 | 2 +-
 code/util/asyncoperation.cpp			 | 2 +-
 code/util/asyncoperation.hpp			 | 2 +-
 code/util/closebutton.cpp			 | 2 +-
 code/util/closebutton.hpp			 | 2 +-
 code/util/color.cpp				 | 2 +-
 code/util/color.hpp				 | 2 +-
 code/util/config.cpp				 | 2 +-
 code/util/config.hpp				 | 2 +-
 code/util/defaultaccumulator.hpp		 | 2 +-
 code/util/file.cpp				 | 2 +-
 code/util/file.hpp				 | 2 +-
 code/util/groupframe.cpp			 | 2 +-
 code/util/groupframe.hpp			 | 2 +-
 code/util/gtk-compat.hpp			 | 2 +-
 code/util/historyentry.cpp			 | 2 +-
 code/util/historyentry.hpp			 | 2 +-
 code/util/i18n.cpp				 | 2 +-
 code/util/i18n.hpp				 | 2 +-
 code/util/keygen.cpp				 | 2 +-
 code/util/keygen.hpp				 | 2 +-
 code/util/resolv.cpp				 | 2 +-
 code/util/resolv.hpp				 | 2 +-
 code/util/serialize.cpp			 | 2 +-
 code/util/serialize.hpp			 | 2 +-
 code/util/uri.cpp				 | 2 +-
 code/util/uri.hpp				 | 2 +-
 code/window.cpp				 | 2 +-
 code/window.hpp				 | 2 +-
 149 files changed, 151 insertions(+), 151 deletions(-)

commit 767e12564e18fc4313f87c8b6acf65021e6d14af
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sat Dec 28 14:19:42 2013 +0100

    Adapt to latest libinfinity API change

 code/commands/browser-commands.cpp		 |  52 +++--
 code/commands/browser-commands.hpp		 |  19 ++
 code/commands/browser-context-commands.cpp	 |  16 +-
 code/commands/file-tasks/task-open-multiple.cpp |   8 +-
 code/commands/file-tasks/task-open-multiple.hpp |  11 +-
 code/commands/user-join-commands.cpp		 |  32 +--
 code/operations/operation-delete.cpp		 |  51 +++--
 code/operations/operation-delete.hpp		 |  11 +-
 code/operations/operation-export-html.cpp	 |  37 ++--
 code/operations/operation-export-html.hpp	 |   4 +
 code/operations/operation-new.cpp		 |  71 ++++---
 code/operations/operation-new.hpp		 |   5 +-
 code/operations/operation-open-multiple.cpp	 |  83 +++++---
 code/operations/operation-open-multiple.hpp	 |  10 +-
 code/operations/operation-open.cpp		 |  69 ++++---
 code/operations/operation-open.hpp		 |   6 +-
 code/operations/operation-save.cpp		 |  29 +--
 code/operations/operation-save.hpp		 |   3 +
 code/operations/operation-subscribe-path.cpp	 | 234 ++++++++++++++--------
 code/operations/operation-subscribe-path.hpp	 |   9 +-
 code/operations/operations.cpp			 |  60 +++---
 code/operations/operations.hpp			 |  13 +-
 22 files changed, 506 insertions(+), 327 deletions(-)

commit 469ed7546eaedc453d5c6eaa3c4b659cda849035
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Nov 10 22:22:36 2013 +0100

    Add appdata information (#611)

    Thanks to Till Maas who provided the file in the RedHat bugtracker:
    https://bugzilla.redhat.com/show_bug.cgi?id=1025924

 Makefile.am	       |  3 +++
 gobby-0.5.appdata.xml | 24 ++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

commit d9d5c9533de1be8e8e3b580f9078178f90bd5faf
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Aug 12 11:27:17 2013 +0200

    Fix a crash switching between disconnected documents

    This resulted from the switch to the InfBrowser interface in
    libinfinity. The
    InfBrowser::unsubscribe-signal is now also emitted on disconnection
    or when
    the corresponding browser node is removed and the session was subscribed.
    However, this does not mean that we were unsubscribed from the session
    itself.
    For the latter, we watch InfSession::notify::subscription-group,
    which we now
    use as the only means for detecting unsubscription.

    Previously, it could happen that InfBrowser::unsubscribe-session
    was emitted
    in which case we removed the signal handler for
    InfSession::notify::subscription-group, but did not reset the active
    user from
    the session view, and then switching to the document lead to a crash.

 code/commands/subscription-commands.cpp | 36 ++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 13 deletions(-)

commit 2650acbe938378fe78446309226458b48dd97b6f
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Aug 12 10:56:20 2013 +0200

    Add support for chat session inside the directory structure

 code/commands/subscription-commands.cpp | 30 ++++++++++++++++++++++----
 code/core/browser.cpp			 |  8 ++++---
 code/core/browser.hpp			 |  2 --
 code/core/chattablabel.cpp		 | 20 +++++++++++++----
 code/core/chattablabel.hpp		 |  4 +++-
 code/core/folder.cpp			 |  3 ++-
 code/core/noteplugin.cpp		 | 36 ++++++++++++++++++++++++++-----
 code/core/noteplugin.hpp		 |  1 +
 code/window.cpp			 |  4 +---
 9 files changed, 85 insertions(+), 23 deletions(-)

commit fec95739eafb9ba21fa1aa42b8c095288d3ca60f
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Aug 11 15:13:03 2013 +0200

    Adapt for libinfinity API changes

 code/commands/user-join-commands.cpp | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 77a2d63711f5966fab8bbf5caca98cf1b446ae21
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Aug 6 12:03:03 2013 +0200

    Handle gracefully the case when a document is not allowed to be edited

 code/commands/subscription-commands.cpp     |	 6 +-
 code/commands/subscription-commands.hpp     |	 3 +-
 code/commands/synchronization-commands.cpp  |	 4 +-
 code/commands/synchronization-commands.hpp  |	 4 +-
 code/commands/user-join-commands.cpp	     | 128 +++++++++++++++++---------
 code/commands/user-join-commands.hpp	     |	10 +-
 code/core/nodewatch.cpp		     |	29 ++++--
 code/core/nodewatch.hpp		     |	 7 +-
 code/operations/operation-open-multiple.cpp |	 2 +-
 code/operations/operation-open.cpp	     |	 2 +-
 10 files changed, 133 insertions(+), 62 deletions(-)

commit b7aff1fafceb717fa5527c2b936e1c9f8e8792fb
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Aug 1 12:34:40 2013 +0200

    Add some modernization items on the TODO list, for post-0.5

 TODO | 5 +++++
 1 file changed, 5 insertions(+)

commit 18ddc57c781bb85efc72131112c0ab79431e6650
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Aug 1 12:34:21 2013 +0200

    Add a function to asynchronously create a private key

 code/util/Makefile.am |  2 ++
 code/util/keygen.cpp  | 90 +++++++++++++++++++++++++++++++++++++++++++++++++
 code/util/keygen.hpp  | 42 +++++++++++++++++++++++
 3 files changed, 134 insertions(+)

commit 72a8c3550e956092c551c0ef4751e3cc8d72614b
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 31 17:56:28 2013 +0200

    Close context menu dialogs when the corresponding browser node disappears

 code/commands/browser-context-commands.cpp | 1 -
 code/core/nodewatch.cpp		    | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

commit e37d37d3096d879cdf32eee5edd03458ec0a4e58
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 31 08:13:26 2013 +0200

    Do not expand the path explicitly in Browser::set_selected()

    This is already done by inf_gtk_browser_view_set_selected(), which
    is called
    by Browser::set_selected() to do the actual job.

 code/core/browser.cpp | 6 ------
 1 file changed, 6 deletions(-)

commit 598ed2a7cfb44083c877b165b021c7c376a4321e
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 31 08:12:42 2013 +0200

    Add a context menu item to show the permissions dialog

    This allows to view and modify the ACL for a node, if corresponding
    permissions are granted.

 code/commands/browser-context-commands.cpp | 118 +++++++++++++++++++--------
 code/commands/browser-context-commands.hpp |  14 ++--
 2 files changed, 88 insertions(+), 44 deletions(-)

commit 2dd456346a84ced9ff94429eca920858fbb94aa4
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 31 08:09:48 2013 +0200

    UserList: Make sure a user name is visible when the user is known

 code/core/userlist.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 918a6ca7973c53e118ff0916043299207dc01abd
Author: Armin Burgmeier <armin@arbur.net>
Date:	Fri Jul 26 16:17:23 2013 +0200

    Add GroupFrame class, replacing Group in preferencesDialog

 code/dialogs/preferences-dialog.cpp | 24 -----------------
 code/dialogs/preferences-dialog.hpp | 50 ++++++++++++++---------------------
 code/util/Makefile.am		     |	2 ++
 code/util/groupframe.cpp	     | 46 ++++++++++++++++++++++++++++++++
 code/util/groupframe.hpp	     | 41 ++++++++++++++++++++++++++++
 5 files changed, 109 insertions(+), 54 deletions(-)

commit 09f044ad8d5d7c2461cfe6c209ba6f8f8910433a
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Jul 22 15:19:46 2013 +0200

    Wait for connection to finish before finishing OperationSubscribePath

    This also simplifies the code a bit.

 code/operations/operation-subscribe-path.cpp | 30 ++++++++++----------------
 1 file changed, 11 insertions(+), 19 deletions(-)

commit 8593d003e59a8d78ec91e7dd4812e6488f282b65
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Jul 21 20:56:00 2013 +0200

    Open infinote:// URLs given on the command line

 code/main.cpp	 |  1 -
 code/window.cpp | 29 +++++++++++++++++++++--------
 code/window.hpp |  2 +-
 3 files changed, 22 insertions(+), 10 deletions(-)

commit 5a93cdcc39d59198816076acbcc4e2ef1d708320
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Jul 21 17:21:40 2013 +0200

    Use OperationSubscribePath for direct connection handling

    This simplifies the code in the Browser class a bit, and does exactly the
    same thing. Also, it enables a new feature which is to write the
    full path
    to a document on the remote server into the direct connection field, and
    Gobby then tries to subscribe to the document.

 code/commands/browser-commands.cpp	      | 13 +++-
 code/commands/browser-commands.hpp	      |  7 +-
 code/commands/file-commands.cpp	      |  4 +-
 code/core/browser.cpp			      | 90 ++++----------------------
 code/core/browser.hpp			      | 33 ++--------
 code/operations/operation-subscribe-path.cpp | 68 +++++++++++++++----
 code/operations/operations.cpp		      | 19 +++++-
 code/window.cpp			      |  3 +-
 code/window.hpp			      |  2 +-
 9 files changed, 110 insertions(+), 129 deletions(-)

commit f4ad2067eb5bd1004c503e215ca6d4cfa9def870
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Jul 21 16:52:22 2013 +0200

    Add OperationSubscribePath

 code/core/browser.cpp			      |  30 +-
 code/operations/Makefile.am		      |   6 +-
 code/operations/operation-subscribe-path.cpp | 415 +++++++++++++++++++++++++
 code/operations/operation-subscribe-path.hpp | 104 +++++++
 code/operations/operations.cpp		      |  25 +-
 code/operations/operations.hpp		      |  18 +-
 code/util/uri.cpp			      |  35 +++
 code/util/uri.hpp			      |   5 +
 code/window.cpp			      |   2 +-
 9 files changed, 630 insertions(+), 10 deletions(-)

commit 8a6feb58e958e3fc528cdc6c7889bfe97efa988e
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Jul 21 12:15:13 2013 +0200

    Extend the Browser public API a bit, to be able to add a connection
    directly

    This would work in principle already by just calling
    inf_gtk_browser_store_add_connection(), but via the browser API it
    is made
    sure that the connection is also registered in the XMPP manager.

 code/core/browser.cpp | 344 ++++++++++++++++++++++--------------------------
 code/core/browser.hpp |   6 +-
 code/util/Makefile.am |   6 +-
 code/util/uri.cpp     |  83 ++++++++++++
 code/util/uri.hpp     |  33 +++++
 5 files changed, 280 insertions(+), 192 deletions(-)

commit 972dcb8836281e3c3eff89a42dfc035c53ef45d4
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jul 18 11:02:53 2013 +0200

    Show certificate or key load errors in preferences dialog

 code/commands/edit-commands.cpp     |	8 +++---
 code/commands/edit-commands.hpp     |	4 ++-
 code/core/certificatemanager.hpp    |	2 --
 code/dialogs/preferences-dialog.cpp | 48 ++++++++++++++++++++++++++++++++---
 code/dialogs/preferences-dialog.hpp | 15 +++++++++--
 code/window.cpp		     |	2 +-
 6 files changed, 67 insertions(+), 12 deletions(-)

commit 1f7b98f5d8d45c612e80bcec19bec8961506b532
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 17 17:38:12 2013 +0200

    Fix a memory leak in CertificateManager

 code/core/certificatemanager.cpp | 1 +
 1 file changed, 1 insertion(+)

commit d1ab9030c505fb0c6f6d094c133e450351915537
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 17 14:59:14 2013 +0200

    Move Preferences and CertificateManager instantiation to main()

 code/main.cpp	 | 14 ++++++++++----
 code/window.cpp | 17 ++++++++---------
 code/window.hpp | 10 ++++++----
 3 files changed, 24 insertions(+), 17 deletions(-)

commit 15fbe0cf08ae7ff3ab74aa8b562c2f97bbaccc93
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed Jul 17 14:14:45 2013 +0200

    Add the CertificateManager class

    This class manages the certificate credentials for authentication with
    client side certificates and for a server certificate to show to clients
    in the upcoming selfhosting feature. It also manages the list of trusted
    CAs.

 code/core/Makefile.am		  |   2 +
 code/core/browser.cpp		  |  34 +++---
 code/core/browser.hpp		  |  11 +-
 code/core/certificatemanager.cpp | 229 +++++++++++++++++++++++++++++++++++++
 code/core/certificatemanager.hpp |  91 +++++++++++++++
 code/window.cpp		  |   6 +-
 code/window.hpp		  |   1 +
 7 files changed, 354 insertions(+), 20 deletions(-)

commit d3b263b277c0116df21dfc55c7576a3b278b79f6
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Apr 22 21:49:59 2013 +0200

    Implement new security options in preferences dialog

 code/dialogs/preferences-dialog.cpp | 73 ++++++++++++++++++++++++++++++++++-
 code/dialogs/preferences-dialog.hpp | 14 +++++++
 2 files changed, 86 insertions(+), 1 deletion(-)

commit 34a89fc29039f6c5fce513a7e980a067f2319c47
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Apr 21 22:35:13 2013 +0200

    Add options for self hosting in user pane of preferences dialog

 code/core/preferences.cpp	     |	 5 +
 code/core/preferences.hpp	     |	 1 +
 code/dialogs/initial-dialog.cpp     |	 6 +-
 code/dialogs/preferences-dialog.cpp | 184 +++++++++++++++++++++++++++-------
 code/dialogs/preferences-dialog.hpp |	24 ++++-
 5 files changed, 176 insertions(+), 44 deletions(-)

commit e342e741ba799bcd280ec6b5a327b4993d809f8f
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sat Apr 20 18:36:38 2013 +0200

    Add self hosting options into initial dialog

 code/dialogs/initial-dialog.cpp | 267 +++++++++++++++++++++++++++++++++++---
 code/dialogs/initial-dialog.hpp |  33 ++++-
 2 files changed, 278 insertions(+), 22 deletions(-)

commit 39ca86173eabc9d839ca5680a6c5cb7e981fd8b4
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sat Apr 20 18:36:15 2013 +0200

    Add new preferences for self hosting

 code/core/preferences.cpp | 32 +++++++++++++++++++++++++++-----
 code/core/preferences.hpp | 11 ++++++++++-
 2 files changed, 37 insertions(+), 6 deletions(-)

commit 1e832f3c62363f6d859c7d69471102153f00ce92
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jul 16 19:44:48 2013 +0200

    Fix FSF address in COPYING file

    Bug report #609, http://gobby.0x539.de/trac/ticket/609

 COPYING | 41 ++++++++++++++++++++---------------------
 1 file changed, 20 insertions(+), 21 deletions(-)

commit 7419121794423039a720cbfd816f9bfc16c8955e
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jul 16 19:34:07 2013 +0200

    Fix compilation with recent versions of gcc

    Patch by till, http://gobby.0x539.de/trac/ticket/604

 code/core/header.cpp			   | 1 +
 code/core/textsessionview.cpp		   | 3 +++
 code/operations/operation-export-html.cpp | 1 +
 3 files changed, 5 insertions(+)

commit 3835bea8f8b3c9263af290dab0fc209e496c0cbf
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jul 16 19:30:17 2013 +0200

    Fix compilation with clang

    Patch by jhowarth, http://gobby.0x539.de/trac/ticket/600

 code/util/config.hpp | 92 +++++++++++++++++++++++++-------------------------
 1 file changed, 46 insertions(+), 46 deletions(-)

commit 4aa8065e96603c57c09de7967b3a5c58cc73bd0e
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jul 16 17:39:32 2013 +0200

    Add 2013 to the copyright years

 code/commands/auth-commands.cpp		 | 2 +-
 code/commands/auth-commands.hpp		 | 2 +-
 code/commands/autosave-commands.cpp		 | 2 +-
 code/commands/autosave-commands.hpp		 | 2 +-
 code/commands/browser-commands.cpp		 | 2 +-
 code/commands/browser-commands.hpp		 | 2 +-
 code/commands/browser-context-commands.cpp	 | 2 +-
 code/commands/browser-context-commands.hpp	 | 2 +-
 code/commands/edit-commands.cpp		 | 2 +-
 code/commands/edit-commands.hpp		 | 2 +-
 code/commands/file-tasks/task-export-html.cpp	 | 2 +-
 code/commands/file-tasks/task-export-html.hpp	 | 2 +-
 code/commands/file-tasks/task-new.cpp		 | 2 +-
 code/commands/file-tasks/task-new.hpp		 | 2 +-
 code/commands/file-tasks/task-open-file.cpp	 | 2 +-
 code/commands/file-tasks/task-open-file.hpp	 | 2 +-
 code/commands/file-tasks/task-open-location.cpp | 2 +-
 code/commands/file-tasks/task-open-location.hpp | 2 +-
 code/commands/file-tasks/task-open-multiple.cpp | 2 +-
 code/commands/file-tasks/task-open-multiple.hpp | 2 +-
 code/commands/file-tasks/task-open.cpp		 | 2 +-
 code/commands/file-tasks/task-open.hpp		 | 2 +-
 code/commands/file-tasks/task-save-all.cpp	 | 2 +-
 code/commands/file-tasks/task-save-all.hpp	 | 2 +-
 code/commands/file-tasks/task-save.cpp		 | 2 +-
 code/commands/file-tasks/task-save.hpp		 | 2 +-
 code/commands/folder-commands.cpp		 | 2 +-
 code/commands/folder-commands.hpp		 | 2 +-
 code/commands/help-commands.cpp		 | 4 ++--
 code/commands/help-commands.hpp		 | 2 +-
 code/commands/subscription-commands.cpp	 | 2 +-
 code/commands/subscription-commands.hpp	 | 2 +-
 code/commands/synchronization-commands.cpp	 | 2 +-
 code/commands/synchronization-commands.hpp	 | 2 +-
 code/commands/user-join-commands.cpp		 | 2 +-
 code/commands/user-join-commands.hpp		 | 2 +-
 code/commands/view-commands.cpp		 | 2 +-
 code/commands/view-commands.hpp		 | 2 +-
 code/core/browser.cpp				 | 2 +-
 code/core/browser.hpp				 | 2 +-
 code/core/chatsessionview.cpp			 | 2 +-
 code/core/chatsessionview.hpp			 | 2 +-
 code/core/chattablabel.cpp			 | 2 +-
 code/core/chattablabel.hpp			 | 2 +-
 code/core/closableframe.cpp			 | 2 +-
 code/core/closableframe.hpp			 | 2 +-
 code/core/documentinfostorage.cpp		 | 2 +-
 code/core/documentinfostorage.hpp		 | 2 +-
 code/core/filechooser.cpp			 | 2 +-
 code/core/filechooser.hpp			 | 2 +-
 code/core/folder.cpp				 | 2 +-
 code/core/folder.hpp				 | 2 +-
 code/core/huebutton.cpp			 | 2 +-
 code/core/huebutton.hpp			 | 2 +-
 code/core/iconmanager.cpp			 | 2 +-
 code/core/iconmanager.hpp			 | 2 +-
 code/core/nodewatch.cpp			 | 2 +-
 code/core/nodewatch.hpp			 | 2 +-
 code/core/noteplugin.cpp			 | 2 +-
 code/core/noteplugin.hpp			 | 2 +-
 code/core/preferences.cpp			 | 2 +-
 code/core/preferences.hpp			 | 2 +-
 code/core/sessionuserview.cpp			 | 2 +-
 code/core/sessionuserview.hpp			 | 2 +-
 code/core/sessionview.cpp			 | 2 +-
 code/core/sessionview.hpp			 | 2 +-
 code/core/statusbar.cpp			 | 2 +-
 code/core/statusbar.hpp			 | 2 +-
 code/core/tablabel.cpp				 | 2 +-
 code/core/tablabel.hpp				 | 2 +-
 code/core/textsessionuserview.cpp		 | 2 +-
 code/core/textsessionuserview.hpp		 | 2 +-
 code/core/textsessionview.cpp			 | 2 +-
 code/core/textsessionview.hpp			 | 2 +-
 code/core/texttablabel.cpp			 | 2 +-
 code/core/texttablabel.hpp			 | 2 +-
 code/core/textundogrouping.cpp			 | 2 +-
 code/core/textundogrouping.hpp			 | 2 +-
 code/core/titlebar.cpp				 | 2 +-
 code/core/titlebar.hpp				 | 2 +-
 code/core/userlist.cpp				 | 2 +-
 code/core/userlist.hpp				 | 2 +-
 code/dialogs/connection-dialog.cpp		 | 2 +-
 code/dialogs/connection-dialog.hpp		 | 2 +-
 code/dialogs/document-location-dialog.cpp	 | 2 +-
 code/dialogs/document-location-dialog.hpp	 | 2 +-
 code/dialogs/entry-dialog.cpp			 | 2 +-
 code/dialogs/entry-dialog.hpp			 | 2 +-
 code/dialogs/find-dialog.cpp			 | 2 +-
 code/dialogs/find-dialog.hpp			 | 2 +-
 code/dialogs/goto-dialog.cpp			 | 2 +-
 code/dialogs/goto-dialog.hpp			 | 2 +-
 code/dialogs/initial-dialog.cpp		 | 2 +-
 code/dialogs/initial-dialog.hpp		 | 2 +-
 code/dialogs/open-location-dialog.cpp		 | 2 +-
 code/dialogs/open-location-dialog.hpp		 | 2 +-
 code/dialogs/password-dialog.cpp		 | 2 +-
 code/dialogs/password-dialog.hpp		 | 2 +-
 code/dialogs/preferences-dialog.cpp		 | 2 +-
 code/dialogs/preferences-dialog.hpp		 | 2 +-
 code/main.cpp					 | 2 +-
 code/operations/operation-delete.cpp		 | 2 +-
 code/operations/operation-delete.hpp		 | 2 +-
 code/operations/operation-export-html.cpp	 | 2 +-
 code/operations/operation-export-html.hpp	 | 2 +-
 code/operations/operation-new.cpp		 | 2 +-
 code/operations/operation-new.hpp		 | 2 +-
 code/operations/operation-open-multiple.cpp	 | 2 +-
 code/operations/operation-open-multiple.hpp	 | 2 +-
 code/operations/operation-open.cpp		 | 2 +-
 code/operations/operation-open.hpp		 | 2 +-
 code/operations/operation-save.cpp		 | 2 +-
 code/operations/operation-save.hpp		 | 2 +-
 code/operations/operations.cpp			 | 2 +-
 code/operations/operations.hpp			 | 2 +-
 code/util/asyncoperation.cpp			 | 2 +-
 code/util/asyncoperation.hpp			 | 2 +-
 code/util/closebutton.cpp			 | 2 +-
 code/util/closebutton.hpp			 | 2 +-
 code/util/color.cpp				 | 2 +-
 code/util/color.hpp				 | 2 +-
 code/util/config.cpp				 | 2 +-
 code/util/config.hpp				 | 2 +-
 code/util/defaultaccumulator.hpp		 | 2 +-
 code/util/file.cpp				 | 2 +-
 code/util/file.hpp				 | 2 +-
 code/util/gtk-compat.hpp			 | 2 +-
 code/util/historyentry.cpp			 | 2 +-
 code/util/historyentry.hpp			 | 2 +-
 code/util/i18n.cpp				 | 2 +-
 code/util/i18n.hpp				 | 2 +-
 code/util/resolv.cpp				 | 2 +-
 code/util/resolv.hpp				 | 2 +-
 code/util/serialize.cpp			 | 2 +-
 code/util/serialize.hpp			 | 2 +-
 code/window.cpp				 | 2 +-
 code/window.hpp				 | 2 +-
 137 files changed, 138 insertions(+), 138 deletions(-)

commit b8bcd51c7681b9397527cdacb6bd78f90d156083
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jul 16 16:33:07 2013 +0200

    Adapt gobby to the API changes in libinfinity

 code/commands/browser-commands.cpp | 5 ++---
 code/operations/operation-new.cpp  | 3 ++-
 code/operations/operation-open.cpp | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit bfd20c847dcc38d7947d726ed2b70b0922852673
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue Jun 25 09:56:56 2013 +0200

    Fix a possible crash when adding a user to the userlist

    A crash could happen if the cell data func was called before the user
    object was set in the row of the list store.

    A cleaner way to avoid this would be to atomically create the row and set
    the data, using gtk_list_store_insert_with_values(), but this API is not
    wrapped in gtkmm.

    Many thanks to Rainer Rehak for reporting this!
    (http://permalink.gmane.org/gmane.network.obby.user/411)

 code/core/userlist.cpp | 68 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 44 insertions(+), 24 deletions(-)

commit 75c4c15a7aaf3e9fd3ed5faa16b75021d2242c53
Author: Armin Burgmeier <armin@arbur.net>
Date:	Thu Jun 27 08:57:16 2013 +0200

    Fix a crash when gobby is invoked with invalid UTF-8 on the command line

    Conflicts:
	ChangeLog.pre-0.5
	src/main.cpp

 code/main.cpp | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 8c5050b964a9b06e00b13d0a52a0fc11736945f1
Author: Armin Burgmeier <armin@arbur.net>
Date:	Wed May 1 20:41:10 2013 +0200

    Add AsyncOperation class, use it for hostname resolution

 code/core/browser.cpp	      |  13 +++--
 code/core/browser.hpp	      |  20 ++++---
 code/util/Makefile.am	      |   2 +
 code/util/asyncoperation.cpp | 104 +++++++++++++++++++++++++++++++++
 code/util/asyncoperation.hpp |  68 ++++++++++++++++++++++
 code/util/resolv.cpp	      | 128 +++++++++++++++++++----------------------
 code/util/resolv.hpp	      |  18 +++---
 7 files changed, 260 insertions(+), 93 deletions(-)

commit fc73c71249a2364454ff28537b2f238bb29cc3da
Author: Armin Burgmeier <armin@arbur.net>
Date:	Sun Apr 14 12:21:37 2013 +0200

    Use InfBrowser instead of InfcBrowser; adapt to libinfinity API changes

 code/commands/browser-commands.cpp		 | 175 +++++++++------
 code/commands/browser-commands.hpp		 |  17 +-
 code/commands/browser-context-commands.cpp	 | 257 +++++++++++-----------
 code/commands/browser-context-commands.hpp	 |  16 +-
 code/commands/file-tasks/task-new.cpp		 |   4 +-
 code/commands/file-tasks/task-open-multiple.cpp |   4 +-
 code/commands/file-tasks/task-open.cpp		 |   4 +-
 code/commands/subscription-commands.cpp	 | 133 ++++++-----
 code/commands/subscription-commands.hpp	 |  51 ++---
 code/commands/synchronization-commands.cpp	 |   4 +-
 code/commands/synchronization-commands.hpp	 |   4 +-
 code/commands/user-join-commands.cpp		 | 109 ++++-----
 code/commands/user-join-commands.hpp		 |   6 +-
 code/core/browser.cpp				 |  44 ++--
 code/core/browser.hpp				 |   6 +-
 code/core/documentinfostorage.cpp		 |  46 ++--
 code/core/documentinfostorage.hpp		 |  37 ++--
 code/core/nodewatch.cpp			 |  34 +--
 code/core/nodewatch.hpp			 |  20 +-
 code/dialogs/document-location-dialog.cpp	 |  19 +-
 code/dialogs/document-location-dialog.hpp	 |   2 +-
 code/operations/operation-delete.cpp		 |  38 ++--
 code/operations/operation-delete.hpp		 |  25 +--
 code/operations/operation-new.cpp		 |  49 +++--
 code/operations/operation-new.hpp		 |  27 +--
 code/operations/operation-open-multiple.cpp	 |   4 +-
 code/operations/operation-open-multiple.hpp	 |   4 +-
 code/operations/operation-open.cpp		 |  60 ++---
 code/operations/operation-open.hpp		 |  27 +--
 code/operations/operations.cpp			 |  20 +-
 code/operations/operations.hpp			 |  20 +-
 31 files changed, 643 insertions(+), 623 deletions(-)

commit c07e248aeffc3f1ccea96a9ae6bc401f779d29c8
Author: Armin Burgmeier <armin@arbur.net>
Date:	Tue May 28 21:23:51 2013 +0200

    Add a slider to change the intesity of user colors

 code/core/preferences.cpp	     |	2 ++
 code/core/preferences.hpp	     |	1 +
 code/core/textsessionview.cpp	     | 18 ++++++++++++++++++
 code/core/textsessionview.hpp	     |	1 +
 code/dialogs/preferences-dialog.cpp | 35 +++++++++++++++++++++++++++++++++++
 code/dialogs/preferences-dialog.hpp |	5 +++++
 6 files changed, 62 insertions(+)

commit 46b4c2c22a889734a6d9cd545c7fcb36f544fd1e
Author: Armin Burgmeier <armin@arbur.net>
Date:	Mon Apr 22 16:55:16 2013 +0200

    Auto-generate the ChangeLog from git

 ChangeLog	  | 3267 ----------------------------------------------------
 ChangeLog.manual | 3267 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am	  |   24 +
 3 files changed, 3291 insertions(+), 3267 deletions(-)
2012-12-04  Philipp Kern  <phil@0x539.de>

	* po/LINGUAS:
	* po/ca.po: Add Catalan translation, thanks to Jordi Mallach.

2012-04-30  Philipp Kern  <phil@0x539.de>

	* gobby-0.5.1: Fix a grammar mistake.

2012-04-29  Armin Burgmeier  <armin@arbur.net>

	* code/commands/autosave-commands.cpp:
	* code/commands/folder-commands.cpp:
	* code/commands/user-join-commands.cpp:
	* code/core/filechooser.cpp:
	* code/core/folder.cpp:
	* code/core/header.cpp:
	* code/core/preferences.cpp:
	* code/core/statusbar.cpp:
	* code/core/textsessionview.cpp:
	* code/dialogs/initial-dialog.cpp:
	* code/dialogs/preferences-dialog.cpp:
	* code/operations/operation-open.cpp:
	* code/operations/operation-open.hpp:
	* code/operations/operation-save.hpp: Add some missing glibmm includes
	that are no longer pulled in by gtkmm since recent gtkmm3 versions.

2012-03-18  Philipp Kern  <phil@0x539.de>

	* code/util/gtk-compat.hpp: Fix the call of Gtk3's
	gtk-widget-render-icon-pixbuf, which is allowed to return NULL if
	the stock icon does not exist.  Guard it with MISSING_IMAGE.

2012-03-18  Philipp Kern  <phil@0x539.de>

	* configure.ac: Support the new libinfinity library names built
	against Gtk3.

2011-10-25  Philipp Kern  <phil@0x539.de>

	* configure.ac: drop AM_MAINTAINER_MODE

2011-08-07  Philipp Kern  <phil@0x539.de>

	* code/core/browser.cpp:
	* code/core/browser.hpp:
	* code/util/historyentry.cpp:
	* code/util/historyentry.hpp: Make direct connection host name entry
	field accessible. (#570)

2011-07-30  Philipp Kern  <phil@0x539.de>

	* code/core/documentinfostorage.cpp:
	* code/core/folder.cpp:
	* code/util/config.cpp:
	* code/util/file.cpp: create directories with mode 0700 (Debian bug
	  #636015)

2011-04-03  Philipp Kern  <phil@0x539.de>

	* *.cpp, *.hpp: adjusted the address of the Free Software Foundation
	to match the current one

2011-03-27  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Post-release bump to 0.4.95, require libinfinity-0.6.

	* README: Update dependencies list.

2011-03-27  Armin Burgmeier  <armin@arbur.net>

	* === Released 0.4.94 ===

	* README:
	* NEWS: Update for release.

2011-03-27  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Use unique-3.0 when compiling against GTK+ 3.0.

2011-01-30  Armin Burgmeier  <armin@arbur.net>

	* code/commands/subscription-commands.cpp (on_notify_connection):
	Don't show the info text if session's state is not RUNNING. In that
	case the connection was unset in SYNCHRONIZING state in which case
	synchronization-commands will set a more specific error message.

2011-01-30  Armin Burgmeier  <armin@arbur.net>

	* code/core/folder.cpp (remove_document): Don't call
	inf_session_close() if the session is already closed. This can happen
	if the session synchronization fails.

2011-01-29  Armin Burgmeier  <armin@arbur.net>

	* all source files: Add 2011 to copyright years.

2011-01-29  Armin Burgmeier  <armin@arbur.net>

	* code/core/textsessionview.cpp (get_cursor_position):
	Fix a compiler warning.

2011-01-29  Armin Burgmeier  <armin@arbur.net>

	* code/core/textsessionuserview.hpp:
	* code/core/textsessionuserview.cpp:
	* code/core/Makefile.am: Add the InfTextSessionUserView class which
	handles scrolling to a remote user's cursor when double-clicking it in
	the user list.

	* code/core/userlist.hpp:
	* code/core/userlist.cpp: Add the user_activated signal.

	* code/core/folder.cpp: Create a TextSessionUserView for text
	sessions.

2011-01-29  Armin Burgmeier  <armin@arbur.net>

	* code/core/sessionuserview.hpp: Fix the include guard.

2011-01-29  Armin Burgmeier  <armin@arbur.net>

	* code/util/gtk-compat.hpp: Add a wrapper for Gtk::IconSet which is
	now used by a RefPtr in gtkmm 3.

	* code/core/iconmanager.hpp:
	* code/core/iconmanager.cpp: Adapt for that.

	* code/core/textsessionview.hpp:
	* code/operations/operations.hpp:
	* code/operations/operation-export-html.cpp: Rearrange some include
	directives to avoid including gtkmm headers after Xlib headers, which
	causes trouble because of common Xlib #defines such as None, Window or
	Status.

2011-01-24  Armin Burgmeier  <armin@arbur.net>

	* code/util/gtk-compat.cpp: Fix a crash when connecting to a server
	with GTK+ 2.

2011-01-23  Armin Burgmeier  <armin@arbur.net>

	* code/util/gtk-compat.hpp:
	* code/util/historyentry.hpp:
	* code/util/historyentry.cpp:
	* code/util/Makefile.am:
	* code/core/browser.cpp:
	* code/core/closableframe.cpp:
	* code/core/folder.hpp:
	* code/core/folder.cpp:
	* code/core/preferences.cpp:
	* code/core/sessionuserview.cpp:
	* code/core/statusbar.cpp:
	* code/core/tablabel.cpp:
	* code/core/texttablabel.hpp:
	* code/core/texttablabel.cpp:
	* code/core/userlist.cpp:
	* code/dialogs/document-location-dialog.cpp:
	* code/dialogs/entry-dialog.cpp:
	* code/dialogs/find-dialog.cpp:
	* code/dialogs/goto-dialog.cpp:
	* code/dialogs/initial-dialog.cpp:
	* code/dialogs/open-location-dialog.cpp:
	* code/dialogs/preferences-dialog.cpp:
	* code/operations/operation-export-html.cpp:
	* code/operations/operation-save.cpp:
	* code/commands/browser-context-commands.cpp:
	* code/commands/edit-commands.cpp:
	* code/commands/help-commands.cpp:
	* code/commands/user-join-commands.cpp:
	* code/commands/view-commands.cpp:
	* code/window.cpp:
	* code/main.cpp:
	* configure.ac: Add a --with-gtk3 switch to Gobby and adapt the code
	so that it compiles with gtkmm-3. If GTK 3 is enabled then the
	--with-unique switch is ignored. Eventually we need to port that code
	to GtkApplication.

2010-12-25  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.hpp:
	* code/core/browser.cpp:
	* code/commands/auth-commands.hpp:
	* code/commands/auth-commands.cpp: Adapt to latest API changes in
	libinfinity, show password dialog asynchronously.

2010-09-21  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-context-commands.hpp:
	* code/commands/browser-context-commands.cpp: Add a "Disconnect from
	Server" option to the context menu (#542).

2010-09-21  Armin Burgmeier  <armin@arbur.net>

	* code/core/preferences.hpp:
	* code/core/preferences.cpp: Add preferences options for showing
	remote cursors, selections, current lines and cursor positions in the
	scrollbar.

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Apply the new settings on the
	underlying objects.

	* code/dialogs/preferences-dialog.hpp:
	* code/dialogs/preferences-dialog.cpp: Add the new options to the
	preferences dialog.

2010-06-04  Armin Burgmeier  <armin@arbur.net>

	* code/core/texttablabel.hpp:
	* code/core/texttablabel.cpp: Adapt for a recent API change in
	InfTextBuffer.

2010-03-02  Armin Burgmeier  <armin@arbur.net>

	* gobby-0.5.desktop.in: Added GenericName and X-GNOME-FullName fields,
	changed Name to be just Gobby. Bug #528.

2010-02-25  Armin Burgmeier  <armin@arbur.net>

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Show remote users' position in
	scrollbar using InfTextGtkViewport.

2010-02-14  Benjamin Herr  <ben@0x539.de>

	* code/dialogs/password-dialog.cpp:
	* code/operations/operation-delete.cpp:
	* code/operations/operation-new.cpp:
	* code/operations/operation-open.cpp:
	* code/operations/operation-save.cpp: Added quotation marks in
	messages including file paths or document names.

	* code/operations/operation-export-html.cpp: Quotations marks as
	above, also moved a comment so it shows up in .po files.

	* code/commands/help-commands.cpp: Updated FSF address in GPL, added
	Michael Frey to translation credits.


2010-02-13  Armin Burgmeier  <armin@arbur.net>

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Add a InfTextGtkView, to show remote
	cursors.

2010-02-12  Armin Burgmeier  <armin@arbur.net>

	* all source files: Added 2010 to copyright years.

2010-02-09  Benjamin Herr  <ben@0x539.de>

	* code/commands/auth-commands.hpp:
	* code/commands/auth-commands.cpp: Handle _TRY_AGAIN errors, do
	the whole retrying thing properly.

2010-01-31  Benjamin Herr  <ben@0x539.de>, Armin Burgmeier  <armin@arbur.net>

	* code/commands/auth-commands.cpp: Adapt to the removal of the
	user-authenticated signal, instead query detailed SASL error using
	inf_xmpp_connection_get_sasl_error().

2009-01-27  Benjamin Herr  <ben@0x539.de>

	* code/commands/auth-commands.cpp: Display errors from the
	InfPostAuthenticationError domain properly instead of a generic
	"unknown error".

2009-12-23  Armin Burgmeier  <armin@arbur.net>

	* code/core/folder.hpp:
	* code/core/folder.cpp: Added get_document().

	* code/commands/file-tasks/task-save-all.cpp (run): Use it, instead
	of (wrongly) iterating the folder's documents by itself, fixing "Save
	All". Bug #519.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Post-release bump to 0.4.94, require libinfinity-0.5.

	* README: Update dependencies list.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* === Released 0.4.93 ===

	* README:
	* NEWS: Update for release.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.cpp (compare_func): Don't use result when it is
	uninitialized.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* configure.ac:
	* Makefile.am: Don't require gnome-doc-utils do be available, build
	without documentation if they are not, such as on Windows.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* code/dialogs/preferences-dialog.cpp: Don't add
	GTK_SOURCE_DRAW_SPACES_NBSP when showing flags since this does not
	exist in GtkSourceView 2.4.0 yet (which we require). We may it add
	later when we bump the GtkSourceView dependency.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* code/dialogs/password-dialog.hpp:
	* code/dialogs/connection-dialog.hpp: Include <gtkmm/image.h>, to fix
	the build with gtkmm 2.12.

2009-12-19  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.cpp: Sort top-level items by name.

2009-12-18  Armin Burgmeier  <armin@arbur.net>

	* help/C/gobby.xml: Mention Shift+Ctrl+C shortcut for color reset.

2009-12-18  Armin Burgmeier  <armin@arbur.net>

	* code/core/header.hpp:
	* code/core/header.cpp: Added a reset user color item to the view
	menu.

	* code/commands/view-commands.hpp:
	* code/commands/view-commands.cpp: Added corresponding functionality,
	using inf_text_gtk_buffer_show_user_colors(). Bug #211.

2009-12-16  Armin Burgmeier  <armin@arbur.net>

	* Makefile.am: Added gobby-0.5.desktop.in to EXTRA_DIST.

	* help/C/gobby.xml: Added dummy items for referenced sections, so that
	the XML validates. This fixes make distcheck.

2009-12-16  Armin Burgmeier  <armin@arbur.net>

	* Makefile.am: Don't install the .desktop file on Windows.

2009-12-15  Armin Burgmeier  <armin@arbur.net>

	* code/dialogs/password-dialog.cpp: Fix spacings.

2009-12-15  Benjamin Herr  <ben@0x539.de>

	* code/commands/file-commands.hpp:
	* code/commands/file-commands.cpp:
	* code/core/header.hpp:
	* code/core/header.cpp:
	* code/dialogs/Makefile.am: Added a File menu action to connect to a
	server, equivalent to the existing Direct Connection entry.

2009-12-15  Benjamin Herr  <ben@0x539.de>

	* code/commands/Makefile.am:
	* code/commands/auth-commands.hpp:
	* code/commands/auth-commands.cpp:
	* code/core/browser.hpp:
	* code/core/browser.cpp:
	* code/dialogs/Makefile.am:
	* code/dialogs/password-dialog.hpp:
	* code/dialogs/password-dialog.cpp:
	* code/window.hpp:
	* code/window.cpp: Added support for SASL PLAIN authentication,
	prompting the user for a password upon connection.

2009-12-15  Benjamin Herr  <ben@0x539.de>

	* configure.ac: Enable optional AM_SILENT_RULES.

2009-12-14  Armin Burgmeier  <armin@arbur.net>

	* README: Update IRC channel, updated dependencies.

2009-12-14  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-context-commands.cpp (on_populate_popup):
	Don't crash when right-clicking on a browser item whose connection is
	currently being established.

2009-12-14  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.cpp (on_notify_status): Close
	network connection when server does not send initial welcome message.

2009-12-10  Benjamin Herr  <ben@0x539.de>

	* code/commands/browser-context-commands.cpp: Do not try to create
	context menu popup for directories that are not in working order.
	Fixes a crash when rightclicking disconnected browser entries.

2009-12-10  Benjamin Herr  <ben@0x539.de>

	* code/core/browser.cpp: Use new inf_tcp_connection_new() function
	instead of manually creating a GObject.

2009-12-07  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.hpp:
	* code/commands/browser-commands.cpp: Simplified the code a bit using
	the new InfcBrowser "status" property.

2009-12-05  Armin Burgmeier  <armin@arbur.net>

	* code/core/textundogrouping.hpp:
	* code/core/textundogrouping.cpp:
	* code/core/Makefile.am: Added a thin wrapper around
	InfTextUndoGrouping which also encloses GtkTextBuffer's user actions
	into an undo group.

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Instantiate an undo group when an
	active user is set.

	* code/commands/edit-commands.cpp: Undo multiple requests according
	to the document's undo grouping.

2009-12-03  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/commands/help-commands.cpp: Added translator credits.

2009-12-03  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/dialogs/find-dialog.cpp: Fixed a spelling error.

2009-12-02  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/window.cpp:
	* code/core/statusbar.hpp:
	* code/core/statusbar.cpp: Do not show the statusbar's grip handle
	while the window is maximized.

2009-12-02  Armin Burgmeier  <armin@arbur.net>

	* code/commands/edit-commands.cpp: Adapt to another libinfinity API
	change: inf_adopted_session_undo() and inf_adopted_session_redo() have
	a new guint parameter.

2009-12-01  Armin Burgmeier  <armin@arbur.net>

	* code/core/chattablabel.hpp:
	* code/core/chattablabel.cpp:
	* code/core/Makefile.am: Added a tab label for the chat tabs.

	* code/core/folder.cpp: Make use of it for new chat sessions.

2009-12-01  Armin Burgmeier  <armin@arbur.net>

	* code/core/tablabel.hpp:
	* code/core/tablabel.cpp: Removed all text-specific functionality from
	TabLabel.

	* code/core/texttablabel.hpp:
	* code/core/texttablabel.cpp:
	* code/core/Makefile.am: Readded it to TextTagTabel which derives from
	TabLabel.

	* code/core/folder.cpp: Create a TextTabLabel for text documents.

2009-12-01  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/core/statusbar.cpp: Do not display documents' status on the
	status bar when there are no documents open.

2009-12-01  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/core/statusbar.hpp:
	* code/core/statusbar.cpp: Display the overwrite status on the status
	bar.

2009-11-30  Armin Burgmeier  <armin@arbur.net>

	* code/core/noteplugin.cpp:
	* code/operations/operation-open.cpp: Adapt to recent API change in
	libinfinity: inf_text_session_new() and InfcNotePlugin's session_new()
	now take a InfSessionStatus parameter.

2009-11-30  Armin Burgmeier  <armin@arbur.net>

	* code/commands/folder-commands.cpp (constructor): Fixed a comparison
	of signed vs. unsigned compiler warning.

2009-11-30  Armin Burgmeier  <armin@arbur.net>

	* code/commands/subscription-commands.cpp (on_notify_connection): Also
	reset the active user for chat sessions. This prevents a crash when
	changing to a chat session tab which belongs to a closed chat session.

2009-11-21  Armin Burgmeier  <armin@arbur.net>

	* code/core/sessionview.hpp:
	* code/core/sessionview.cpp:
	* code/core/chatsessionview.hpp:
	* code/core/chatsessionview.cpp:
	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Moved get_active_user and the
	active-user-changed signal to the base class.

	* code/commands/folder-commands.hpp:
	* code/commands/folder-commands.cpp: Make this work with chat
	sessions.

	* code/dialogs/find-dialog.hpp:
	* code/dialogs/find-dialog.cpp:
	* code/commands/edit-commands.hpp:
	* code/commands/edit-commands.cpp: Adapt for changed
	active-user-changed signal signature.

	* code/window.hpp:
	* code/window.cpp: Renamed commands member variables to have _commands
	as suffix, not as prefix, and added a folder commands for the chat
	folder.

2009-11-21  Philipp Kern  <phil@0x539.de>

	* help/C/gobby.xml: document Editor settings a bit more

2009-11-21  Philipp Kern  <phil@0x539.de>

	* code/dialogs/preferences-dialog.cpp: fix en_UK-ism

2009-11-21  Philipp Kern  <phil@0x539.de>

	* help/C/gobby.xml: add shortcuts

2009-11-17  Philipp Kern  <phil@0x539.de>

	* help/C/gobby.xml: point to the new IRC channel on Freenode

2009-11-17  Armin Burgmeier  <armin@arbur.net>

	* code/window.hpp:
	* code/window.cpp: Switch to text when chat pane is hidden while it
	had focus, and give it focus if it is shown and nothing else has focus
	already.

2009-11-17  Armin Burgmeier  <armin@arbur.net>

	* code/core/chatsessionview.hpp: Added get_chat().

	* code/window.hpp:
	* code/window.cpp: Added Ctrl+M and Ctrl+Shift+M shortcuts to easily
	jump between chat and document.

2009-11-17  Armin Burgmeier  <armin@arbur.net>

	* code/core/closableframe.hpp:
	* code/core/closableframe.cpp: Add set_allow_visible().

	* code/core/preferences.hpp:
	* code/core/preferences.cpp: Added settings for chat visibility and
	chat userlist visibility and width.

	* code/core/folder.cpp: Use different preference settings for document
	userlist visibility and chat userlist visibility.

	* code/core/iconmanager.hpp:
	* code/core/iconmanager.cpp: Added stock chat icon.

	* code/core/header.hpp:
	* code/core/header.cpp: Added "View Chat" and "View Chat User List"
	menu items and actions.

	* code/commands/view-commands.hpp:
	* code/commands/view-commands.cpp: Implemented functionality for the
	new actions.

	* code/window.hpp:
	* code/window.cpp: Pass chat frame and folder to view-commands.

2009-11-17  Armin Burgmeier  <armin@arbur.net>

	* code/util/color.hpp:
	* code/util/color.cpp: Fixed return type of rgb_to_hsv() and
	hsv_to_rgb().

2009-11-15  Armin Burgmeier  <armin@arbur.net>

	* code/core/userlist.hpp:
	* code/core/userlist.cpp: Added set_show_disconnected().

	* code/core/sessionuserview.hpp:
	* code/core/sessionuserview.cpp: Added a show_disconnected parameter
	in the constructor.

	* code/core/folder.cpp: Don't show disconnected users for chat
	sessions.

2009-11-15  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/commands/help-commands.cpp: Updated the about dialog.

2009-11-11  Benjamin Herr  <ben@0x539.de>

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.bpp: On style change, use new libinfinity
	functionality to adjust user colour saturation/value. The formulas
	used might not be optimal, so there is room for improvement.

2009-11-10  Benjamin Herr  <ben@0x539.de>

	* code/core/statusbar.cpp: Manually add a "Close" button to the status
	bar message dialog because RESPONSE_CLOSE seems to add a "Cancel"
	button instead for some people (Gabríel).

2009-11-10  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/commands/browser-context-commands.hpp:
	* code/commands/browser-context-commands.cpp: Fixed an assertion error.

2009-11-09  Benjamin Herr  <ben@0x539.de>, Armin Burgmeier  <armin@arbur.net>

	* code/core/statusbar.hpp:
	* code/core/statusbar.cpp: Readded timeout mechanism into status bar
	message functions.

	* code/dialogs/find-dialog.cpp: Readded timeout for status bar
	messages so that they would actually disappear at some point.

2009-11-09  Benjamin Herr  <ben@0x539.de>, Armin Burgmeier  <armin@arbur.net>

	* code/core/statusbar.cpp: Changed "OK" back to "Close" in status bar
	error message popup dialog.

2009-11-09  Benjamin Herr  <ben@0x539.de>, Armin Burgmeier  <armin@arbur.net>

	* code/core/statusbar.cpp: Made status bar error message popup dialog
	non-modal.

2009-11-09  Gabríel A. Pétursson  <gabrielp@simnet.is>, Armin Burgmeier  <armin@arbur.net>

	* code/core/preferences.hpp:
	* code/core/preferences.cpp: Added scheme_id preference option to
	appearance.

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Set GtkSourceView style scheme
	according to selected scheme ID.

	* code/dialogs/preferences-dialog.hpp:
	* code/dialogs/preferences-dialog.cpp: Add a list to choose one's
	favoured style scheme to the appearance tab.

2009-11-09  Benjamin Herr  <ben@0x539.de>

	* code/core/statusbar.cpp:
	* code/core/statusbar.hpp: Add hide_message that only removes a
	message widget without removing the (then-null) pointer from the
	m_list. hide_message can be called multiple times, thus avoiding the
	crash when an info message was removed twice.

2009-11-09  Benjamin Herr  <ben@0x539.de>

	* code/core/statusbar.cpp:
	* code/core/statusbar.hpp: Minor refactoring to the status bar message
	change. Also made more stuff a detail of StatusBar::Message.

2009-11-08  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.hpp:
	* code/commands/browser-commands.cpp: Initiate a subscription to a
	server's chat upon connection.

	* code/commands/subscription-commands.hpp:
	* code/commands/subscription-commands.cpp: Create a ChatSessionView in
	the bottom pane in case of a chat subscription.

	* code/commands/user-join-commands.cpp: Do a chat user join for chat
	sessions.

	* code/core/folder.hpp:
	* code/core/folder.cpp: Added a hide_single_tab option.

	* code/window.cpp: Adapt to changed folder and browser-commands
	constructors.

2009-11-08  Armin Burgmeier  <armin@arbur.net>

	* code/commands/subscription-commands.hpp:
	* code/commands/subscription-commands.cpp: New class handling session
	subscriptions.

	* code/commands/synchronization-commands.hpp:
	* code/commands/synchronization-commands.cpp: New class handling
	session synchronization.

	* code/commands/user-join-commands.hpp:
	* code/commands/user-join-commands.cpp: New class handling user join.

	* code/commands/browser-commands.hpp:
	* code/commands/browser-commands.cpp: Removed the functionality that
	has been moved to the classes mentioned above.

	* code/commands/Makfile.am: Add the new files to the build.

	* code/window.hpp:
	* code/window.cpp: Instantiante the new classes.

2009-11-08  Armin Burgmeier  <armin@arbur.net>

	* code/core/chatsessionview.hpp:
	* code/core/chatsessionview.cpp: Added a SessionView-deriving class to
	show a chat session.

	* code/core/Makefile.am: Added the new files to the build.

	* code/core/folder.hpp:
	* code/core/folder.cpp: Added add_chat_session, renamed add_document
	to add_text_session.

	* code/commands/browser-commands.cpp: Use add_text_session instead of
	add_document.

	* code/window.hpp:
	* code/window.cpp: Added a bottom pane for the chat.

2009-10-25  Armin Burgmeier  <armin@arbur.net>

	* code/core/textsessionview.hpp:
	* code/core/textsessionview.cpp: Added TextSessionView, a
	SessionView-deriving class showing a InfTextSession.

	* code/core/docwindow.hpp:
	* code/core/docwindow.cpp: Removed.

	* code/core/Makefile.am: Adapted the build.

	* code/core/sessionview.hpp:
	* code/core/sessionview.cpp: Added path & hostname to SessionView.

	* code/core/folder.hpp:
	* code/core/folder.cpp:
	* code/core/statusbar.hpp:
	* code/core/statusbar.cpp:
	* code/core/tablabel.hpp:
	* code/core/tablabel.cpp:
	* code/core/titlebar.hpp:
	* code/core/titlebar.cpp:
	* code/core/userlist.cpp:

	* code/dialogs/find-dialog.hpp:
	* code/dialogs/find-dialog.cpp:
	* code/dialogs/goto-dialog.hpp:
	* code/dialogs/goto-dialog.cpp:

	* code/operations/operation-export-html.hpp:
	* code/operations/operation-export-html.cpp:
	* code/operations/operation-save.hpp:
	* code/operations/operation-save.cpp:
	* code/operations/operations.hpp:
	* code/operations/operations.cpp:

	* code/commands/autosave-commands.hpp:
	* code/commands/autosave-commands.cpp:
	* code/commands/browser-commands.cpp:
	* code/commands/edit-commands.hpp:
	* code/commands/edit-commands.cpp:
	* code/commands/file-commands.hpp:
	* code/commands/file-commands.cpp:
	* code/commands/folder-commands.hpp:
	* code/commands/folder-commands.cpp:
	* code/commands/view-commands.hpp:
	* code/commands/view-commands.cpp:
	* code/commands/file-tasks/task-export-html.hpp:
	* code/commands/file-tasks/task-export-html.cpp:
	* code/commands/file-tasks/task-save-all.hpp:
	* code/commands/file-tasks/task-save-all.cpp:
	* code/commands/file-tasks/task-save.hpp:
	* code/commands/file-tasks/task-save.cpp:

	* code/window.cpp: Adapt for the DocWindow->TextSessionView API
	change.

2009-10-18  Armin Burgmeier  <armin@arbur.net>

	* code/core/sessionview.hpp:
	* code/core/sessionview.cpp: Added SessionView base class which will
	replace DocWindow soon.

	* code/core/sessionuserview.hpp:
	* code/core/sessionuserview.cpp: Added SessionUserView, a wrapper
	around SessionView with a userlist next to it.

	* code/core/Makefile.am: Added the new files to the build.

2009-10-23  Armin Burgmeier  <armin@arbur.net>

	* code/core/userlist.hpp:
	* code/core/userlist.cpp: Made UserList work with non-InfText users.

	* code/core/docwindow.cpp: Only pass InfUserTable to the userlist, not
	the whole session.

2009-11-09  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/commands/browser-commands.cpp:
	* code/commands/file-tasks/task-open.cpp:
	* code/core/browser.cpp:
	* code/core/statusbar.cpp:
	* code/core/statusbar.hpp:
	* code/dialogs/find-dialog.cpp:
	* code/operations/operation-delete.cpp:
	* code/operations/operation-export-html.cpp:
	* code/operations/operation-new.cpp:
	* code/operations/operation-open-multiple.cpp:
	* code/operations/operation-open.cpp:
	* code/operations/operation-save.cpp: Minor refactoring. Added detailed
	status bar error messages.

2009-11-07  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-context-commands.cpp (on_open_response): Use
	OperationOpenMultiple instead of mulitple OperationOpens, so that the
	documents are opened one after the other, not all at once.

2009-11-07  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/commands/browser-context-commands.cpp:
	* code/commands/file-tasks/task-open-file.hpp:
	* code/commands/file-tasks/task-open-file.cpp: Added the ability to
	upload multiple files simultaneously.

2009-11-07  Armin Burgmeier  <armin@arbur.net>

	* AUTHORS: Updated.

2009-11-07  Gabríel A. Pétursson  <gabrielp@simnet.is>

	* code/commands/file-commands.cpp:
	* code/core/browser.hpp:
	* code/core/browser.cpp: Alphabetical sorting of directory and file
	names.

2009-11-06  Armin Burgmeier  <armin@arbur.net>

	* code/commands/folder-commands.cpp: Avoid a crash if the connection
	goes down before the activation timeout fired, i.e. right after
	changing a tab.

2009-11-01  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Require glibmm-2.4 >= 2.18.0 and giomm-2.4 >= 2.18.0
	to make sure overwriting files works when saving. See also bug #471.

2009-11-01  Benjamin Herr  <ben@0x539.de>

	* code/core/preferences.hpp:
	* code/core/preferences.cpp: Added view.whitespace_display option.

	* code/dialogs/preferences-dialog.hpp:
	* code/dialogs/preferences-dialog.cpp: Added a corresponding widget to
	the View pane in the preferences dialog.

	* code/core/docwindow.hpp:
	* code/core/docwindow.cpp: Honor the setting.

	* configure.ac: Require gtksourceview-2.0 >= 2.4 since
	gtk_source_view_set_draw_spaces() is available only since this
	version.

2009-10-31  Armin Burgmeier  <armin@arbur.net>

	* code/Makefile.am: Pass both public and private icon paths to the
	code.

	* code/core/iconmanager.cpp: Add both to the icon search path. This
	fixes lookup of the application icon if gobby is installed in a
	non-standard prefix.

2009-10-26  Armin Burgmeier  <armin@arbur.net>

	* code/core/userlist.cpp (sort_func): Sort the user list
	case-insensitively.

2009-10-26  Armin Burgmeier  <armin@arbur.net>

	* code/operations/operation-open.cpp (constructor): Also disable
	GtkSourceView's Undo for sync'ed-in sessions. Otherwise the user was
	able to press Ctrl+Z in a newly opened document to trigger
	GtkSourceView (global) Undo when local group Undo is not available
	(such as right after document creation).

2009-10-26  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.cpp (on_subscribe_session): Use the
	remote-hostname of the InfXmppConnection of the browser instead of the
	root entry name of the browser model as hostname passed to the
	DocWindow. This is currently used in the exported HTML's footer.

2009-10-25  Armin Burgmeier  <armin@arbur.net>, Benjamin Herr  <ben@0x539.de>

	* code/operations/operation-export-html.hpp:
	* code/operations/operation-export-html.cpp:
	* code/operations/Makefile.am: Added an operation which exports a
	document to a XHTML document.

	* code/operations/operations.hpp:
	* code/operations/operations.cpp: Added export_html() functio.

	* code/core/header.hpp:
	* code/core/header.cpp: Added a menu entry for exporting a document to
	HTML.

	* code/core/folder.hpp:
	* code/core/folder.cpp:
	* code/core/docwindow.hpp:
	* code/core/docwindow.cpp:
	* code/commands/browser-commands.cpp: Store path on remote host and
	its hostname in the DocWindow.

	* code/commands/file-tasks/task-export-html.hpp:
	* code/commands/file-tasks/task-export-html.cpp:
	* code/commands/file-tasks/Makefile.am: Added a task for HTML export
	showing a file chooser dialog for the user to select a location to
	export to.

	* code/commands/file-commands.hpp:
	* code/commands/file-commands.cpp: Start the task when the user
	activates the corresponding action defined in Header.

2009-10-24  Armin Burgmeier  <armin@arbur.net>

	* icons/hicolor/scalable/status/user-color-indicator.svg: Removed
	blur, so that rsvg renders it correctly.

	* icons/hicolor/scalable/Makefile.am:
	* icons/hicolor/48x48/Makefile.am:
	* icons/hicolor/48x48/status/Makefile.am:
	* icons/hicolor/scalable/status/Makefile.am:
	* configure.ac: Added the new item to the build system.

	* code/util/color.hpp:
	* code/util/color.cpp: Added public rgb_to_hsv() and hsv_to_rgb()
	functions.

	* code/core/iconmanager.hpp:
	* code/core/iconmanager.cpp: Added a stock item for the user color
	indicator.

	* code/core/userlist.cpp: Show the user color indicator for the user
	color instead of a boring monochromatic square.

2009-10-24  Benjamin Herr  <ben@0x539.de>

	* icons/hicolor/48x48/status/user-color-indicator.png:
	* icons/hicolor/scalable/status/user-color-indicator.svg: Added
	fancier icon to display the user colors in the user list. Not actually
	implemented.

2009-10-06  Armin Burgmeier  <armin@arbur.net>

	* code/core/docwindow.cpp: Restore the "highlight matching brackets"
	option correctly from the preferences. Bug #470.

2009-09-14  Armin Burgmeier  <armin@arbur.net>

	* code/commands/file-tasks/task-open-multiple.hpp: Added an include to
	fix the build. Bug #469.

2009-09-09  Armin Burgmeier  <armin@arbur.net>

	* code/window.cpp (on_message_received): Don't leak the uris vector
	when an exception is thrown.

2009-09-09  Benjamin Herr  <ben@0x539.de>

	* code/window.cpp:
	* code/window.hpp:
	* code/main.cpp: Also send hostnames given with --connect to an
	already running instance of gobby (via libunique).

2009-09-08  Benjamin Herr  <ben@0x539.de>

	* code/core/browser.hpp:
	* code/core/browser.cpp:
	* code/window.hpp:
	* code/window.cpp:
	* code/main.cpp: Added --connect=HOSTNAME command line flag to
	connect to the given hostnames on startup.

2009-08-30  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Require glib-2.18, as replacing existing files while
	saving does not work with lower versions.

	* README: Added the new dependency to the README.

2009-08-30  Armin Burgmeier  <armin@arbur.net>

	* README: Updated the text, parts of it were still from when we used
	darcs (Nicolás Alvarez).

2009-08-29  Armin Burgmeier  <armin@arbur.net>

	* update-potfiles: Fixed path of the desktop file, and use
	--binary-file=without-matches instead of a checking for the string
	'matches', so that it also works in non-english environments (Nicolás
	Alvarez).

2009-06-05  Philipp Kern  <phil@0x539.de>

	* gobby-0.5.desktop.in: fix icon to not specify the extension, which is
	discouraged by the icon theme specification

2009-06-03  Armin Burgmeier  <armin@arbur.net>

	* code/core/header.cpp: Replace localized section string by a
	numerical ID for the action names of the various language sections, to
	prevent a crash when starting Gobby on a Japanese system. Based on a
	patch by Takahiro Sunaga.

2009-05-26  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.hpp:
	* code/core/browser.cpp: Changed the HistoryEntry to a
	HistoryComboBoxEntry, so that we have a dropdown list for recently
	used hosts. Bug #451.

2009-05-17  Philipp Kern  <phil@0x539.de>

	* help/C/gobby.xml: ported content from the old readme to the help file

2009-05-16  Armin Burgmeier  <armin@arbur.net>

	* code/commands/file-tasks/task-open.hpp: Include <giomm/file.h> to
	make sure Gio::File is known.

	* code/commands/file-tasks/task-open.cpp: Removed an unused variable.

2009-05-16  Armin Burgmeier  <armin@arbur.net>

	* docs/: Removed. This was outdated anyway. It should be updated and
	merged into the new DocBook help in help/. See also #448.

2009-05-16  Armin Burgmeier  <armin@arbur.net>

	* Makefile.am: Don't define EXTRA_DIST twice.

2009-05-16  Armin Burgmeier  <armin@arbur.net>

	* help/C/gobby.xml: Fixed Gobby command line invocation instruction:
	The executable is called gobby-0.5, not gobby.

2009-05-16  Armin Burgmeier  <armin@arbur.net>

	* code/core/tablabel.cpp: Use gdk_color_to_string instead of
	Gdk::Color::to_string so that Gobby continues to compile with gtkmm
	2.12. Bug #447 (Philipp Kern).

2009-05-12  Philipp Kern  <phil@0x539.de>

	* code/dialogs/initial-dialog.cpp: match menuchoice style with
	manual

2009-05-12  Philipp Kern  <phil@0x539.de>

	* configure.ac: get rid of WITH_GNOME, as it is currently unused

2009-05-12  Philipp Kern  <phil@0x539.de>

	* autogen.sh: let autogen fail if some command is not available
	or returns with a failure

2009-05-11  Philipp Kern  <phil@0x539.de>

	* code/core/header.cpp: use F1 for HelpContents, instead of the
	stock Ctrl-H

2009-05-11  Philipp Kern  <phil@0x539.de>

	* code/core/header.hpp:
	* code/core/header.cpp: add HelpContents action
	* code/commands/help-commands.hpp: 
	* code/commands/help-commands.cpp: invoke help through gtk_show_uri

2009-05-10  Philipp Kern  <phil@0x539.de>

	* help/C/gobby.xml: initial manual draft, still pretty empty
	* help/Makefile.am:
	* Makefile.am:
	* autogen.sh:
	* configure.ac: use gnome-doc-utils as specified in their manual
	* help/C/figures/main_window.png:
	* help/C/figures/preferences_appearance.png:
	* help/C/figures/preferences_editor.png:
	* help/C/figures/preferences_security.png:
	* help/C/figures/preferences_user.png:
	* help/C/figures/preferences_view.png: add an initial set of
	screenshots (main window and preference panes)

2009-05-10  Philipp Kern  <phil@0x539.de>

	* contrib/gobby-0.5.desktop.in: moved to the toplevel
	* Makefile.am: install the .desktop file unconditionally (i.e. not
	  only WITH_GNOME)
	* contrib/*: removed

2009-05-03  Armin Burgmeier  <armin@arbur.net>, Benjamin Herr  <ben@0x539.de>

	* configure.ac: Added a --with-unique configure option, require
	unique-1.0 if set.

	* code/core/nodewatch.hpp:
	* code/core/nodewatch.cpp: Accept a const InfcBrowserIter, and
	changed the signature of get_browser_iter() to return the BrowserIter
	instead of setting a reference parameter.

	* code/operations/operation-new.cpp:
	* code/operations/operation-new.hpp:
	* code/operations/operation-open.cpp:
	* code/operations/operation-open.hpp:
	* code/operations/operation-delete.cpp:
	* code/operations/operation-delete.hpp: Accept a const InfcBrowserIter
	in the constructor.

	* code/operations/operation-open-multiple.hpp:
	* code/operations/operation-open-multiple.cpp: Added an operation
	which opens multiple files into the same directory. This is nothing
	which can't be achieved by creating multiple OperationOpen operations,
	but it creates the documents one-after-the-other, and therefore
	does not clutter the statusbar, plus it queries the display name of
	a file automatically to use as document name, if no document name is
	given explicitely.

	* code/operations/operations.hpp:
	* code/operations/operations.cpp: Accept a const InfcBrowserIter for
	most operations, added the create_documents() method which creates an
	OperationOpenMultiple.

	* code/commands/file-commands.hpp: Make set_task() public. We should
	later make a separate class for managing the file tasks.

	* code/dialogs/document-location-dialog.hpp:
	* code/dialogs/document-location-dialog.cpp: Added a multiple document
	mode to load multiple files. This basically hides the document name
	entry.

	* code/commands/file-tasks/task-new.cpp:
	* code/commands/file-tasks/task-open.cpp: Explicitely set single
	document mode on the document location dialog.

	* code/commands/file-tasks/task-open-multiple.hpp:
	* code/commands/file-tasks/task-open-multiple.cpp: Added a new task to
	open multiple files. This shows a document location dialog in multiple
	document mode and launches an OperationOpenMultiple when the user is
	done with the dialog.

	* code/commands/file-tasks/task-save-all.cpp: Added a TODO comment
	about splitting parts of this into an OperationSaveAll.

	* code/window.hpp:
	* code/window.cpp: Take command line arguments in the constructor, and
	open documents passed on the command line using a TaskOpenMultiple. If
	unique support is enabled, then react on incoming messages and
	activate the application window, or open files received in a message.

	* code/main.cpp: Added a --new-instance command line option. If not
	set and compiled with unique support, and if another instance is
	already running, then send a message to the running instance and exit.

	* Makefile.am:
	* code/Makefile.am:
	* code/util/Makefile.am:
	* code/core/Makefile.am:
	* code/dialogs/Makefile.am:
	* code/operations/Makefile.am:
	* code/commands/Makefile.am:
	* code/commands/file-tasks/Makefile.am: Added compiler and linker
	flags for unique, added the new files to the build.

	* code/commands/autosave-commands.cpp: Fixed two compiler warnings.

2009-05-01  Armin Burgmeier  <armin@arbur.net>

	* code/core/nodewatch.hpp:
	* code/core/nodewatch.cpp: Removed the model from NodeWatch, instead
	connect to browser's connection's notify::status to detect
	disconnection.

	* code/commands/browser-context-commands.cpp: Adapt.

2008-05-01  Armin Burgmeier  <armin@arbur.net>

	* gobby-0.5.xpm: Added a 32x32 XPM of the gobby icon.
	* Makefile.am: Distribute it.

2009-04-28  Benjamin Herr  <ben@0x539.de>

	* code/commands/file-tasks/task-open.cpp: Do not delay reporting
	errors in Gobby::TaskOpen::run() anymore, since signal_finished will
	already be connected to.

2009-04-27  Armin Burgmeier  <armin@arbur.net>

	* code/dialogs/document-location-dialog.cpp: Removed operator== for
	two GtkTextIters, as it is not used anymore. We are forced to compare
	TextPaths anyway.

2009-04-27  Armin Burgmeier  <armin@arbur.net>

	* code/commands/file-tasks/task-save.cpp: Initialize m_running to
	false in constructor, and set m_running to true in run().

2009-04-27  Benjamin Herr  <ben@0x539.de>

	* code/commands/file-commands.cpp:
	* code/commands/file-commands.hpp:
	* code/commands/file-tasks/task-new.cpp:
	* code/commands/file-tasks/task-new.hpp:
	* code/commands/file-tasks/task-open-file.cpp:
	* code/commands/file-tasks/task-open-file.hpp:
	* code/commands/file-tasks/task-open-location.cpp:
	* code/commands/file-tasks/task-open-location.hpp:
	* code/commands/file-tasks/task-open.cpp:
	* code/commands/file-tasks/task-open.hpp:
	* code/commands/file-tasks/task-save-all.cpp:
	* code/commands/file-tasks/task-save-all.hpp:
	* code/commands/file-tasks/task-save.cpp:
	* code/commands/file-tasks/task-save.hpp: Split most of all Task
	constructors into a separate run() member function that is called by
	FileCommands::set_task after resetting its current task. This ensures
	that a new task only gets to mess with stuff after the old one's
	destructor has been run.

2009-04-26  Armin Burgmeier  <armin@arbur.net>

	* README:
	* configure.ac: Post-release bump to 0.4.93, require libfinity-0.4.

2009-04-26  Armin Burgmeier  <armin@arbur.net>

	* === Released 0.4.92 ===

	* README:
	* NEWS: Update for release.

2009-04-25  Armin Burgmeier  <armin@arbur.net>

	* code/core/tablabel.hpp:
	* code/core/tablabel.cpp: Added a fallback chain for the dot
	character if the current font doesn't support the pencil glyph.

2009-04-24  Armin Burgmeier  <armin@arbur.net>

	* code/main.cpp: Changed locale lookup directory on Windows from
	lib/locale to share/locale.

2009-04-24  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Changed PACKAGE name back to gobby.

	* icons/HighContrastLargePrint/48x48/actions/Makefile.am:
	* icons/HighContrastLargePrint/scalable/actions/Makefile.am:
	* icons/HighContrastLargePrintInverse/48x48/actions/Makefile.am:
	* icons/HighContrastLargePrintInverse/scalable/actions/Makefile.am:
	* icons/hicolor/48x48/actions/Makefile.am:
	* icons/hicolor/scalable/actions/Makefile.am:
	* code/core/Makefile.am: Use $(datadir)/gobby-0.5 instead of
	$(pkgdatadir), so we still install the private icons into a separate
	directory.

2009-04-22  Benjamin Herr  <ben@0x539.de>

	* code/core/tablabel.hpp:
	* code/core/tablabel.cpp: Display pencil icons in user hue for each
	user that has edited a document since it was last viewed (Bug #66 by
	Mattis Manzel).

2009-04-20  Benjamin Herr  <ben@0x539.de>

	* code/commands/file-tasks/task-new.cpp: Removed spurious semicolon.

2009-04-20  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.cpp:
	* code/core/documentinfostorage.cpp:
	* code/dialogs/open-location-dialog.cpp:
	* code/main.cpp:
	* code/util/file.cpp:
	* code/util/file.hpp:
	* configure.ac: Store config in Glib::get_user_config_dir() everywhere
	instead of only on Win32 (Bug #437 by Cristian Klein).

2009-04-20  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Adapt to libinfinity becoming parallel-installable.

2009-02-28  Armin Burgmeier  <armin@arbur.net>

	* code/operations/operation-save.cpp: When saving files, don't write
	almost every line twice if the first line is empty.

2009-02-26  Armin Burgmeier  <armin@arbur.net>

	* code/util/resolv.cpp: Added <netinet/in.h> include to fix the build
	on Free BSD. Bug #431. Patch by Romain Tartière.

2009-02-14  Armin Burgmeier  <armin@arbur.net>

	* code/util/config.hpp:
	* code/util/config.cpp: Added ParentEntry::has_value().

	* code/core/preferences.cpp: Added /etc/ssl/certs/ca-certificates.crt
	as default value for the trust-file, if the file exists.

2009-02-03  Armin Burgmeier  <armin@arbur.net>

	* code/operations/operation-save.cpp: Make sure terminating newline
	characters are saved correctly.

2009-02-02  Armin Burgmeier  <armin@arbur.net>

	* pixmaps/: Removed the pixmaps directory. The pixmaps are now
	installed as icons, to respect theme settings.

	* contrib/artwork/: Removed as well, since all artwork is now
	contained in icons/ anyway.

	* contrib/Makefile.am:
	* Makefile.am: Adapt for the removal of the above directories.

	* icons/hicolor/48x48/actions/chat.png:
	* icons/hicolor/48x48/actions/document-list.png:
	* icons/hicolor/48x48/actions/user-list.png:
	* icons/hicolor/48x48/actions/Makefile.am:
	* icons/hicolor/48x48/Makefile.am:
	* icons/hicolor/scalable/actions/chat.svg:
	* icons/hicolor/scalable/actions/document-list.svg:
	* icons/hicolor/scalable/actions/user-list.svg:
	* icons/hicolor/scalable/actions/Makefile.am:
	* icons/hicolor/scalable/Makefile.am: Added previous pixmaps as icons,
	so they are themeable.

	* icons/HighContrastLargePrintInverse/48x48/actions/chat.png:
	* icons/HighContrastLargePrintInverse/48x48/actions/document-list.png:
	* icons/HighContrastLargePrintInverse/48x48/actions/user-list.png:
	* icons/HighContrastLargePrintInverse/48x48/actions/Makefile.am:
	* icons/HighContrastLargePrintInverse/48x48/apps/gobby.png:
	* icons/HighContrastLargePrintInverse/48x48/Makefile.am:
	* icons/HighContrastLargePrintInverse/scalable/actions/chat.svg:
	* icons/HighContrastLargePrintInverse/scalable/actions/document-list.svg:
	* icons/HighContrastLargePrintInverse/scalable/actions/user-list.svg:
	* icons/HighContrastLargePrintInverse/scalable/actions/Makefile.am:
	* icons/HighContrastLargePrintInverse/scalable/apps/gobby.svg:
	* icons/HighContrastLargePrintInverse/scalable/Makefile.am: Added
	corresponding HCLPI icons (thanks Tom).

	* icons/HighContrastLargePrint/48x48/actions/chat.png:
	* icons/HighContrastLargePrint/48x48/actions/document-list.png:
	* icons/HighContrastLargePrint/48x48/actions/user-list.png:
	* icons/HighContrastLargePrint/48x48/actions/Makefile.am:
	* icons/HighContrastLargePrint/48x48/apps/gobby.png:
	* icons/HighContrastLargePrint/48x48/apps/Makefile.am:
	* icons/HighContrastLargePrint/48x48/Makefile.am:
	* icons/HighContrastLargePrint/scalable/actions/chat.svg:
	* icons/HighContrastLargePrint/scalable/actions/document-list.svg:
	* icons/HighContrastLargePrint/scalable/actions/user-list.svg:
	* icons/HighContrastLargePrint/scalable/actions/Makefile.am:
	* icons/HighContrastLargePrint/scalable/apps/gobby.svg:
	* icons/HighContrastLargePrint/scalable/apps/Makefile.am:
	* icons/HighContrastLargePrint/scalable/Makefile.am:
	* icons/HighContrastLargePrint/Makefile.am: Added corresponding HCLP
	icons (again, thanks Tom).

	* icons/Makefile.am: Descend into HigtContrastLargePrint subdirectory.

	* code/core/iconmanager.hpp:
	* code/core/iconmanager.cpp: Load icons from icon name instead of
	directly from their path, added priate icons directory to icon theme
	search path.

	* code/util/Makefile.am:
	* code/core/Makefile.am:
	* code/dialogs/Makefile.am:
	* code/operations/Makefile.am:
	* code/commands/file-tasks/Makefile.am:
	* code/commands/Makefile.am:
	* code/Makefile.am: Removed APPICON_DIR and PIXMAPS_DIR definitions,
	as these are no longer required.
	
	* configure.ac: Generate newly added Makefiles, changed package name
	to gobby-0.5, so that the private icons end up in their own directory,
	parallel-installable with the 0.4 line.

2009-02-01  Armin Burgmeier  <armin@arbur.net>

	* code/dialogs/find-dialog.hpp:
	* code/dialogs/goto-dialog.hpp:
	* code/dialogs/preferences-dialog.hpp:
	* code/dialogs/entry-dialog.hpp:
	* code/dialogs/document-location-dialog.hpp:
	* code/dialogs/open-location-dialog.hpp:
	* code/dialogs/initial-dialog.hpp:
	* code/dialogs/find-dialog.cpp:
	* code/dialogs/goto-dialog.cpp:
	* code/dialogs/preferences-dialog.cpp:
	* code/dialogs/entry-dialog.cpp:
	* code/dialogs/document-location-dialog.cpp:
	* code/dialogs/open-location-dialog.cpp:
	* code/dialogs/initial-dialog.cpp:
	* code/dialogs/Makefile.am: Added hyphens into the file names, to stay
	consistent with other code files, such as commands/ or operations/.

	* code/commands/file-tasks/task-open-location.hpp:
	* code/commands/browser-context-commands.hpp:
	* code/commands/edit-commands.hpp:
	* code/commands/file-commands.hpp:
	* code/window.hpp: Adapt #include directives.

2009-02-01  Armin Burgmeier  <armin@arbur.net>

	* code/commands/file-tasks/task-new.hpp:
	* code/commands/file-tasks/task-open.hpp:
	* code/commands/file-tasks/task-open-file.hpp:
	* code/commands/file-tasks/task-open-location.hpp:
	* code/commands/file-tasks/task-save.hpp:
	* code/commands/file-tasks/task-save-all.hpp:
	* code/commands/file-tasks/task-new.cpp:
	* code/commands/file-tasks/task-open.cpp:
	* code/commands/file-tasks/task-open-file.cpp:
	* code/commands/file-tasks/task-open-location.cpp:
	* code/commands/file-tasks/task-save.cpp:
	* code/commands/file-tasks/task-save-all.cpp:
	* code/commands/file-tasks/Makefile.am: Splitted the tasks which were
	defined in code/commands/file-commands.cpp into multiple files.

	* code/commands/file-commands.hpp:
	* code/commands/file-commands.cpp: Adapt accordingly.

	* code/commands/Makefile.am: Descend into file-tasks subdirectory.

	* Makefile.am: Link against the new tasks.

	* configure.ac: Create the new Makefiles.

2009-01-30  Armin Burgmeier  <armin@arbur.net>

	* code/util/resolv.cpp: Removed the _WIN32_WINNT #define which is no
	longer required now that we use <wspiapi.h> for getaddrinfo support.

2009-01-30  Armin Burgmeier  <armin@arbur.net>

	* icons/HighContrastLargePrintInverse/48x48/Makefile.am:
	* icons/HighContrastLargePrintInverse/48x48/apps/Makefile.am:
	* icons/HighContrastLargePrintInverse/48x48/apps/gobby.png:
	* icons/HighContrastLargePrintInverse/scalable/Makefile.am:
	* icons/HighContrastLargePrintInverse/scalable/apps/Makefile.am:
	* icons/HighContrastLargePrintInverse/scalable/apps/gobby.svg:
	* icons/hicolor/48x48/Makefile.am:
	* icons/hicolor/48x48/apps/Makefile.am:
	* icons/hicolor/48x48/apps/gobby.png:
	* icons/hicolor/scalable/Makefile.am:
	* icons/hicolor/scalable/apps/Makefile.am:
	* icons/hicolor/scalable/apps/gobby.svg:
	* configure.ac: Added context ("apps") to icons directory structure.

2009-01-30  Armin Burgmeier  <armin@arbur.net>

	* code/util/resolv.cpp: Include the <wspiapi.h> header file on Windows
	to support Windows 2000. Bug #425.

2009-01-16  Armin Burgmeier  <armin@arbur.net>

	* code/commands/file-commands.cpp: Don't use
	Gtk::FileChooser::get_file(), so that we don't require gtkmm 2.14.

2009-01-16  Armin Burgmeier  <armin@arbur.net>

	* code/commands/file-commands.cpp: Marked a string for localization.

2009-01-15  Armin Burgmeier  <armin@arbur.net>

	* all source files: Added 2009 to copyright years.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Post-release bump to 0.4.92.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* === Released 0.4.91 ===

	* NEWS: Update for release.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* code/core/window.cpp: Re-enable shortcuts for Undo and Redo. These
	have been accidentally disabled when pasting text in the "Direct
	Connection" entry has been fixed.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* code/core/docwindow.hpp:
	* code/core/docwindow.cpp: Show a tooltip when hovering over text,
	saying what user wrote the hovered text.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* code/core/window.hpp:
	* code/core/window.cpp: Fixed pasting text into the direct connection
	entry when having open a document. Before, the text was pasted into
	the document even though the entry was focused. We use the same
	workaround as gedit.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* code/core/folder.cpp: Re-enable Ctrl+Alt+PgDown/Ctrl+Alt+PgUp to
	cycle between tabs.

	* code/core/docwindow.cpp: Added a TODO comment about using a single
	UserList widget for all documents.

2009-01-04  Armin Burgmeier  <armin@arbur.net>

	* code/core/statusbar.hpp:
	* code/core/statusbar.cpp: Added an invalid_handle() function, so
	other code can keep around invalid message handles, and fixed invalid
	memory access when a document was removed.

	* code/commands/browser-context-commands.cpp: Added a TODO comment
	about using file-tasks for common operations.

	* code/commands/file-commands.cpp: Query file info asynchronously, to
	avoid UI hangs when opening unresponsive remote files.

2009-01-03  Armin Burgmeier  <armin@arbur.net>

	* code/util/historyentry.hpp:
	* code/util/historyentry.cpp: Added HistoryComboBoxEntry, which allows
	to select the history entries via a combo box.

	* code/dialogs/openlocationdialog.hpp:
	* code/dialogs/openlocationdialog.cpp: Use a HistoryComboBoxEntry
	instead of a simple GtkEntry.

	* code/dialogs/entrydialog.cpp: Don't use
	Gtk::Entry::get_text_length() since this is available only since gtkmm
	2.14, but we require only 2.12.

2009-01-03  Armin Burgmeier  <armin@arbur.net>

	* code/dialogs/openlocationdialog.hpp:
	* code/dialogs/openlocationdialog.cpp:
	* code/dialogs/Makefile.am: Added a dialog which queries the user for
	an URI to open.

	* code/core/header.hpp:
	* code/core/header.cpp: Added an "Open Location" menu item.

	* code/commands/file-commands.hpp:
	* code/commands/file-commands.cpp: Handle the "Open Location" menu
	item, fixed deinitialization order.

	* code/window.cpp: Pass statusbar to file commands.

	* code/operations/operation-open.cpp: Added error handling for the
	initial read_async operation.

2009-01-02  Armin Burgmeier  <armin@arbur.net>

	* code/util/historyentry.hpp:
	* code/util/historyentry.cpp:
	* code/util/Makefile.am: Added a HistoryEntry class which allows
	scrolling through past entries in a GtkEntry, optionally saving and
	restoring the history from/to disk.

	* code/core/browser.hpp:
	* code/core/browser.cpp: Use a history entry for the hostname entry.

2008-12-31  Armin Burgmeier  <armin@arbur.net>

	* code/core/preferences.hpp:
	* code/core/preferences.cpp: Added autosave_enabled and
	autosave_interval properties.

	* code/dialogs/preferencesdialog.hpp:
	* code/dialogs/preferencesdialog.cpp: Added the two preferences to the
	user interface.

	* code/commands/autosave-commands.hpp:
	* code/commands/autosave-commands.cpp:
	* code/commands/Makefile.am: Implemented autosave.

	* code/window.hpp:
	* code/window.cpp: Instantiate AutosaveCommands.

	* code/commands/file-commands.cpp: Added a TODO comment about
	defaulting to CRLF on Windows.

2008-12-31  Armin Burgmeier  <armin@arbur.net>

	* code/operations/operations.hpp:
	* code/operations/operations.cpp: Added a begin_save_operation signal,
	and added a boolean parameter to base operation's finished signal
	which indicates whether the operation was performed successfully or
	not. Removed the remove() function, and added finish() and fail()
	instead.

	* code/operations/operation-open.hpp: Derive from sigc::trackable.

	* code/operations/operation-save.hpp:
	* code/operations/operation-save.cpp: Added get_document(),
	get_start_time() and derive from sigc::trackable, adapt to finish()
	and fail().

	* code/operations/operation-new.cpp:
	* code/operations/operation-open.cpp:
	* code/operations/operation-delete.cpp: Adapt to finish() and fail().

2008-12-30  Armin Burgmeier  <armin@arbur.net>

	* code/operations/operations.hpp:
	* code/operations/operations.cpp: Added signal_finished to the
	operation base class, and the various functions creating operations
	now return them.

	* code/operations/operation-save.cpp: Fixed a typo in a comment.

2008-12-29  Armin Burgmeier  <armin@arbur.net>

	* code/window.hpp:
	* code/window.cpp: Changed (de)initialization order so that browser is
	freed after folder. This is required to avoid a warning when an
	InfSession holds a reference to a connection (such as during
	synchronization) and Gobby is closed.

2008-12-28  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Require libinfinity >= 0.2.

2008-12-28  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.cpp:
	* code/core/noteplugin.cpp:
	* code/operations/operation-open.cpp: Adapt to libinfinity's new
	communication API.

2008-12-23  Philipp Kern  <phil@0x539.de>

	* configure.ac: separate infinote pkg-config from those determining
	if all libraries needed for Gobby's user interface are present, allowing
	easier and separate overrides of them
	* Makefile.am:
	* code/Makefile.am:
	* code/commands/Makefile.am:
	* code/core/Makefile.am:
	* code/dialogs/Makefile.am:
	* code/operations/Makefile.am:
	* code/util/Makefile.am: use AM_CPPFLAGS for everything instead
	of specialized per-target CPPFLAGS entries

2008-12-23  Philipp Kern  <phil@0x539.de>

	* code/Makefile.am:
	* code/commands/Makefile.am:
	* code/core/Makefile.am:
	* code/dialogs/Makefile.am:
	* code/operations/Makefile.am:
	* code/util/Makefile.am: Include top-level CFLAGS.

2008-12-19  Armin Burgmeier  <armin@0x539.de>

	* po/fr.po: Changed application name to "Editeur collaboratif Gobby"
	to meet French Gnome standard.

2008-12-19  Armin Burgmeier  <armin@0x539.de>

	* po/fr.po: Added translation for the desktop file (Bug #415, Pascal
	Kreyer).

2008-12-19  Armin Burgmeier  <armin@0x539.de>

	* po/de.po: Removed dash from application name, as other GNOME
	programs do.

2008-12-17  Armin Burgmeier  <armin@0x539.de>

	* icons/hicolor/48x48/gobby-0.5.png:
	* icons/hicolor/48x48/Makefile.am:
	* icons/hicolor/Makefile.am: Added fixed-size version of gobby icon.

	* icons/HighContrastLargePrintInverse/48x48/gobby-0.5.png:
	* icons/HighContrastLargePrintInverse/48x48/Makefile.am:
	* icons/hicolor/Makefile.am: Added fixed-size version of HCLPI gobby
	icon.

	* configure.ac: Generate the new Makefiles.

2008-12-17  Armin Burgmeier  <armin@0x539.de>

	* contrib/artwork/gobby.svg: Centered the gobby icon into the
	document.

	* code/core/iconmanager.hpp:
	* code/core/iconmanager.cpp: Removed the gobby icon pixbuf.

	* code/dialogs/initialdialog.cpp:
	* code/commands/help-commands.cpp:
	* code/main.cpp: Lookup the gobby icon by its icon name.

	* pixmaps/gobby-0.5.png: Deleted.

	* icons/hicolor/scalable/gobby-0.5.svg: Added scalable gobby icon.
	* icons/hicolor/scalable/Makefile.am: Install it into a proper
	location.
	* icons/hicolor/Makefile.am: Run update-icon-cache on hicolor theme
	after (un)intall.
	* icons/HighContrastLargePrintInverse/scalable/gobby-0.5.svg: Added
	scalable gobby icon for HCLPI theme (Thomas Glatt, Bug #413).
	* icons/HighContrastLargePrintInverse/scalable/Makefile.am: Install
	it.
	* icons/HighContrastLargePrintInverse/Makefile.am: Run
	update-icon-cache on HighContrastLargePrintInverse after (un)install.

	* Makefile.am: Decend into the icons/ subdir.

	* pixmaps/Makefile.am: Don't install gobby-0.5.png to share/pixmaps
	anymore.

	* configure.ac: Generate the new Makefiles.

2008-11-23  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Post-release bump to 0.4.91.

2008-11-23  Armin Burgmeier  <armin@arbur.net>

	* contrib/Makefile.am: Always add gobby-0.5.desktop.in to the
	distribution.

2008-11-23  Armin Burgmeier  <armin@arbur.net>

	* Makefile.am: Add a dummy C++ file to nondistributed sources, to
	cause C++ linking. Bug #399, Markus Wanjura.

2008-11-23  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.cpp: Added <sys/socket.h> include, required on
	Mac OS X. Bug #399, Markus Wanjura.

2008-11-23  Armin Burgmeier  <armin@arbur.net>

	* code/util/i18n.hpp: Added definition for N_.

	* code/operations/operation-open.cpp: Made 8bit encoding used for auto
	detection translatable, so that locales with other default 8bit
	encodings than iso-8859-1 get better results for auto detection.

2008-11-23  Armin Burgmeier  <armin@arbur.net>

	* contrib/gobby-0.5.desktop: Removed.

	* contrib/gobby-0.5.desktop.in: Added, marking name and comment for
	translation.

	* contrib/Makefile.am: Generate contrib/gobby-0.5.desktop from
	contrib/gobby-0.5.desktop.in via intltool. This allows the desktop
	file to be translated via po files. Bug #396, based on a patch from
	Takao Fujiwara.

	* autogen.sh: Run intltoolize.

	* configure.ac: Require intltool.

	* update-potfiles: Added contrib/gobby-0.5.desktop.in to list of files
	scanned for translatable strings.

2008-11-09  Armin Burgmeier  <armin@arbur.net>

	* code/commands/edit-commands.cpp: Scroll to cursor after cut or
	paste.

2008-11-05  Armin Burgmeier  <armin@arbur.net>

	* code/commands/edit-commands.cpp: Added a (hopefully) temporary hack
	to set the cursor position to the place where a Undo/Redo has
	occurred. This stopped to work with the latest changes in libinfinity
	(which in turn fix other caret stuff, such as no longer moving the 
	caret around on block indent/unindent, or allowing to paste text
	over a selected area). This can be properly implemented as soon as
	libinfinity supports caret-aware requests.

2008-10-18  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.cpp:
	* code/core/header.cpp: Use standard capitalization for control
	labels. Bug #223 (Matthew Paul Thomas).

2008-10-18  Armin Burgmeier  <armin@arbur.net>

	* code/main.cpp: Set localedir relative to Gobby executable on
	Windows, so i18n is properly relocatable.

2008-10-18  Armin Burgmeier  <armin@arbur.net>

	* === Released 0.4.90 ===

2008-10-17  Armin Burgmeier  <armin@arbur.net>

	* contrib/gobby-0.5.desktop: Fixed icon file name.

2008-10-16  Armin Burgmeier  <armin@arbur.net>

	* code/Makefile.am:
	* code/commands/Makefile.am:
	* code/core/Makefile.am:
	* code/dialogs/Makefile.am:
	* code/operations/Makefile.am:
	* code/util/Makefile.am: Fix `make distcheck' by using -I$(top_srcdir)
	instead of a relative path such as -I.. Also, changed pixmapdir to
	$(datadir)/pixmaps/gobby-0.5.

	* pixmaps/Makefile.am:
	* pixmaps/gobby-0.5.png: Moved from pixmaps/gobby.png.

	* contrib/Makefile.am:
	* contrib/gobby-0.5.desktop: Moved from gobby.desktop.

	* configure.ac: Changed GETTEXT_PACKAGE from gobby to gobby05.

	* code/core/iconmanager.cpp: Load gobby-0.5.png for the Gobby logo
	instead of gobby.png.

2008-10-16  Armin Burgmeier  <armin@arbur.net>

	* NEWS: Update for release.

2008-10-16  Armin Burgmeier  <armin@arbur.net>

	* all source files: Changed description in GPL header since Gobby is
	no longer libobby driven. Also changed Copyright holder to me and
	Copyright date to 2008 since 99% of the code was written by me in
	2008.

2008-10-16  Armin Burgmeier  <armin@arbur.net>

	* contrib/gobby.desktop: Launch the correct executable, added a
	"(0.5)" to the description to differentiate it from a previous
	parallel-installed version.

2008-10-16  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.cpp (on_synchronization_failed):
	Remove the entry from the session map directly instead of waiting for
	session closure, otherwise the error message is overwritten with a
	useless (and incorrent) 'The connection to the publisher has been
	lost' one.

2008-10-15  Armin Burgmeier  <armin@arbur.net>

	* code/core/browser.hpp:
	* code/core/browser.cpp: Adapt to libinfinity API change,
	INFINOTE_HAVE_AVAHI has been renamed to LIBINFINITY_HAVE_AVAHI.

2008-10-15  Armin Burgmeier  <armin@arbur.net>

	* code/core/Makefile.am: Added appicondir and pixmapdir back, so that
	installed pixmaps can be found.

	* code/util/resolv.cpp: Set all fields in getaddrinfo hint, otherwise
	the Win32 implementation of getaddrinfo produces an error.

	* code/core/browser.cpp: Commented-out the device name to device index
	translation for %dev syntax on Windows. It won't be available for now.

	* code/core/iconmanager.cpp: Don't load save-all.svg since GTK+ on
	Win32 has no SVG loader by defualt. Also, locate pixbufs using the
	non-deprecated g_win32_get_package_installation_directory_of_module
	function.

	* code/core/statusbar.cpp: Added code that undefs ERROR, because this
	is used in an enum, and seems to be defined somewhere in a Windows
	header.

	* code/dialogs/preferencesdialog.cpp: Don't set current folder of
	host directory file chooser (which is not shown currently anyway),
	because this could produce an error message if the directory does not
	exist.

	* code/operations/operation-open.cpp:
	* code/operations/operation-save.cpp: Use the C g_iconv API instead of
	Glib::IConv::iconv, because iconv is a define to libiconv on Windows,
	but Glib::IConv::libiconv does not exist.

	* Makefile.am: Fixed linking order, link to stdc++ and ws2_32 on
	Windows.

	* win32/gobby.rc: Fixed path to gobby.res file.

2008-10-15  Armin Burgmeier  <armin@arbur.net>

	* po/LINGUAS: Added LINGUAS file that lists all languages. This seems
	to be required for `make dist'.

	* configure.ac: Use the po/LINGUAS file to set the ALL_LINGUAS
	variable.

2008-10-14  Armin Burgmeier  <armin@arbur.net>

	* code/main.cpp: Call inf_init() instead of initializing gnutls and
	the GObject type system directly.

2008-10-14  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.cpp: Fixed a typo in a string.

2008-10-14  Armin Burgmeier  <armin@arbur.net>

	* code/commands/folder-commands.cpp: Only wake inactive users when the
	corresponding document is the currently active one. This fixes a crash
	when text has was selected in an inactive document and the selection
	is erased by selecting something elsewhere.

2008-10-13  Armin Burgmeier  <armin@arbur.net>

	* code/core/titlebar.hpp:
	* code/core/titlebar.cpp:
	* code/core/Makefile.am: Added a new class that handles what is
	displayed in the titel bar of the Gobby window.

	* code/window.hpp:
	* code/window.cpp: Instantiate a TitleBar.

	* code/core/documentinfostorage.hpp: Added a superflous TODO comment.

2008-10-13  Armin Burgmeier  <armin@arbur.net>

	* code/commands/browser-commands.hpp:
	* code/commands/browser-commands.cpp:
	* code/operations/operation-open.cpp:
	* code/operations/operation-save.cpp: Set the modified flag upon
	opening or saving a document correctly.

	* code/core/tablabel.hpp:
	* code/core/tablabel.cpp: Show the modify flag in the tab.

2008-10-12  Armin Burgmeier  <armin@arbur.net>

	* code/operations/operation-open.cpp: Fixed double unref of IO object.

	* code/core/browser.cpp: Added a TODO comment about initial root node
	expansion for direct connections.

2008-10-11  Armin Burgmeier  <armin@arbur.net>

	* code/core/tablabel.hpp:
	* code/core/tablabel.cpp:
	* code/core/Makefile.am: Added TabLabel to this extra source file,
	make color of tab label red on activity, and grey when the document is
	being synchronized or the connection has been lost.

	* code/core/tablabel.cpp: Removed the TabLabel class in the anonymous
	namespace, use the one introduced above instead.

2008-10-10  Armin Burgmeier  <armin@arbur.net>

	* code/core/filechooser.cpp: Allow selecting non-local files in
	Gobby's filechooser.

	* code/commands/file-commands.cpp:
	* code/commands/browser-context-commands.cpp: Query the display name
	when opening a file, to use as document title.
	FileChooser::get_filename() does not work for non-local files.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* code/core/iconmanager.cpp: Removed the Save All icon from display,
	because it does not fit to the "Save" icon for Toolbar and Menu sizes.

	* code/core/header.cpp: Remove Save All icon from the toolbar. Items
	without icons look ugly and the toolbar, and there is a shortcut for
	quick access.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* code/util/file.hpp:
	* code/util/file.cpp: Added the config_filename() function.

	* code/core/browser.cpp:
	* code/core/documentinfostorage.cpp:
	* code/main.cpp: Make use of that function to access config files.

	* code/window.cpp: Give initial focus to browser.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Renamed the `OSX' define to `PLATFORM_OSX', and added
	`PLATFORM_OSX_NATIVE' when running with the quartz GDK target.

	* code/core/header.cpp: Adapt, only use ige-mac-integration when
	running natively on OS X.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* code/: Moved from src/.

	* code/commands/browser-commands.hpp:
	* code/commands/browser-context-commands.hpp:
	* code/commands/edit-commands.hpp:
	* code/commands/file-commands.hpp:
	* code/commands/folder-commands.hpp:
	* code/commands/help-commands.hpp:
	* code/commands/view-commands.hpp:
	* code/core/browser.hpp:
	* code/core/closableframe.hpp:
	* code/core/documentinfostorage.hpp:
	* code/core/docwindow.hpp:
	* code/core/filechooser.hpp:
	* code/core/folder.hpp:
	* code/core/header.hpp:
	* code/core/huebutton.hpp:
	* code/core/iconmanager.hpp:
	* code/core/nodewatch.hpp:
	* code/core/noteplugin.hpp:
	* code/core/preferences.hpp:
	* code/core/statusbar.hpp:
	* code/core/userlist.hpp:
	* code/dialogs/documentlocationdialog.hpp:
	* code/dialogs/entrydialog.hpp:
	* code/dialogs/finddialog.hpp:
	* code/dialogs/gotodialog.hpp:
	* code/dialogs/initialdialog.hpp:
	* code/dialogs/preferencesdialog.hpp:
	* code/operations/operation-delete.hpp:
	* code/operations/operation-new.hpp:
	* code/operations/operation-open.hpp:
	* code/operations/operation-save.hpp:
	* code/operations/operations.hpp:
	* code/util/closebutton.hpp:
	* code/util/color.hpp:
	* code/util/config.hpp:
	* code/util/defaultaccumulator.hpp:
	* code/util/file.hpp:
	* code/util/i18n.hpp:
	* code/util/resolv.hpp:
	* code/util/serialize.hpp:
	* code/features.hpp:
	* code/window.hpp: Moved from inc/.

	* code/commands/Makefile.am:
	* code/operations/Makefile.am:
	* code/dialogs/Makefile.am:
	* code/core/Makefile.am:
	* code/util/Makefile.am:
	* code/Makefile.am:
	* Makefile.am:
	* configure.ac: Adapt to the new build structure.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* src/Makefile.am: Rename the gobby binary to gobby-0.5, to support
	parallel installation with gobby 0.4.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Added the scroll_to_cursor_position()
	function.

	* src/commands/edit-commands.cpp: Scroll to cursor position on Undo or
	Redo.

2008-10-08  Armin Burgmeier  <armin@arbur.net>

	* src/core/folder.cpp: Emit document_changed with NULL document after
	the last document has been removed, not before, so
	get_current_document() yields the correct result.

	* inc/commands/edit-commands.hpp:
	* src/commands/edit-commands.cpp: Don't rely on m_current_document
	being valid until on_document_changed() was called.

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Make "New" and "Open" actions
	insensitive when there is no entry in the Document Browser.

2008-10-08  Armin Burgmeier  <armin@arbur.net>

	* src/core/browser.cpp: Adapt to infinote API changes.

2008-10-01  Armin Burgmeier  <armin@arbur.net>

	* src/util/config.cpp: Renamed the root config from gobby_config to
	gobby-config.

2008-09-30  Armin Burgmeier  <armin@arbur.net>

	* src/commands/folder-commands.cpp: Added another assertion to be able
	to better track another problem with users becoming active without
	having the document selected in the notebook.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* src/commands/folder-commands.cpp: Flush pending user requests before
	setting user inactive, to avoid the user becoming active again due to
	a delayed caret movement.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* src/core/preferences.cpp: Fixed writing the
	insert-tabs-instead-of-spaces option to the config file.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* src/core/huebutton.cpp: Fix button ordering.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* src/main.cpp: Display version information on -v.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* src/core/docwindow.cpp: Make sure author tags have lower priority
	than GtkSourceView tags.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* src/window.cpp: Set main window role.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* inc/dialogs/preferenceswindow.hpp: Don't notify option if the newly
	selected option is the same as the already selected one.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* src/commands/file-fommands.cpp: Use document title as initial
	filename for Save dialog if no URI is available in info storage.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* src/commands/view-commands.cpp: Set "View Userlist" insensitive if
	no document is open.

2008-09-21  Armin Burgmeier  <armin@arbur.net>

	* inc/core/browser.hpp:
	* src/core/browser.cpp: Support hostname:port%device syntax for
	direct connections, to be able to establish IPv6 link-local
	connections directly.

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* update-potfiles: Added a small script to generate the
	po/POTFILES.in. It is simple, but enough for our needs.

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* src/commands/browser-commands.cpp:
	* src/commands/browser-context-commands.cpp:
	* src/core/browser.cpp:
	* src/core/header.cpp:
	* src/operations/operation-delete.cpp:
	* src/operations/operation-new.cpp:
	* src/operations/operation-open.cpp:
	* src/operations/operation-save.cpp: Changed all "…" character in
	strings to "...". Gedit does the same, and xgettext does not accept …
	without complaining. Translators can still choose to translate "..."
	to "…".

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* inc/util/encoding.hpp:
	* inc/core/encodingselector.hpp:
	* inc/dragdrop.hpp:
	* src/util/encoding.cpp:
	* src/core/encodingselector.cpp:
	* src/dragdrop.cpp: Removed. These remained from Gobby 0.4 but were
	never used in 0.5.

	* inc/util/Makefile.am:
	* inc/core/Makefile.am:
	* inc/Makefile.am:
	* src/util/Makefile.am:
	* src/core/Makefile.am:
	* src/Makefile.am: Removed the files from the build.

	* inc/window.hpp: Removed includes including those files.

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* inc/dialogs/preferencesdialogs.hpp:
	* src/dialogs/preferencesdialogs.cpp: Added a security page.

	* inc/core/browser.hpp:
	* src/core/browser.cpp: Set discovery's security policy and
	certificate manager's trust file from preferences.

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* src/core/preferencesdialog.cpp: Use a Gtk::SizeGroup to align the
	"User name" and "User color" labels correctly.

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* configure.ac: Added a new define, GOBBY_CONFIGDIR, that specifies
	where Gobby shall store it's configuration files (preferences, known
	documents, known hosts)

	* inc/core/preferences.hpp:
	* src/core/preferences.cpp: Added a security section with trust
	file and security-policy entries, changed serialise to serialize for
	consistency.

	* src/window.cpp: Call preferences.serialize instead of serialise.

	* src/core/browser.cpp: Use the security policy to create new XMPP
	connections. Honor GOBBY_CONFIGDIR for known hosts file.

	* src/core/documentinfostorage: Honor GOBBY_CONFIGDIR for known
	documents file.

	* src/main.cpp: Honor GOBBY_CONFIGDIR for config file.

2008-09-17  Armin Burgmeier  <armin@arbur.net>

	* src/Makefile.am:
	* src/commands/Makefile.am:
	* src/core/Makefile.am:
	* src/dialogs/Makefile.am:
	* src/operations/Makefile.am:
	* src/util/Makefile.am: Removed LOCALE_DIR definition from compiler
	command line.

	* configure.ac: Use AM_GLIB_DEFINE_LOCALEDIR instead.

	* src/main.cpp: Use GOBBY_LOCALEDIR instead of LOCALE_DIR.

2008-09-17  Armin Burgmeier  <armin@arbur.net>

	* inc/core/browser.hpp:
	* src/core/browser.cpp: Instantiate a InfGtkCertificateManager, to
	handle server certificates.

2008-09-17  Armin Burgmeier  <armin@arbur.net>

	* src/commands/view-commands.cpp: Fix usage of an uninitialized
	variable.

2008-09-13  Armin Burgmeier  <armin@arbur.net>

	* src/core/browser.cpp: Adapt to infinote API change.

2008-09-11  Armin Burgmeier  <armin@arbur.net>

	* inc/core/closableframe.hpp:
	* src/core/closableframe.cpp: Added title and icon for the frame.

	* src/core/docwindow.cpp:
	* src/window.cpp: Set title and icon for userlist and browser.

2008-09-11  Armin Burgmeier  <armin@arbur.net>

	* pixmaps/chat.png: Removed.

	* pixmaps/Makefile.am: Removed chat.png from distribution.

	* inc/core/iconmanager.hpp:
	* src/core/iconmanager.cpp: Removed chat icon.

	* src/commands/help-commands.cpp: Added Thomas Glatt to artists
	because he designed the Gobby logo.

2008-09-11  Armin Burgmeier  <armin@arbur.net>

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Added a boolean parameter to set_info() that
	specifies whether the info box can be closed by the user.

	* src/commands/browser-commands.cpp: Make persistent error infos
	closable, but not temporary synchronization infos.

2008-09-11  Armin Burgmeier  <armin@arbur.net>

	* inc/core/closableframe.hpp:
	* src/core/closableframe.cpp: Added a new widget, derived from
	Gtk::Frame, that shows a close button in the upper right corner, for
	the frame to be closed.

	* inc/core/Makefile.am:
	* src/core/Makefile.am: Added the new files to the build.

	* inc/core/preferences.hpp:
	* src/core/preferences.cpp: Added show_browser and show_userlist
	options.

	* inc/window.hpp:
	* src/window.cpp:
	* src/core/docwindow.cpp: Use a ClosableFrame for the browser and
	userlist, respectively.

	* src/core/browser.cpp: Removed the border_width. It is now applied by
	the ClosableFrame. If border_width is desired in certain situations,
	then it can still be called from elsewhere.

	* inc/core/header.hpp:
	* src/core/header.cpp: Added "Show Document Browser" and "Show
	Userlist" items to the View menu.

	* inc/commands/view-commands.hpp:
	* src/commands/view-commands.cpp: Implemented functionality for these
	(by setting the preference options).

2008-09-11  Armin Burgmeier  <armin@arbur.net>

	* inc/util/closebutton.hpp:
	* src/util/closebutton.cpp: Added CloseButton class that provides an
	as-small-as-possible GtkButton with a close icon on it.

	* inc/util/Makefile.am:
	* src/util/Makefile.am: Added new files to the build.

	* src/core/folder.cpp: Use CloseButton on the tabs.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* src/core/userlist.cpp: Fixed userlist sorting, sometimes unavailable
	users were shown above available ones.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* src/commands/folder-commands.cpp: Fix a warning when the connection
	to the server has been lost while being subscribed to a document.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* src/window.cpp: Keep browser pane at a fixed width.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Fixed an endless loop when the userlist is
	forcefully resized.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Change user color in running session on
	preferences color change.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* src/dialogs/preferencesdialog.cpp: Use notify::color instead of
	signal_color_set on ColorButton, because ColorButton::set_color (as
	used by HueButton) odes not emit the latter.

2008-09-10  Armin Burgmeier  <armin@arbur.net>

	* inc/core/userlist.hpp:
	* src/core/userlist.cpp: Watch notify::hue instead of notify::color
	on InfTextUser for user color changes. InfTextUser::color does not
	exist.

2008-09-09  Armin Burgmeier  <armin@arbur.net>

	* inc/core/huebutton.hpp:
	* src/core/huebutton.cpp: Added HueButton widget which is similar to
	Gtk::ColorButton but launches a InfTextGtkHueChooser instead of a
	GtkColorSelector on click.

	* inc/core/Makefile.am:
	* src/core/Makefile.am: Add the new files to the build.

	* inc/dialogs/initialdialog.hpp:
	* inc/dialogs/preferencesdialog.hpp:
	* src/dialogs/initialdialog.cpp:
	* src/dialogs/preferencesdialog.cpp: Use HueButton instead of
	ColorButton for user color selection.

2008-09-08  Armin Burgmeier  <armin@arbur.net>

	* inc/core/header.hpp:
	* src/core/header.cpp: Added FileClose action and menu item.

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Handle it.

2008-09-08  Armin Burgmeier  <armin@arbur.net>

	* src/core/folder.cpp: Make tabs reorderable.

2008-09-08  Armin Burgmeier  <armin@arbur.net>

	* inc/core/preferences.hpp:
	* src/core/preferences.cpp: Added userlist_width property.

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Honor it by making sure the userlist always
	has the width specified in the preferences, and update preferences
	when the user resizes the user list.

	* inc/core/folder.hpp:
	* src/core/folder.cpp: Make Preferences nonconst, so DocWindow can
	store the current userlist width in it.

	* src/window.cpp: Increase default window size to 800x600.

2008-09-08  Armin Burgmeier  <armin@arbur.net>

	* inc/util/color.hpp:
	* src/util/color.cpp: Added hue_to_gdk_color().

	* inc/core/userlist.hpp:
	* src/core/userlist.cpp: Added a new widget that displays all users in
	a session.

	* inc/core/Makefile.am:
	* src/core/Makefile.am: Added new files to the build.

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Show userlist in a right pane.

	* src/core/folder.cpp (remove_document): Keep the session alive until
	the corresponding page has been removed from the folder.

2008-09-07  Armin Burgmeier  <armin@arbur.net>

	* inc/commands/folder-commands.hpp:
	* src/commands/folder-commands.cpp: Added FolderCommands class,
	setting user status according to currently activated document in
	folder.

	* src/core/folder.cpp: Make sure signal_document_added is emitted
	before the first emission of signal_document_changed for the new
	document.

	* inc/window.hpp:
	* src/window.cpp: Instantiate FolderCommands.

	* inc/commands/Makefile.am:
	* src/commands/Makefile.am: Added new files to the build.

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* src/commands/browser-commands.cpp: Set initial status depending
	on whether the document is currently displayed in the folder.

	* src/operations/operation-open.cpp: Set initial status of user in
	the document to inactive.

2008-08-26  Armin Burgmeier  <armin@arbur.net>

	* src/core/noteplugin.cpp: Adapt to libinfinity API change (user_data
	parameter to InfcNotePlugin callback functions).

2008-08-25  Armin Burgmeier  <armin@arbur.net>

	* src/operations/operation-open.cpp: Fixed a typo in a comment.

2008-08-24  Armin Burgmeier  <armin@arbur.net>

	* inc/core/nodewatch.hpp:
	* src/core/nodewatch.cpp: Added a class that watches a node in a
	InfcBrowser and emits a signal when it is removed.

	* inc/dialogs/entrydialog.hpp:
	* src/dialogs/entrydialog.cpp: Added a class that shows a dialog with
	an entry, to prompt the user for a string to enter.

	* inc/operations/operation-delete.hpp:
	* src/operations/operation-delete.cpp: Added an operation that deletes
	a node.

	* inc/core/browser.hpp:
	* src/core/browser.cpp: Added get_view().

	* inc/operations/operation-new.hpp:
	* src/operations/operation-new.cpp: Allow this to create a directory,
	via a boolean parameter.

	* inc/operations/operations.hpp:
	* src/operations/operations.cpp: Added delete_node() and
	create_directory().

	* src/core/documentinfostorage.cpp (on_node_removed): Don't require
	the removed node to be in our map.

	* inc/commands/browser-context-commands.hpp:
	* src/commands/browser-context-commands.cpp: Added a class that shows
	a context menu for the left browser pane, allowing the user to create
	or remove nodes.

	* inc/window.hpp:
	* src/window.cpp: Instantiate a BrowserContextCommands object.

	* inc/core/Makefile.am:
	* inc/dialogs/Makefile.am:
	* inc/operations/Makefile.am:
	* inc/commands/Makefile.am:
	* src/core/Makefile.am:
	* src/dialogs/Makefile.am:
	* src/operations/Makefile.am:
	* src/commands/Makefile.am: Added the new files to the build.

2008-08-24  Armin Burgmeier  <armin@arbur.net>

	* inc/core/filechooser.hpp:
	* src/core/filechooser.cpp: Added a new class that manages a "current
	folder uri" which specifies at which location the filechooser has been
	used the last time. This is used as default location for newly opened
	file chooser dialogs.

	* inc/core/Makefile.am:
	* src/core/Makefile.am: Add the new files to the build.

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Use this when showing open or save
	dialogs.

	* inc/window.hpp:
	* src/window.cpp: Instantiate a FileChooser, pass to FileCommands.

2008-08-24  Armin Burgmeier  <armin@arbur.net>

	* inc/core/browser.hpp:
	* src/core/browser.cpp: Added the get_selected() and set_selected()
	methods, using the new inf_gtk_browser_view_set_selected().

	* src/commands/browser-commands.cpp: When subscribing to a session,
	then change the BrowserView selection to the corresponding note, and
	give focus to the DocWindow, so the user can start typing immediately.

2008-08-14  Armin Burgmeier  <armin@arbur.net>

	* src/commands/browser-commands.cpp: Removed an obsolete TODO item.

	* inc/core/folder.hpp:
	* src/core/folder.cpp: Automatically record every session to
	~/.infinote-records, to be able to reproduce errors that occur
	somewhere in the session.

2008-08-13  Armin Burgmeier  <armin@arbur.net>

	* src/core/header.cpp: Don't show hidden languages for syntax
	highlighting.

2008-07-23  Armin Burgmeier  <armin@arbur.net>

	* src/commands/view-commands.cpp: Block signal_language_changed
	while closing last document, to avoid a crash in the handler

2008-07-16  Armin Burgmeier  <armin@arbur.net>

	* inc/core/header.hpp:
	* src/core/header.cpp: Added lookup_language_action() to lookup a
	languagu action by the GtkSourceLanguage.

	* inc/commands/view-commands.hpp:
	* src/commands/view-commands.cpp: Switch the language of the current
	document if the user chooses another language in the menu, and make
	the menu reflect the language for the current document.

	* inc/commands/help-commands.hpp:
	* src/commands/help-commands.cpp: Implemented the About option.

	* inc/commands/Makefile.am:
	* src/commands/Makefile.am: Added help-commands to the build.

	* inc/window.hpp:
	* src/window.cpp: Instantiate HelpCommands.

2008-07-14  Armin Burgmeier  <armin@0x539.de>

	* configure.in: Require giomm 2.16.4 since this contains a bugfix that
	allows overwriting files when saving.

2008-07-12  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/browser-commands.hpp:
	* src/commands/browser-commands.cpp: Join with an alternative user
	name if the preferred one is already in use.

2008-07-11  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/view-commands.hpp:
	* src/commands/view-commands.cpp: Implemented View Toolbar and View
	Statusbar.

	* inc/commands/Makefile.am:
	* src/commands/Makefile.am: Add the new files to the build.

	* inc/core/folder.hpp:
	* src/core/folder.cpp: Added a const version of
	get_current_document().

	* inc/core/statusbar.hpp:
	* src/core/statusbar.cpp: Added display of current line and column.

	* src/core/header.cpp: Hide toolbar initially if the show_toolbar
	preference is not set.

	* inc/window.hpp:
	* src/window.cpp: Instantiate ViewCommands.

2008-07-04  Armin Burgmeier  <armin@0x539.de>

	* inc/core/toolwindow.hpp:
	* src/core/toolwindow.cpp: Removed. ToolWindow is no longer used.

	* inc/core/Makefile.am:
	* src/core/Makefile.am: Adjusted build files.

2008-07-04  Armin Burgmeier  <armin@0x539.de>

	* inc/dialogs/gotodialog.hpp:
	* src/dialogs/gotodialog.cpp: Redesigned GotoDialog, and limit maximum
	line number to the line count of the current document.

	* inc/commands/edit-commands.hpp:
	* src/commands/edit-commands.cpp: Show GotoDialog and
	PreferencesDialog when the corresponding actions have been activated.

	* inc/dialogs/finddialog.hpp:
	* src/dialogs/finddialog.cpp: Added a destructor disconnecting from
	the active_user_changed signal of the current document.

	* src/core/header.cpp: Added mnemonics for a few menu items.

	* src/util/file.cpp: Fixed endless recursion in
	create_directory_with_parents().

2008-07-03  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/edit-commands.hpp:
	* src/commands/edit-commands.cpp: Take a StatusBar in constructor to
	hand to find dialog, implemented find and replace.

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Changed set_selection paramaters from
	const Gtk::TextIter& to const GtkTextIter* since we are using the C
	API of GtkTextBuffer.

	* src/dialogs/gotodialog.cpp: Adapt to API change in DocWindow.

	* inc/dialogs/finddialog.hpp:
	* src/dialogs/finddialog.cpp: Changed FindDialog to better meet the
	GNOME HIG, added "Wrap around" option, inherit from Gtk::Dialog
	instead of Gobby::ToolWindow.

	* src/core/header.cpp: Add a horizontal ellipsis to all menu items
	that open dialogs.

	* src/dialogs/initialdialog.cpp: Call Gtk::Dialog constructor with
	parent instead of default constructor.

	* src/window.cpp: Pass statusbar to EditCommands.

2008-07-03  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/edit-commands.hpp:
	* src/commands/edit-commands.cpp: Implemented Cut/Copy/Paste
	functionality.

	* src/core/folder.cpp: Emit signal_document_changed when the last
	document is about to be removed before the document has actually been
	removed, so that signal handlers that still have a reference to the
	last document can still make use of it.

	* src/core/header.cpp: Added a shortcut (<control><stift>L) for Save
	All, as in gedit.

2008-07-02  Armin Burgmeier  <armin@0x539.de>

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Added the active_user_changed signal and
	the get_active_user() function.

	* src/core/header.cpp: Added shortcuts for Undo and Redo.

	* src/core/noteplugin.cpp: Disable GtkSourceView Undo/Redo system by
	calling gtk_source_buffer_begin_non_undoable_action() without ever
	ending that non-undoable action.

	* inc/commands/edit-commands.hpp:
	* src/commands/edit-commands.cpp: New class handling the commands in
	the Edit submenu. For now Undo and Redo are implemented.

	* inc/window.hpp:
	* src/window.cpp: Instantiate EditCommands.

	* inc/commands/Makefile.am:
	* src/commands/Makefile.am: Added new files to build.

2008-06-29  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Cleaned up the code a bit,
	implemented save all.

	* src/core/folder.cpp: Emit document_changed with NULL argument in
	case the last document has been removed.

2008-06-28  Armin Burgmeier  <armin@0x539.de>

	* pixmaps/save-all.svg:
	* pixmaps/Makefile.am: Added icon for the save all menu item,
	contributed by Benjamin Herr <ben@0x539.de>

	* inc/core/iconmanager.hpp:
	* src/core/iconmanager.cpp: Add it to the icon manager.

	* src/core/header.cpp: Add it to the menu.

	* src/commands/file-commands.cpp: Fix a crash when unsubscribing from
	a session after having opened the file chooser to save a file.

2008-06-28  Armin Burgmeier  <armin@0x539.de>

	* inc/core/documentinfostorage.hpp:
	* src/core/documentinfostorage.cpp: Moved from
	operations/documentinfostorage.[hc]pp. Also added the get_key()
	method and added overloads of get_info and set_info that take a key
	instead of browser and iter.

	* inc/operations/operation-open.hpp: Fixed include of
	documentinfostorage.hpp.

	* inc/operations/operation-save.hpp:
	* src/operations/operation-save.cpp: Implemented saving of documents.
	This currently does refuse to overwrite existing files due to a bug in
	giomm, see http://bugzilla.gnome.org/show_bug.cgi?id=540656.

	* inc/core/docwindow.hpp:
	* src/core/docwindow.cpp: Store a storage info key, so that on save
	the corresponding info can be updated.

	* inc/core/folder.hpp:
	* src/core/folder.cpp: Pass a correct storage info key to newly
	created documents.

	* inc/commands/browser-commands.hpp: 
	* src/commands/browser-commands.cpp: Pass a storage info key to the
	folder when a new document is opened because of a new subscription.
	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Implemented save and save as
	functionality.

	* inc/operations/operations.hpp:
	* src/operations/operations.cpp: Added save_document().

	* src/window.cpp: Pass info storage to browser and file commands.

	* inc/core/Makefile.am:
	* inc/operations/Makefile.am:
	* src/core/Makefile.am:
	* src/operations/Makefile.am: Add new and moved files to build.

2008-06-28  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/browser-commands.hpp:
	* src/commands/browser-commands.cpp: Set info text in DocWindow and
	make the document readonly when the connection to the publisher has
	been lost.

	* src/core/docwindow.cpp: Allow user to be NULL in set_active_user().

	* src/core/folder.cpp: Set icon in tab label when the connection to
	the document's publisher has been lost.

2008-06-27  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/browser-commands.hpp:
	* src/commands/browser-commands.cpp: Make sure subscription progress
	is only shown for sessions that are synchronized, not for sync-ins.

	* inc/core/preferences.hpp: Removed the non-const operator Type& since
	it allows changing the Properties content without notification. Also
	added get() in analogy to set().

	* inc/operations/operation-open.hpp:
	* src/operations/operation-open.cpp: Take a Preferences in the
	constructor, add a user to the session before synchronizing it to the
	server so that we can start editing the document before the
	synchronization is complete.

	* inc/operations/operations.hpp:
	* src/operations/operations.cpp:
	* src/window.cpp: Pass the Preferences object to OperationOpen.

	* src/operations/operation-new.cpp: Automatically Subscribe to newly
	created documents.

2008-06-27  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/browser-commands.hpp:
	* src/commands/browser-commands.cpp: Watch synchronization and join
	user for every session subscribed to, not only sessions that have been
	subscribed to by the BrowserCommands.

	* src/core/folder.cpp: Fixed a typo in a comment

2008-06-25  Yarek Tyshchenko  <yarek@britishgraphics.co.uk>

	(Merged from master):

	* configure.ac: Require ige-mac-integration when Gobby is compiled
	natively on OS X.

	* src/core/header.cpp: Integrate the menu bar into the main OS X menu
	bar.

2008-06-22  Armin Burgmeier  <armin@0x539.de>

	* src/operations/documentinfostorage.cpp: Added return value for
	load_document, fixed storage of "root" node (was in top-level
	<documents> instead of <document>), 

	* src/operations/operation-open.cpp: Added a TODO comment to remmove
	memmove.

2008-06-22  Armin Burgmeier  <armin@0x539.de>

	* inc/operations/documentinfostorage.hpp:
	* src/operations/documentinfostorage.cpp: Disconnect from the
	set-browser signal handler on destruction.

2008-06-21  Armin Burgmeier  <armin@0x539.de>

	* inc/util/file.hpp:
	* src/util/file.cpp:
	* inc/util/Makefile.am:
	* src/util/Makefile.am: Added file.hpp/.cpp containing utility
	functions to deal with the filesystem. Currently, a function that
	creates a directory and all its parent if necessary is implemented.

	* inc/util/config.hpp:
	* src/util/config.cpp: Make use of that function in the destructor.

	* inc/util/resolv.hpp: Include <memory> since we use std::auto_ptr<>.

	* inc/operations/documentinfostorage.hpp:
	* src/operations/documentinfostorage.cpp: Added class that stores
	local information on known documents such as the local location, the
	encoding and the eol style.

	* inc/operations/operation-open.hpp:
	* src/operations/operation-open.cpp: Implemented opening documents
	from files, via giomm.

	* inc/operations/Makefile.am:
	* src/operations/Makefile.am: Add the new source files to the build.

	* inc/operations/operations.hpp:
	* src/operations/operations.cpp: Added encoding parameter to
	create_document(), added DocumentInfoStorage member.

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Added functionlity for the Open menu
	item.

	* inc/window.hpp:
	* src/window.cpp: Instantiate a DocumentInfoStorage, pass to
	Operations.

	* src/main.cpp: Initialize giomm.

	* configure.ac: Added giomm as a dependency.

2008-05-19  Armin Burgmeier  <armin@0x539.de>

	* inc/Makefile.am:
	* inc/operations/Makefile.am:
	* inc/operations/operation-new.hpp:
	* inc/operations/operations.hpp:
	* src/Makefile.am:
	* src/operations/Makefile.am:
	* src/operations/operation-new.cpp:
	* src/operations/operations.cpp: Added Operation subsystem, handling
	tracking of asynchronous operations.

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Make use of OperationNew to create
	new documents.

	* inc/window.hpp:
	* src/window.cpp: Instantate an Operations object, pass to
	FileCommands.

	* configure.ac:
	* Makefile.am: Create new makefiles, link libgobby-operations.h.

2008-05-18  Armin Burgmeier  <armin@0x539.de>

	* inc/core/Makefile.am:
	* src/core/Makefile.am:
	* inc/core/noteplugin.hpp:
	* src/core/noteplugin.cpp: Added text plugin as a public global
	constant.

	* src/window.cpp: Adapt.

2008-05-18  Armin Burgmeier  <armin@0x539.de>

	* src/dialogs/documentlocationdialog.cpp: Initially refilter the
	InfGtkBrowserModelFilter, otherwise previously explored nodes are
	always visible.

	* src/commands/file-commands.cpp: Adapt to the new infinote API in
	infc_browser_add_note().

2008-05-09  Armin Burgmeier  <armin@0x539.de>

	* inc/dialogs/documentlocationdialog.hpp:
	* src/dialogs/documentlocationdialog.cpp: Only allow ACCEPT response
	when a subdirectory is selected, filter all nodes but subdirectories.

	* src/commands/file-commands.cpp: Hide DocumentLocationDialog after
	usage.

2008-05-09  Armin Burgmeier  <armin@0x539.de>

	* inc/util/Makefile.am:
	* inc/util/color.hpp:
	* inc/util/config.hpp:
	* inc/util/defaultaccumulator.hpp:
	* inc/util/encoding.hpp:
	* inc/util/i18n.hpp:
	* inc/util/resolv.hpp:
	* inc/util/serialize.hpp:
	* inc/core/Makefile.am:
	* inc/core/browser.hpp:
	* inc/core/docwindow.hpp:
	* inc/core/encodingselector.hpp:
	* inc/core/folder.hpp:
	* inc/core/header.hpp:
	* inc/core/iconmanager.hpp:
	* inc/core/preferences.hpp:
	* inc/core/statusbar.hpp:
	* inc/core/toolwindow.hpp:
	* inc/dialogs/Makefile.am:
	* inc/dialogs/finddialog.hpp:
	* inc/dialogs/gotodialog.hpp:
	* inc/dialogs/initialdialog.hpp:
	* inc/dialogs/preferencesdialog.hpp:
	* inc/commands/Makefile.am:
	* inc/commands/browser-commands.hpp:
	* inc/window.hpp:
	* inc/Makefile.am:
	* src/util/Makefile.am:
	* src/util/color.cpp:
	* src/util/config.cpp:
	* src/util/encoding.cpp:
	* src/util/i18n.cpp:
	* src/util/resolv.cpp:
	* src/util/serialize.cpp:
	* src/core/Makefile.am:
	* src/core/browser.cpp:
	* src/core/docwindow.cpp:
	* src/core/encodingselector.cpp:
	* src/core/folder.cpp:
	* src/core/header.cpp:
	* src/core/iconmanager.cpp:
	* src/core/preferences.cpp:
	* src/core/statusbar.cpp:
	* src/core/toolwindow.cpp:
	* src/dialogs/Makefile.am:
	* src/dialogs/finddialog.cpp:
	* src/dialogs/gotodialog.cpp:
	* src/dialogs/initialdialog.cpp:
	* src/dialogs/preferencesdialog.cpp:
	* src/commands/Makefile.am:
	* src/commands/browser-commands.cpp:
	* src/dragdrop.cpp:
	* src/main.cpp:
	* src/window.cpp:
	* src/Makefile.am:
	* Makefile.am:
	* configure.ac: Reordered file hierarchy, fixing includes.

	* inc/dialogs/documentlocationdialog.hpp:
	* src/dialogs/documentlocationdialog.cpp: Added a dialog allowing the
	user to select on which directory and server to create a document.

	* inc/commands/file-commands.hpp:
	* src/commands/file-commands.cpp: Added functionality for File/New
	using the new dialog.

2008-04-20  Armin Burgmeier  <armin@0x539.de>

	* inc/browser.hpp:
	* src/browser.cpp: Adapt to new infinote API by using
	InfGtkBrowserStore instead of InfGtkBrowserModel.

2008-04-20  Armin Burgmeier  <armin@0x539.de>

	* src/browser.cpp: Fixed a format string (%1 instead of %0).

2008-04-13  Armin Burgmeier  <armin@0x539.de>

	* inc/docwindow.hpp:
	* src/docwindow.cpp: Added DocWindow::set_active_user().

	* src/folder.cpp: Show icon in the tab representing the current
	subscription state.

	* src/commands/browser-commands.cpp: Set active user after user join.

2008-04-13  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/browser-commands.hpp:
	* src/commands/browser-commands.cpp: Track synchronization, perform a
	user join after synchronization, show error and status messages.

	* inc/docwindow.hpp:
	* src/docwindow.cpp: Implemented DocWindow::set_info() and
	DocWindow::unset_info().

	* src/folder.cpp: Changed Folder::lookup_document() to use a PageList
	and an iterator instead of traversing the list by index.

	* src/window.cpp: Pass the preferences to the BrowserCommands because
	it needs to find the name for the user to join.

2008-04-12  Armin Burgmeier  <armin@0x539.de>

	* inc/commands/browser-commands.hpp:
	* inc/commands/Makefile.am
	* src/commands/browser-commands.cpp:
	* src/commands/Makefile.am: Added functionality to subscribe to a
	session.

	* inc/Makefile.am:
	* src/Makefile.am: Recurse into the commands subdirectory.

	* Makefile.am: Link src/commands/libgobby-commands.a

	* configure.ac: Create inc/commands/Makefile.am and
	src/commands/Makefile.am.

	* inc/folder.hpp:
	* src/folder.cpp: Added switch_to_document(), make close button in tab
	label look correct.

	* src/header.cpp: Rename label for save all menu item from "Save all"
	to "Save All".

	* src/docwindow.cpp: Make the window non-editable by default. We make
	it editable later when a local user has joined.

	* inc/window.hpp:
	* src/window.cpp: Added BrowserCommands object.

2008-04-12  Armin Burgmeier  <armin@0x539.de>

	* contrib/gobby-0.0.20050522.ebuild:
	* contrib/artwork/chat.svg:
	* test/test_document.cpp: Removed, these are outdated.

	* inc/default_accumulator.hpp:
	* inc/serialize.hpp:
	* src/serialize.cpp: Added. These are basically copies from net6, but
	in the Gobby namespace.

	* inc/i18n.hpp:
	* src/i18n.cpp: Moved from inc/common.hpp or src/common.cpp,
	respectively.

	* inc/application_state.hpp:
	* inc/buffer_def.hpp:
	* inc/chat.hpp:
	* inc/colorsel.hpp:
	* inc/historyentry.hpp:
	* inc/document.hpp:
	* inc/document_settings.hpp:
	* inc/entrydialog.hpp:
	* inc/fileentry.hpp:
	* inc/gselector.hpp:
	* inc/hostdialog.hpp:
	* inc/hostprogressdialog.hpp:
	* inc/ipc.hpp:
	* inc/joindialog.hpp:
	* inc/joinprogressdialog.hpp:
	* inc/logview.hpp:
	* inc/passworddialog.hpp:
	* inc/progressdialog.hpp:
	* inc/regex.hpp:
	* inc/togglewindow.hpp:
	* inc/unix.hpp:
	* src/application_state.cpp:
	* src/buffer_def.cpp:
	* src/chat.cpp:
	* src/colorsel.cpp:
	* src/document.cpp:
	* src/document_settings.cpp:
	* src/entrydialog.cpp:
	* src/fileentry.cpp:
	* src/gselector.cpp:
	* src/historyentry.cpp:
	* src/hostdialog.cpp:
	* src/hostprogressdialog.cpp:
	* src/ipc.cpp:
	* src/joindialog.cpp:
	* src/joinprogressdialog.cpp:
	* src/logview.cpp:
	* src/passworddialog.cpp:
	* src/preferencesdialog.cpp:
	* src/progressdialog.cpp:
	* src/regex.cpp:
	* src/togglewindow.cpp:
	* src/unix.cpp: Removed. They are no longer required for infinote, or
	at least not in a such way that a complete rewrite would not be easier
	anyway.

	* inc/config.hpp:
	* inc/dragdrop.hpp:
	* inc/encoding.hpp:
	* inc/finddialog.hpp:
	* inc/folder.hpp:
	* inc/statusbar.hpp:
	* inc/window.hpp:
	* src/browser.cpp:
	* src/config.cpp:
	* src/dragdrop.cpp:
	* src/encoding.cpp:
	* src/encoding_selector.cpp:
	* src/finddialog.cpp:
	* src/folder.cpp:
	* src/gotodialog.cpp:
	* src/header.cpp:
	* src/icon.cpp:
	* src/initialdialog.cpp:
	* src/main.cpp:
	* src/resolv.cpp:
	* src/statusbar.cpp:
	* src/window.cpp: Removed any occurences of net6/obby stuff, replaced
	by equivalent functionality if possible.

	* po/POTFILES.in: Removed source files, added a TODO comment to readd
	them as soon as the required files are ready.

	* Makefile.am:
	* contrib/Makefile.am:
	* contrib/artwork/Makefile.am:
	* inc/Makefile.am:
	* pixmaps/Makefile.am:
	* src/Makefile.am:
	* win32/Makefile.am: Hierarchical build instead of only a top-level
	Makefile.am, so that each Makefile.am is smaller and easier to use.

	* configure.ac: Remove dependency on net6 and obby.

2008-04-12  Armin Burgmeier  <armin@0x539.de>

	* src/preferences.cpp: Changed default value for homeend_smart to
	false.

	* inc/resolv.hpp:
	* src/resolv.cpp: Changed signature of callbacks to include the
	ResolvHandle.

	* inc/browser.hpp:
	* src/browser.cpp: Added resolv map to correctly cancel pending
	resolvs on destruction.

	* inc/statusbar.hpp:
	* src/statusbar.cpp: Correctly remove the timeout connection on
	destruction of a statusbar message.

	* inc/folder.hpp:
	* inc/docwindow.hpp:
	* src/folder.cpp:
	* src/docwindow.cpp: Changed Folder and DocWindow to be used with
	InfTextSession instead of obby::local_document_info.

	* inc/window.hpp:
	* src/finddialog.cpp:
	* src/gotodialog.cpp:
	* src/window.cpp: Adapted to Folder and DocWindow changes.

2008-03-13  Armin Burgmeier  <armin@0x539.de>

	* inc/statusbar.hpp:
	* src/statusbar.cpp: Removed old functionality, add methods to add
	and remove status messages.

	* inc/window.hpp:
	* inc/window.cpp: Adapt.

2008-03-09  Armin Burgmeier  <armin@0x539.de>

	* inc/documentlist.hpp:
	* inc/userlist.hpp:
	* src/documentlist.cpp:
	* src/userlist.cpp:
	* Makefile.am: Removed.

	* inc/preferences.hpp:
	* src/preferences.cpp: Added show_toolbar and show_statusbar
	preferences.

	* inc/initialdialog.hpp: Added missing include (gtkmm/image.h).

	* inc/header.hpp:
	* src/header.cpp: Redesign menu/toolbar to better match common
	editors.

	* inc/window.hpp:
	* src/folder.cpp:
	* src/window.cpp: Adapt to above changes, current UI disfunctional.

2008-03-06  Armin Burgmeier  <armin@0x539.de>
	
	* inc/resolv.hpp:
	* src/resolv.cpp: Code to asynchronously resolve host names.

	* inc/browser.hpp:
	* src/browser.cpp: Added Browser class that shows remote directories
	to browse (via InfGtkBrowserView), and that allows to create direct
	connections.

	* inc/window.hpp:
	* src/window.cpp: Show browser in a sidepane to the left, remove chat.

	* src/initialdialog.cpp: Set window title.

	* Makefile.am: Added browser.{h,c}pp and resolv.{h,c}pp

	* configure.ac: Depend on infinote.

2008-03-03  Armin Burgmeier  <armin@0x539.de>

	* inc/initialdialog.hpp:
	* src/initialdialog.cpp:
	* Makefile.am: Added an initial welcome dialog.

	* inc/window.hpp:
	* src/window.cpp: Show initial dialog the first time gobby is started.

2008-03-03  Armin Burgmeier  <armin@0x539.de>

	* inc/preferencesdialog.hpp:
	* src/preferencesdialog.cpp: Store chosen preferences.

	* inc/preferences.hpp: Add Preferences::Option::set for convenience.

	* inc/colorutil.hpp:
	* src/colorutil.cpp:
	* Makefile.am: Added colorutil containing some utility functions to
	handle colors.

2008-03-02  Armin Burgmeier  <armin@0x539.de>

	* configure.ac: Require at least gtkmm 2.12, drop gtksourceview1
	support, post-branch bump to 0.4.90.

	* inc/preferences.hpp:
	* src/preferences.cpp: Removed options not required for infinote,
	added user preferences page.

	* inc/preferencesdialog.hpp:
	* src/preferencesdialog.cpp: Adapted and redesigned preferences
	dialog to better meet the Gnome HIG. Currently disfunctional.

	* inc/header.hpp:
	* inc/folder.hpp:
	* inc/docwindow.hpp:
	* inc/window.hpp:
	* src/header.cpp:
	* src/folder.cpp:
	* src/chat.cpp:
	* src/togglewindow.cpp:
	* src/docwindow.cpp:
	* src/window.cpp: Adapt.
2008-01-31  Armin Burgmeier  <armin@0x539.de>

	* src/config.cpp: File test before loading XML file, this seems to
	crash on Windows otherwise.

2008-01-24  Philipp Kern  <phil@0x539.de>

	* src/header.cpp:
	* src/preferences.cpp:
	* src/preferencesdialog.cpp:
	* src/unix.cpp: Fix build failures with g++-4.3
	  (thanks to Matthias Klose)

2008-01-20  Armin Burgmeier  <armin@0x539.de>

	* src/preferences.cpp:
	* src/preferencesdialog.cpp:
	* src/header.cpp: Don't crash when no GtkSourceView languages are
	installed.

2008-01-03  Philipp Kern  <phil@0x539.de>

	* contrib/gobby.desktop: adhere to the freedesktop.org Desktop
	  Entry Specification v1.0

2008-01-01  Armin Burgmeier  <armin@0x539.de>

	* src/preferencesdialog.cpp: Add some spacing to the document
	management option group.

2008-01-01  Philipp Kern  <phil@0x539.de>

	* configure.ac: bump version to 0.4.6
	* NEWS: documented the changes

2008-01-01  Philipp Kern  <phil@0x539.de>

	* po/pt_BR.po, po/pl.po, po/ko.po: added new translations
	  from Rosetta
	* po/*.po: translation roundup fetched from Rosetta
	* configure.ac: add pt_BR, pl and ko

2008-01-01  Philipp Kern  <phil@0x539.de>

	* configure.ac: bump obby dependency to 0.4.5 to get IPv6
	  autodiscovery

2007-12-16  Armin Burgmeier  <armin@0x539.de>

	* src/toolwindow.hpp:
	* src/toolwindow.cpp: Hide on escape.

2007-11-27  Armin Burgmeier  <armin@0x539.de>

	* src/docwindow.cpp: Enable indentation-on-tab in gtksourceview1

	* configure.in: Require gtksourceview >= 1.8.

2007-10-14  Armin Burgmeier  <armin@0x539.de>

	* inc/preferencesdialog.hpp:
	* src/preferencesdialog.cpp: Don't use the tooltip for the smart
	home/end option when gtkmm was built without deprecated API.

	* src/logview.cpp: Replaced scroll_to_mark by scroll_to because the
	former is deprecated.

	* src/docwindow.cpp: Fix gtksourceview1 build.

2007-09-30  Benjamin Herr  <ben@0x539.de>

	* src/window.cpp: Make sure that the two buttons on the confirmation
	dialog when exiting gobby with a session running do not have the same
	mnemonics.

2007-09-20  Philipp Kern <phil@0x539.de>

	* src/ipc.cpp: added unistd.h to the list of includes to ease porting
	  to OpenBSD

2007-09-17  Armin Burgmeier  <armin@0x539.de>

	* src/preferencesdialog.cpp:
	* src/header.cpp:
	* src/docwindow.cpp:
	* src/preferences.cpp: Adapted to latest (and final) GtkSourceView2
	API.

2007-08-27  Armin Burgmeier  <armin@0x539.de>

	* src/historyentry.cpp: Avoid Gtk::Entry::set_text() because it seems
	to crash on Vista. Use Gtk::Editable::delete_text and
	Gtk::Editable::insert_text instead.

2007-08-27  Armin Burgmeier  <armin@0x539.de>

	* src/window.cpp: Make sure not to try to send an unsubscription
	request twice.

2007-08-18  Armin Burgmeier  <armin@0x539.de>

	* src/icon.cpp: Win32 build fix.

2007-08-18  Philipp Kern <phil@0x539.de>

	* inc/window.hpp:
	* src/window.cpp: do not close document if `save as' is cancelled
	  [fixes #288]

2007-08-18  Philipp Kern <phil@0x539.de>

	* NEWS:
	* configure.ac: bump version to 0.4.5 and document the changes

2007-08-12  Armin Burgmeier  <armin@0x539.de>

	* src/window.cpp: Set IO channel encoding to "" when saving files
	because we do the necessary conversion ourselves before saving. This
	fixes saving non-UTF-8 encoded files.

	* src/icon.cpp: Convert pixmap paths to UTF-8 on windows, allowing
	gobby to run inside paths containing non-ASCII characters.

	* src/preferences.cpp: Include features.hpp for correct gtksourceview2
	detection.

2007-08-05  Philipp Kern <phil@0x539.de>

	* Place a `Save' button instead of a plain `OK' button in the
	  `Save file' dialog and set it as the default response.

2007-07-22  Philipp Kern <phil@0x539.de>

	* Fix compilation with GtkSourceView 1

2007-07-22  Philipp Kern <phil@0x539.de>

        * New Swedish translation by Daniel Nylander [fixes #282]

2007-07-09  Philipp Kern  <phil@0x539.de>

	* src/main.cpp: bugfix to use IPC by default

2007-07-09  Philipp Kern  <phil@0x539.de>

	* inc/joindialog.hpp:
	* src/joindialog.cpp: add support for IPv6 autodiscovery

2007-07-09  Armin Burgmeier  <armin@0x539.de>

	* src/preferencesdialog.cpp:
	* src/header.cpp:
	* src/docwindow.cpp:
	* src/preferences.cpp: Adjusted for gtksourceview2 API changes.

2007-06-16  Philipp Kern  <phil@0x539.de>

	* configure.ac: fixed POSIX compliance

2007-06-16  Philipp Kern  <phil@0x539.de>

	* po/POTFILES.in: add more source files to be scanned for strings
	  to be translated

	* po/gobby.pot: update, mainly line numbers

	* po/ca.po:
	* po/pt.po:
	* po/es.po:
	* po/fr.po:
	* po/de.po:
	* po/sv.po:
	* po/zh_CN.po: translation roundup: new line numbers, some strings
	  changed by Rosetta contributors

	* configure.ac:
	* po/it.po:
	* po/ru.po: new translations imported from Rosetta

	* NEWS: documented new translations

2007-06-15  Philipp Kern  <phil@0x539.de>

	* NEWS:
	* configure.ac: bump version to 0.4.4 and document the changes

	* mkinstalldirs: removed from the repository, is symlinked through
	  autogen.sh

2007-06-15  Philipp Kern  <phil@0x539.de>

	* src/finddialog.cpp:
	* src/window.cpp:
	* src/statusbar.cpp:
	* src/folder.cpp:
	* src/document.cpp:
	* src/preferencesdialog.cpp:
	* src/main.cpp:
	* src/header.cpp:
	* src/docwindow.cpp:
	* src/preferences.cpp:
	* inc/window.hpp:
	* inc/document.hpp:
	* inc/header.hpp:
	* inc/docwindow.hpp:
	* inc/preferences.hpp:
	* inc/documentlist.hpp: fixed the indentation from two spaces to
	  one tab and removed some cruft

2007-06-13  Philipp Kern  <phil@0x539.de>

	* src/chat.cpp: use Gtk::Entry::delete_text(...) instead of
	  Gtk::Entry::set_text(""); the latter crashes on Windows Vista

2007-06-12  Armin Burgmeier  <armin@0x539.de>

	* src/documentlist.cpp: fixed a bug related to the document list's
	  selection (clear the selection in obby_start) [fixes #271]

2007-05-27  Armin Burgmeier  <armin@0x539.de>
	
	* inc/sourceview:
	* src/sourceview:
	* Makefile.am: Remove hand-coded GtkSourceView wrappers.

	* configure.ac: Added --with-gtksourceview2 configure option.

	* src/finddialog.cpp:
	* src/window.cpp:
	* src/statusbar.cpp:
	* src/folder.cpp:
	* src/document.cpp:
	* src/preferencesdialog.cpp:
	* src/main.cpp:
	* src/header.cpp:
	* src/docwindow.cpp:
	* src/preferences.cpp:
	* src/gotodialog.cpp:
	* inc/window.hpp:
	* inc/folder.hpp:
	* inc/document.hpp:
	* inc/preferencesdialog.hpp:
	* inc/header.hpp:
	* inc/docwindow.hpp:
	* inc/preferences.hpp: Support GtkSourceview2, use GtkSourceView C API
	directly.

2007-05-10  Benjamin Herr <ben@0x539.de>

	* inc/documentlist.hpp:
	* src/documentlist.cpp: sort document list alphabetically

2007-04-23  Philipp Kern <phil@0x539.de>

	* src/togglewindow.cpp: ToggleWindow needs UTILITY hints in any
	  case
	* src/toolwindow.cpp: use DIALOG unconditionally on every ToolWindow

2007-04-23  Philipp Kern <phil@0x539.de>

	* src/toolwindow.cpp: use DIALOG hint on *nix, UTILITY on Win32
	* src/window.cpp: copyright notice renewed

2007-04-16  Armin Burgmeier  <armin@0x539.de>

	* src/chat.cpp: Reintroduce user tags in chat which got accidentaly
	lost in revision [1515].

2007-04-15  Armin Burgmeier  <armin@0x539.de>

	* src/joindialog.cpp: Don't allow selection in the error case, use a
	single column for both icon and text. Make the dialog resizable.

2007-04-15  Philipp Kern <phil@0x539.de>

	* src/joindialog.cpp: failure handling for exceptions thrown
	  by discover

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* src/joindialog.cpp: Only access the currently selected row to set
	the content of the host and port entries when there actually is a
	selected row.

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* inc/joindialog.hpp:
	* src/joindialog.cpp: Take a obby::zeroconf_base instead of
	obby::zeroconf, do not install timer when using avahi as zeroconf
	backend.

	* inc/window.hpp:
	* src/window.cpp: Use Glib mainloop for avahi zeroconf backend,
	otherwise poll it every 1500 milliseconds.

2007-04-14  Philipp Kern <phil@0x539.de>

	* configure.ac, Makefile.am: check for Avahi in obby and link against
	  avahi-glib if Avahi proper is used for Zeroconf support; provide
	  an additional define WITH_AVAHI for usage within the code

2007-04-09  Armin Burgmeier  <armin@0x539.de>

	* inc/folder.hpp:
	* src/folder.cpp: Added a select_document() function that selects the
	page that shows the given document.

	* src/userlist.cpp:
	* src/documentlist.cpp: Make use of it.

2007-04-09  Philipp Kern <phil@0x539.de>

	* src/window.cpp:
	* inc/documentlist.hpp:
	* src/documentlist.cpp: allow the same in the document list

2007-04-09  Philipp Kern <phil@0x539.de>

	* inc/window.hpp:
	* src/window.cpp: pass a folder object to the user list
	* inc/userlist.hpp:
	* src/userlist.cpp: doubleclicks on already subscribed documents now
	cause the document to be selected

2007-04-09  Philipp Kern <phil@0x539.de>

	* configure.ac: bump version to 0.4.3
	* NEWS: note down usability improvements in 0.4.3

2007-04-09  Philipp Kern <phil@0x539.de>

	* src/window.cpp: do not show tabs if only one document present
	[fixes #220]

2007-04-08  Philipp Kern <phil@0x539.de>

	* src/preferencesdialog.cpp: add toolbar setting for "text besides icon"
	* src/header.cpp: set important flags of the actions according
	to the sensitivity

2007-04-08  Philipp Kern <phil@0x539.de>

	* src/window.cpp:
	* src/chat.cpp: set urgency hint on window only when chat widget
	is visible [fixes #256]

2007-04-07  Philipp Kern <phil@0x539.de>

	* inc/userlist.hpp:
	* src/userlist.hpp: allow doubleclicks on documents in the userlist
	to subscribe to them [fixes #225]

2007-04-07  Philipp Kern <phil@0x539.de>

	* inc/document_settings.hpp: signals now pass a non-const
	LocalDocumentInfo reference
	* inc/window.hpp:
	* src/window.cpp: automatically opened tabs should not grab
	the focus [finally fixes #232]

2007-04-07  Philipp Kern <phil@0x539.de>

	* inc/document_settings.hpp:
	* src/document_settings.cpp: add a flag whether the document was
	opened automatically or not

2007-04-02  Philipp Kern <phil@0x539.de>

	* src/window.cpp:
	* inc/preferences.hpp:
	* src/preferences.cpp:
	* inc/preferencesdialog.hpp:
	* src/preferencesdialog.cpp: add new configuration option to open
	new remotely-created documents automatically [fixes #232]

2007-04-02  Philipp Kern <phil@0x539.de>

	* src/window.cpp: Mention avahi-daemon in failure message.

2007-03-27  Philipp Kern <phil@0x539.de>

	* src/window.cpp: Output an error to the console if the zeroconf
	daemon is unavailable instead of displaying an annoying message
	box.

2007-03-27  Philipp Kern <phil@0x539.de>

	* src/preferences.cpp: Fix some mime types. It seems that they
        are inconsistent over different distributions, at least the
        fixed ones are commonly changed.

2007-03-24  Armin Burgmeier <armin@0x539.de>

	* inc/window.hpp:
	* src/window.cpp: Focus find and goto dialogs always when the
	corresponding actions are triggered. Also do not load them at startup
	but as soon as they are required, to improve startup time
	[fixes #251].

2007-03-21  Armin Burgmeier <armin@0x539.de>

	* src/chat.cpp: Do not print an incoming message as much times as its
	number of lines, but only once.

2007-02-25  Armin Burgmeier <armin@0x539.de>

	* src/window.cpp: Open output file to save a document with
	Glib::IOChannel instead of std::ofstream to get correct conversion of
	filename encoding from glib.

2007-02-25  Armin Burgmeier <armin@0x539.de>

	* src/ipc.cpp: Define _WIN32_WINNT to get HWND_MESSAGE API.

2007-02-25  Philipp Kern <phil@0x539.de>

	* NEWS, configure.in: Bump version to 0.4.2 and document important
	  changes.

2007-01-02  Philipp Kern <phil@0x539.de>

	Moved GlobalUnlock further downwards
	(The pointer is only guaranteed to point to the right place within
	GlobalLock and GlobalUnlock, thus it might point to an invalid memory
	block. [Michael Walter])

2006-12-31  Armin Burgmeier <armin@0x539.de>

	Accept absolute file names for IPC [fixes #237]

2006-11-08  Armin Burgmeier <armin@0x539.de>

	Keep viewport position on remote operations

2006-11-04  Armin Burgmeier <armin@0x539.de>

	Allow subscribing by double click on document list

2006-11-04  Armin Burgmeier <armin@0x539.de>

	Libtool stuff

2006-11-04  Armin Burgmeier <armin@0x539.de>

	Do not set modified flag when opening a local file [fixes #214]

2006-10-26  Philipp Kern <phil@0x539.de>

	Put the urgency hint into the preferences dialog

2006-09-05  Philipp Kern <phil@0x539.de>

	MingW compilation fix: windres now detected by autoconf

2006-09-05  Philipp Kern <phil@0x539.de>

	MingW compilation fix

2006-08-27  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-08-27  Philipp Kern <phil@0x539.de>

	Bump version to 0.4.1

2006-08-21  Armin Burgmeier <armin@0x539.de>

	Load pixmaps from pixmaps/ if not found in PIXMAPS_DIR

2006-08-21  Philipp Kern <phil@0x539.de>

	Move the PNGs out of contrib/artwork into pixmaps

2006-08-21  Philipp Kern <phil@0x539.de>

	Remove inline pixmaps and use the external graphics in any case

2006-08-17  Philipp Kern <phil@0x539.de>

	Removed Gobby::Atomic, no longer needed

2006-08-17  Philipp Kern <phil@0x539.de>

	Translation roundup

2006-08-17  Philipp Kern <phil@0x539.de>

	Updated the manual page

2006-08-16  Philipp Kern <phil@0x539.de>

	Bump version to 0.4.0rc4 and depend on obby-0.4.0rc4 or higher

2006-08-16  Armin Burgmeier <armin@0x539.de>

	Preselect line in GotoDialog

2006-08-16  Armin Burgmeier <armin@0x539.de>

	Do not allow self-highlighting

2006-08-15  Philipp Kern <phil@0x539.de>

	Updated NEWS

2006-08-14  Philipp Kern <phil@0x539.de>

	Moved the contents of the View menu to Edit

2006-08-14  Armin Burgmeier <armin@0x539.de>

	Set type hint of tool windows to UTILITY

2006-08-11  Armin Burgmeier <armin@0x539.de>

	Renamed disable-ipc to new-instance

2006-08-08  Armin Burgmeier <armin@0x539.de>

	Made statusbar more standard-compliant

2006-08-08  Armin Burgmeier <armin@0x539.de>

	Added --join and --disable-ipc command line options

2006-08-08  Armin Burgmeier <armin@0x539.de>

	Set urgency hint when chat messages arrive 

2006-08-08  Philipp Kern <phil@0x539.de>

	Save user-modified palettes in the configuration [fixes #181]

2006-08-07  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-08-07  Philipp Kern <phil@0x539.de>

	Bumped version to 0.4.0rc3

2006-08-07  Philipp Kern <phil@0x539.de>

	Strictened the build-dependency on obby-0.4.0rc3

2006-06-16  Philipp Kern <phil@0x539.de>

	GCC 3.3 compile fixes

2006-06-15  Philipp Kern <phil@0x539.de>

	Do not crash when threads are already initialised

2006-06-07  Philipp Kern <phil@0x539.de>

	Replace "Shows up" by "Displays"

2006-06-07  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-06-06  Philipp Kern <phil@0x539.de>

	Depend on obby >= 0.4.0rc2; bump version to 0.4.0rc2

2006-06-07  Armin Burgmeier <armin@0x539.de>

	Fix SEGV caused by wrong usage of Gtk::AccelKey [fixes #163]

2006-06-04  Philipp Kern <phil@0x539.de>

	Translation roundup; new Catalan translation, thanks to Jordi Mallach

2006-06-04  Philipp Kern <phil@0x539.de>

	Bumped gobby.pot to reflect the current source code locations

2006-05-07  Philipp Kern <phil@0x539.de>

	Add document test to the `make check' testrunner

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Added append tests

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Added support for obby::text::npos to Document::erase and
	Document::get_slice

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Added Document test

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Added Document::clear()

2006-05-06  Philipp Kern <phil@0x539.de>

	Check for substrings in Win32 detection

2006-04-24  Armin Burgmeier <armin@0x539.de>

	Added contrib/artwork/doclist.png to EXTRA_DIST [fixes #152]

2006-04-19  Philipp Kern <phil@0x539.de>

	Add a man page for Gobby

2006-04-16  Philipp Kern <phil@0x539.de>

	Do not depend on JoinDialog creation on invokation

2006-04-15  Philipp Kern <phil@0x539.de>

	Check for a generic zeroconf target in obby

2006-04-15  Philipp Kern <phil@0x539.de>

	Expand the artists' credits

2006-04-11  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-04-10  Armin Burgmeier <armin@0x539.de>

	src/gselector.cpp: Added idle call in timout handler.
	This is a workaround for a possible bug in glib: A connection to
	Glib::signal_io is not triggered without waking up the main loop
	once more.

2006-04-10  Philipp Kern <phil@0x539.de>

	Enable URL support on Mac OS X

2006-04-10  Philipp Kern <phil@0x539.de>

	Updates to INSTALL

2006-04-10  Philipp Kern <phil@0x539.de>

	Little wrapping issue in translation

2006-04-10  Philipp Kern <phil@0x539.de>

	Reorder the PKG_CHECK_MODULES calls

2006-04-09  Armin Burgmeier <armin@0x539.de>

	Use Gobby's color selection palette in JoinProgressDialog color prompt

2006-04-09  Armin Burgmeier <armin@0x539.de>

	Fixed a thread-related issue that could cause a SEGV on
	connection loss

2006-04-01  Armin Burgmeier <armin@0x539.de>

	Inherit Document from sigc::trackable

2006-03-31  Philipp Kern <phil@0x539.de>

	gtk-connect does not work on buttons on Mac; reason unknown

2006-03-31  Philipp Kern <phil@0x539.de>

	Update version to 0.4.0rc1

2006-03-31  Philipp Kern <phil@0x539.de>

	Some kind of translation roundup, very limited

2006-03-30  Philipp Kern <phil@0x539.de>

	Empty the TODO for now

2006-03-31  Philipp Kern <phil@0x539.de>

	Updated README

2006-03-30  Armin Burgmeier <armin@0x539.de>

	Align info labels in preferences dialog to the left

2006-03-30  Armin Burgmeier <armin@0x539.de>

	Set priority of user tags lower than GtkSourceView's bracket
	highlighting tag

2006-03-30  Armin Burgmeier <armin@0x539.de>

	Initialize gnome-vfs correctly

2006-03-30  Armin Burgmeier <armin@0x539.de>

	Link http URLs in LogView when compiled --with-gnome [fixes #80]

2006-03-30  Philipp Kern <phil@0x539.de>

	Include the stat header

2006-03-30  Armin Burgmeier <armin@0x539.de>

	Fixed config class

2006-03-29  Armin Burgmeier <armin@0x539.de>

	Fixed Config::ParentEntry::supply_value

2006-03-29  Philipp Kern <phil@0x539.de>

	Depend on gnome-vfs-2.0 when compiled with GNOME support

2006-03-29  Armin Burgmeier <armin@0x539.de>

	Refactored Config class

2006-03-28  Armin Burgmeier <armin@0x539.de>

	Print remove command errors to chat

2006-03-28  Armin Burgmeier <armin@0x539.de>

	Use default context in ipc.cpp

2006-03-28  Armin Burgmeier <armin@0x539.de>

	Avoid unnecessary compiler warnings

2006-03-27  Armin Burgmeier <armin@0x539.de>

	Added timeout capability to GSelector, enable keepalives [fixes #131]

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Added document list item

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Remember position of tool windows

2006-03-25  Armin Burgmeier <armin@0x539.de>

	set initially given font name in Font::set when font selector is
	never realized

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Send command line parameters only to other gobbys owned by the
	same user

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Win32 IPC using hidden windows

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Changed another occurence of obby-0.3 in configure script

2006-03-25  Philipp Kern <phil@0x539.de>

	Depend on net6-1.3 and obby-0.4

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Pass command line parameters to remote Gobby instanc

2006-03-24  Philipp Kern <phil@0x539.de>

	Bump version to 0.3.99 to avoid confusion with final versions

2006-03-24  Armin Burgmeier <armin@0x539.de>

	Do not explictely request encryption, this is done by obby

2006-03-24  Armin Burgmeier <armin@0x539.de>

	Pack statusbar frames without space

2006-03-24  Armin Burgmeier <armin@0x539.de>

	Some fixes to JoinProgressDialog

2006-03-24  Philipp Kern <phil@0x539.de>

	Cosmetic changes to remove the references to RSA

2006-02-08  Benjamin Herr <ben@0x539.de>

	fixed possible out-of-bounds condition in convert2unix

2006-03-20  Armin Burgmeier <armin@0x539.de>

	Protect GSelector by a mutex

2006-03-17  Philipp Kern <phil@0x539.de>

	Initial NEWS section for 0.4.0

2006-03-19  Armin Burgmeier <armin@0x539.de>

	Send chat messages beginning with '/' as command

2006-03-19  Armin Burgmeier <armin@0x539.de>

	Activate goto button when pressing enter

2006-03-17  Philipp Kern <phil@0x539.de>

	We're in 2006

2006-03-17  Armin Burgmeier <armin@0x539.de>

	Reenabled user color change (has been dropped accidently)

2006-03-17  Armin Burgmeier <armin@0x539.de>

	Replaced DefaultDialog by Gtk::Dialog::set_default_response
	[fixes #117]

2006-03-15  Armin Burgmeier <armin@0x539.de>

	Use Gtk::Statusbar instead of Gtk::Frame for status bar

2006-03-15  Armin Burgmeier <armin@0x539.de>

	Added toggle button to hide chat [fixes #134]

2006-03-15  Armin Burgmeier <armin@0x539.de>

	Added chat icon by Benjamin Herr

2006-03-15  Armin Burgmeier <armin@0x539.de>

	Added font selection to preferences [fixes #123]

2006-03-14  Armin Burgmeier <armin@0x539.de>

	Implemented EncodingSelector::remove_text for compatibility
	with gtkmm < 2.8

2006-03-14  Armin Burgmeier <armin@0x539.de>

	Reopen host/join dialog after hosting/joining failed [fixes #130]

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Show suffixed name in window title and document list [fixes #111]

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Removed "Connection is now encrypted" debug message

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Hide mime type column in file preferences page

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Added mnemonics to main menu bar

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Removed remaining references to mimemap

2006-03-09  Armin Burgmeier <armin@0x539.de>

	Ctrl+Alt+PgDown/Up shifts document [fixes #112]

2006-03-09  Armin Burgmeier <armin@0x539.de>

	Added filelist to preferences

2006-03-08  Armin Burgmeier <armin@0x539.de>

	Replaced mime map by file list in preferences

2006-03-07  Armin Burgmeier <armin@0x539.de>

	Disable OK button in password dialog when passwords do not match

2006-03-07  Armin Burgmeier <armin@0x539.de>

	Added application state frags controlling header sensitivity

2006-03-06  Armin Burgmeier <armin@0x539.de>

	Do not allow subscriptions to non-UTF-8-encoded documents

2006-03-06  Armin Burgmeier <armin@0x539.de>

	Store original encoding in document settings [fixes #65]

2006-03-05  Armin Burgmeier <armin@0x539.de>

	Added encoding selection in file chooser

2006-03-05  Armin Burgmeier <armin@0x539.de>

	Do not delete buffer after session closure, allow saving of closed
	sessions

2006-03-02  Philipp Kern <phil@0x539.de>

	Transform the ok button into a host one in the host dialog

2006-03-02  Philipp Kern <phil@0x539.de>

	Use a connect button instead of ok in the join dialog

2006-02-28  Armin Burgmeier <armin@0x539.de>

	Introduced document settings to store document's original encoding

2006-02-28  Armin Burgmeier <armin@0x539.de>

	Send UTF-8 as encoding

2006-02-26  Armin Burgmeier <armin@0x539.de>

	Disable subscribe button when subscription request has been sent
	[fixes #126]

2006-02-24  Armin Burgmeier <armin@0x539.de>

	alt+n switches tabs

2006-02-23  Armin Burgmeier <armin@0x539.de>

	Restored left gravity cursor on remote insert

2006-02-23  Armin Burgmeier <armin@0x539.de>

	Gobby seems to work now, but still needs further testing

2006-02-22  Armin Burgmeier <armin@0x539.de>

	Made Gobby compile again - does still not work

2006-02-19  Armin Burgmeier <armin@0x539.de>

	Adjusted GSelector to new selector principle

2006-02-14  Philipp Kern <phil@0x539.de>

	Experimental patch for client-initiated encryption

2006-02-06  Armin Burgmeier <armin@0x539.de>

	Replaced buffer wrappers by GSelector

2006-02-03  Armin Burgmeier <armin@0x539.de>

	Added obby/document.hpp include since it is heavily decoupled from
	obby itself

2006-02-02  Armin Burgmeier <armin@0x539.de>

	Changed buffer wrapper to match obby's new_net()

2006-01-30  Armin Burgmeier <armin@0x539.de>

	Temporary adjustments for document template parameter in document info

2006-01-29  Armin Burgmeier <armin@0x539.de>

	Temporary adjustments to document type template in obby::document_info

2006-01-26  Armin Burgmeier <armin@0x539.de>

	Changes for new net6 IO conditions

2006-01-11  Trac <trac@darcs.0x539.de>

	TODO updated

2006-01-07  Trac <trac@darcs.0x539.de>

	TODO updated

2005-12-31  Trac <trac@darcs.0x539.de>

	TODO updated

2005-12-13  Trac <trac@darcs.0x539.de>

	TODO updated

2005-12-11  Trac <trac@darcs.0x539.de>

	TODO updated

2005-12-10  Philipp Kern <phil@0x539.de>

	Forgot to translate at least one string

2005-12-08  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-12-07  Philipp Kern <phil@0x539.de>

	Armin spotted the problem with encodings in the chat window

2005-11-24  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-11-24  Philipp Kern <phil@0x539.de>

	Require net6-1.2 >= 1.2.1

2005-11-23  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-22  Armin Burgmeier <armin@0x539.de>

	Removed covariant returns from buffer wrapper

2005-11-21  Armin Burgmeier <armin@0x539.de>

	Do not crash if empty config is found

2005-11-20  Philipp Kern <phil@0x539.de>

	Search for obby in the paths specified by pkg-config

2005-11-20  Armin Burgmeier <armin@0x539.de>

	Give initial focus to close button in close confirmation dialog

2005-11-19  Armin Burgmeier <armin@0x539.de>

	Updated README and AUTHORS

2005-11-19  Armin Burgmeier <armin@0x539.de>

	Atomic write failed if the destination directory was not on the same
	device as the temporary directory, use normal write

2005-11-19  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-18  Armin Burgmeier <armin@0x539.de>

	Added icon.cpp to POTFILES.in

2005-11-18  Armin Burgmeier <armin@0x539.de>

	net6::gettext_package usage

2005-11-17  Armin Burgmeier <armin@0x539.de>

	documentlist.cpp was missing in POTFILES.in

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Need to link against this for OLE Drag+Drop to work

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Fixed a bug in Win32 Drag+Drop

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Added find- and goto dialog to POTFILES.in

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Goto line Dialog [fixes #79]

2005-11-17  Philipp Kern <phil@0x539.de>

	Protect the unpublish call

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Adjusted Automake.am

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Introduces ToggleWindow

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Win32 Drag+Drop support [fixes #71]

2005-11-17  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-16  Armin Burgmeier <armin@0x539.de>

	Use WINDOW_TYPE_HINT_UTILITY for FindDialog as well

2005-11-16  Armin Burgmeier <armin@0x539.de>

	Set WINDOW_TYPE_HINT_UTILITY window_hint for tool windows

2005-11-16  Armin Burgmeier <armin@0x539.de>

	Fixed last dependency on <regex.h>

2005-11-16  Armin Burgmeier <armin@0x539.de>

	Format time string according to current locale

2005-11-15  Armin Burgmeier <armin@0x539.de>

	Win32 build fixes

2005-11-15  Philipp Kern <phil@0x539.de>

	Updated NEWS

2005-11-15  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-11-15  Armin Burgmeier <armin@0x539.de>

	Win32 fixes in ProgressDialog's threading concept

2005-11-15  Armin Burgmeier <armin@0x539.de>

	Prompt when the user wants to exit Gobby and a session is still open
	[fixes #93]

2005-11-15  Armin Burgmeier <armin@0x539.de>

	Some UI fixes

2005-11-15  Armin Burgmeier <armin@0x539.de>

	Removed dependency on GNU regex library

2005-11-15  Armin Burgmeier <armin@0x539.de>

	Working FindDialog, removed regex support

2005-11-14  Philipp Kern <phil@0x539.de>

	String correction

2005-11-13  Armin Burgmeier <armin@0x539.de>

	Find dialog works better, but some regex stuff still does not work

2005-11-13  Philipp Kern <phil@0x539.de>

	Bugfix, transmit the value correctly

2005-11-13  Philipp Kern <phil@0x539.de>

	Remember the window positions

2005-11-13  Armin Burgmeier <armin@0x539.de>

	Non-working FindDialog

2005-11-13  Philipp Kern <phil@0x539.de>

	Moved the config from window to main

2005-11-13  Philipp Kern <phil@0x539.de>

	Expand online users by default

2005-11-13  Armin Burgmeier <armin@0x539.de>

	Added missing documentlist files

2005-11-13  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-13  Armin Burgmeier <armin@0x539.de>

	Added document list, only subscribed document are shown in folder

2005-11-12  Philipp Kern <phil@0x539.de>

	Added userlist image

2005-11-12  Armin Burgmeier <armin@0x539.de>

	Precreate Gobby icon

2005-11-12  Armin Burgmeier <armin@0x539.de>

	Removed empty paned from window

2005-11-12  Armin Burgmeier <armin@0x539.de>

	Added user list as tool window

2005-11-11  Armin Burgmeier <armin@0x539.de>

	Changed user list icons

2005-11-11  Armin Burgmeier <armin@0x539.de>

	Fixed a synchronisation loss when resubscribing to a document

2005-11-11  Armin Burgmeier <armin@0x539.de>

	Implemented tree-based userlist

2005-11-09  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-07  Armin Burgmeier <armin@0x539.de>

	Made folder scrollable, decreases minimum width if many tabs are open

2005-11-07  Armin Burgmeier <armin@0x539.de>

	Initialise colour selection dialog with button's current colour in
	Gobby::ColorButton

2005-11-07  Armin Burgmeier <armin@0x539.de>

	Userlist using TreeView; currently disfunctional!

2005-11-07  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-06  Armin Burgmeier <armin@0x539.de>

	Update title bar correctly upon reconnection [fixes #92]

2005-11-06  Armin Burgmeier <armin@0x539.de>

	Atomic write for documents, do not append newline on write [fixes #91]

2005-11-06  Armin Burgmeier <armin@0x539.de>

	Use a left-gravity cursor on remote insert operations [fixes #84]

2005-11-06  Philipp Kern <phil@0x539.de>

	Added translator credits and link to Rosetta

2005-11-05  Armin Burgmeier <armin@0x539.de>

	pre-select the save button in close confirmation dialog

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Close document just unsubscribes from the document [fixes #83]

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Fixed a German translation error

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Show a close confirmation dialog according to GNOME HIG [fixes #105]

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Convert resulting filename to utf8 in FileEntry

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Added overwrite confirmation if gtkmm is >= 2.8

2005-11-05  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Set Gobby::Icon::gobby as default window icon

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Fixed a memleak in the GtkSourceView wrapper

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Adjustments for inc_flags/exc_flags

2005-11-04  Philipp Kern <phil@0x539.de>

	Allow to join servers with port numbers < 1024

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Fixed another bug in configure.in

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Fixed GTKMM-2.8 check

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Allow to change name/colour directly if it is already in use
	[Scott Baker]

2005-11-03  Philipp Kern <phil@0x539.de>

	Added a check for Gtkmm's version (untested)

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Do not use IPv6 when hosting a session

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Patched Gobby for new obby::colour class

2005-11-03  Armin Burgmeier <armin@0x539.de>

	LogView::log takes optionally timestamp

2005-11-03  Philipp Kern <phil@0x539.de>

	Changed one translated string

2005-11-03  Philipp Kern <phil@0x539.de>

	Added Swedish translation, thanks to Daniel Nylander

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Patched Gobby for new obby chat class

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Updated translation po/pot files

2005-10-28  Armin Burgmeier <armin@0x539.de>

	Patched set_selection to take Gtk::TextIter and scroll to selected
	position

2005-10-28  Benjamin Herr <ben@0x539.de>

	Added GNU regex wrappers (not used yet because they suck at unicode)

2005-10-27  Armin Burgmeier <armin@0x539.de>

	Added Gobby::Document::set_selection

2005-10-29  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-21  Armin Burgmeier <armin@0x539.de>

	Temporary menu entry for saving a session [fixes #20]

2005-10-15  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Session to restore may be given in HostDialog

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Introduces FileEntry

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Removed trailing semicolon after namespace

2005-10-09  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-08  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-08  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-07  Philipp Kern <phil@0x539.de>

	Wrap the lines in the chat window [fixes #99]

2005-10-07  Philipp Kern <phil@0x539.de>

	Escape special characters in document title [fixes #101]

2005-10-07  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-10-07  Philipp Kern <phil@0x539.de>

	Show current connection status in statusbar

2005-10-07  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-05  Philipp Kern <phil@0x539.de>

	Fixed thread creation issues

2005-10-05  Philipp Kern <phil@0x539.de>

	Compile fix by const_casting for g_atomic_int_get

2005-10-05  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-04  Armin Burgmeier <armin@0x539.de>

	Do not block when connecting to a remote host

2005-10-04  Armin Burgmeier <armin@0x539.de>

	Added Atomic class for Atomic boolean operations

2005-10-04  Armin Burgmeier <armin@0x539.de>

	Adjusted buffer wrappers to buffer's reusability

2005-10-01  Philipp Kern <phil@0x539.de>

	Do not show disconnected users as joined in chat

2005-10-01  Philipp Kern <phil@0x539.de>

	Make connected flag in userlist dependend on the user's value

2005-09-29  Trac <trac@darcs.0x539.de>

	TODO updated

2005-09-22  Michael Walter <cm@leetspeak.org>

	Added #include to <winsock2.h> to avoid <winsock.h> being
	included later.

2005-09-22  Michael Walter <cm@leetspeak.org>

	Compile fix (m_client -> m_net.reset).

2005-09-22  Michael Walter <cm@leetspeak.org>

	Added missing return statement.

2005-09-22  Michael Walter <cm@leetspeak.org>

	Unicode fixes (was calling generic version with ASCII/ANSI strings).

2005-09-20  Armin Burgmeier <armin@0x539.de>

	Fixed usages of user_table's iterator for non-templated user_table

2005-09-19  Trac <trac@darcs.0x539.de>

	TODO updated

2005-09-17  Armin Burgmeier <armin@0x539.de>

	Fixed a crash on client-side connection loss

2005-09-15  Philipp Kern <phil@0x539.de>

	Removed pending changes and revision from the status bar

2005-09-15  Philipp Kern <phil@0x539.de>

	Opened new 0.3.x tree

2005-09-15  Philipp Kern <phil@0x539.de>

	Depend on net6-1.2 and obby-0.3

2005-09-15  Armin Burgmeier <armin@0x539.de>

	Avoid useless thread in JoinProgressDialog

2005-09-15  Armin Burgmeier <armin@0x539.de>

	Two additional checks concerning subscription

2005-09-15  Philipp Kern <phil@0x539.de>

	Added 0.3.0 NEWS item

2005-09-05  Philipp Kern <phil@0x539.de>

	Added a NEWS item to reflect the line encoding patch

2005-09-02  Philipp Kern <phil@0x539.de>

	Updated NEWS to reflect more changes

2005-09-14  Armin Burgmeier <armin@0x539.de>

	Adjustments to jupiter-using obby

2005-09-13  Trac <trac@darcs.0x539.de>

	TODO updated

2005-09-07  Armin Burgmeier <armin@0x539.de>

	Some more const-correctness

2005-09-06  Armin Burgmeier <armin@0x539.de>

	Adjusted buffer wrapper because peer has been renamed to user in net6

2005-07-28  Armin Burgmeier <armin@0x539.de>

	Fixed SEGV on win32 when creating/joining a session

2005-09-05  Philipp Kern <phil@0x539.de>

	Removed obsolete TODO items

2005-09-05  Trac <trac@darcs.0x539.de>

	TODO updated

2005-09-04  Philipp Kern <phil@0x539.de>

	Convert all different line encodings to UNIX ones

2005-09-02  Philipp Kern <phil@0x539.de>

	Added 0.2.1 and 0.2.2 to version history

2005-09-01  Armin Burgmeier <armin@0x539.de>

	Disable Glib's implicit charset conversion to the current locale

2005-08-31  Philipp Kern <phil@0x539.de>

	Fixed most unknown file extensions, added some more

2005-08-21  Philipp Kern <phil@0x539.de>

	Made the JoinDialog vbox non-conditional

2005-08-27  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-25  Armin Burgmeier <armin@0x539.de>

	net6::client::conn is now auto_ptr<connection

2005-08-25  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-23  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-18  Philipp Kern <phil@0x539.de>

	Updated AUTHORS to list contributors and translators

2005-08-18  Philipp Kern <phil@0x539.de>

	Added Spanish translation, thanks to Mario Palomo

2005-08-15  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-13  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-07  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-05  Philipp Kern <phil@0x539.de>

	Allow to open documents as unowned text, thanks to Ben Levitt
	[fixes #52]

2005-08-05  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-03  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-02  Philipp Kern <phil@0x539.de>

	Non-empty documents are flagged modified [ref #72]

2005-07-31  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-29  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2005-07-29  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-28  Philipp Kern <phil@0x539.de>

	Updated German translation

2005-07-28  Philipp Kern <phil@0x539.de>

	Updates from `make update-po'

2005-07-28  Armin Burgmeier <armin@0x539.de>

	Win32 build fix

2005-07-27  Armin Burgmeier <armin@0x539.de>

	Some fixes for buffer_wrappers

2005-07-27  Armin Burgmeier <armin@0x539.de>

	Fixed POTFILES.in for new io/ subdir

2005-07-27  Armin Burgmeier <armin@0x539.de>

	Emit content_changed signal in insert/erase_after [fixes #64]

2005-07-27  Armin Burgmeier <armin@0x539.de>

	Queried the cached subscribe value instead of requesting it from
	obby::document_info [fixes #63]

2005-07-27  Armin Burgmeier <armin@0x539.de>

	Moved buffer_wrapper to io/ subdir, enhanced portabaility

2005-07-27  Philipp Kern <phil@0x539.de>

	The last missing French string

2005-07-27  Philipp Kern <phil@0x539.de>

	Updated French translation by Peer Janssen

2005-07-27  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-26  Philipp Kern <phil@0x539.de>

	Better Win32 network handling announced

2005-07-26  Philipp Kern <phil@0x539.de>

	Added a readme and an installation guide [fixes #51]

2005-07-26  Philipp Kern <phil@0x539.de>

	Initialise the colour selection dialog with the current user colour

2005-07-26  Armin Burgmeier <armin@0x539.de>

	Column returns the real column of the text not just the nth character

2005-07-26  Armin Burgmeier <armin@0x539.de>

	User highlighting when name is mentioned in chat [fixes #6]

2005-07-26  Armin Burgmeier <armin@0x539.de>

	Prompt before closing modified documents

2005-07-26  Armin Burgmeier <armin@0x539.de>

	Save host/port settings into new config keys

2005-07-26  Armin Burgmeier <armin@0x539.de>

	Switch to tabs newly opened [fixes #27]

2005-07-26  Armin Burgmeier <armin@0x539.de>

	Connected/Subscribed flags in user list (fixes #12)

2005-07-25  Armin Burgmeier <armin@0x539.de>

	Check for valid UTF-8 after converting

2005-07-25  Armin Burgmeier <armin@0x539.de>

	Try to convert files with other encodings to UTF-8 [fixes #43]

2005-07-25  Philipp Kern <phil@0x539.de>

	Colourised tab labels [fixes #59]

2005-07-25  Philipp Kern <phil@0x539.de>

	Merged host and join dialog data just again, with separated ports
	and hostnames

2005-07-25  Philipp Kern <phil@0x539.de>

	Added more dots to the menu items

2005-07-25  Armin Burgmeier <armin@0x539.de>

	Format string adjustments

2005-07-25  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-24  Philipp Kern <phil@0x539.de>

	Depend on obby's 0.2.x API

2005-07-24  Philipp Kern <phil@0x539.de>

	Improved the Zeroconf handling

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Added Window::get_current_document

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Do not allow empty document names

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Removed useless preferences_changed delegate

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Update cursor position display in statusbar by remote changes

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Modified flag [fixes #25]

2005-07-24  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Added PasswordDialog

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Corrections to file handling

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Added toolbar settings into preferences [fixes #32]

2005-07-23  Philipp Kern <phil@0x539.de>

	Added some release notes directly to the sources

2005-07-23  Philipp Kern <phil@0x539.de>

	Adjusted the Zeroconf usage

2005-07-23  Armin Burgmeier <armin@0x539.de>

	First attempt to allow opening files by dropping them on a
	document, doesn't work.

2005-07-23  Armin Burgmeier <armin@0x539.de>

	Drag+Drop of files into open Gobby session

2005-07-23  Philipp Kern <phil@0x539.de>

	Set colour implemented

2005-07-21  Armin Burgmeier <armin@0x539.de>

	UNDO: Use 'session' config key for both client and host

2005-07-23  Armin Burgmeier <armin@0x539.de>

	No fixed size for the send button

2005-07-23  Armin Burgmeier <armin@0x539.de>

	Removed debug log

2005-07-23  Armin Burgmeier <armin@0x539.de>

	Colour presets [fixes #36] Thanks tom! :D

2005-07-23  Philipp Kern <phil@0x539.de>

	Use a tooltip instead of an expanded label

2005-07-23  Armin Burgmeier <armin@0x539.de>

	Smart home/end preference

2005-07-23  Armin Burgmeier <armin@0x539.de>

	Re-arranged status bar

2005-07-22  Armin Burgmeier <armin@0x539.de>

	Some more preferences

2005-07-23  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-22  Armin Burgmeier <armin@0x539.de>

	typo in preferences dialog fixed

2005-07-22  Armin Burgmeier <armin@0x539.de>

	Local preferences, syntax submenu

2005-07-22  Armin Burgmeier <armin@0x539.de>

	Fixed some messup

2005-07-22  Philipp Kern <phil@0x539.de>

	Fixed just another conflict

2005-07-22  Philipp Kern <phil@0x539.de>

	A cleanup patch to fix hundreds of conflicts

2005-07-22  Philipp Kern <phil@0x539.de>

	Changed the GtkSourceView dependency to a hard one

2005-07-22  Armin Burgmeier <armin@0x539.de>

	Fixed conflict caused by phil's security page

2005-07-22  Armin Burgmeier <armin@0x539.de>

	Introduced working preferences, some are missing

2005-07-22  Philipp Kern <phil@0x539.de>

	Added a Security stub to the preferences dialog sources

2005-07-21  Philipp Kern <phil@0x539.de>

	Changes to the About dialog

2005-07-21  Armin Burgmeier <armin@0x539.de>

	Small UI fixes

2005-07-21  Armin Burgmeier <armin@0x539.de>

	First preferences dialog approach

2005-07-21  Philipp Kern <phil@0x539.de>

	Used ngettext one time, updated templates a bit

2005-07-21  Armin Burgmeier <armin@0x539.de>

	Changes by libtool

2005-07-21  Armin Burgmeier <armin@0x539.de>

	Use 'session' config key for both client and host

2005-07-21  Philipp Kern <phil@0x539.de>

	Use the right directory to look for pixmaps

2005-07-21  Armin Burgmeier <armin@0x539.de>

	Small adjustments to net6 API change

2005-07-21  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Connect synchoniously to the server, would cause too much
	trouble otherwise

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Gtk::manage dynamically allocated widgets

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Fixed SEGV on connection error

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Initialize Threading system in main()

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Close icons in tab labels [ref #32]

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Display current document in title bar

2005-07-19  Armin Burgmeier <armin@0x539.de>

	Progress dialogs

2005-07-18  Philipp Kern <phil@0x539.de>

	Added dependency on gthread-2.0, versioned one on net6

2005-07-17  Armin Burgmeier <armin@0x539.de>

	User authentication stuff

2005-07-15  Armin Burgmeier <armin@0x539.de>

	Global password

2005-07-15  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-03  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-01  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-30  Philipp Kern <phil@0x539.de>

	Highlight chat messages with the own nickname [fixes #6]

2005-06-30  Philipp Kern <phil@0x539.de>

	Pass the current session buffer to all client widgets

2005-06-25  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-24  Philipp Kern <phil@0x539.de>

	Removed two unnecessary includes from src/buffer_wrapper.cpp

2005-06-24  Philipp Kern <phil@0x539.de>

	French translation reviewed by Mohammed Adnene Trojette <adn@diwi.org>

2005-06-24  Philipp Kern <phil@0x539.de>

	Updated translation files

2005-06-24  Philipp Kern <phil@0x539.de>

	Updated German translation, still not fully completed

2005-06-23  Philipp Kern <phil@0x539.de>

	Catch-all update of the gettext stuff

2005-06-23  Philipp Kern <phil@0x539.de>

	Added French translation of Peer Janssen <peer@baden-online.de>
	[fixes #50]

2005-06-23  Armin Burgmeier <armin@0x539.de>

	Fixes for changed obby record API

2005-06-17  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-16  Philipp Kern <phil@0x539.de>

	Removed autogen.sh, it is superseded by autoreconf

2005-06-16  Philipp Kern <phil@0x539.de>

	Return a const char pointer from gettext

2005-06-15  Philipp Kern <phil@0x539.de>

	Added word wrapping

2005-06-15  Armin Burgmeier <armin@0x539.de>

	Replace all non-ascii characters in UI XML [fixes #44]

2005-06-14  Philipp Kern <phil@0x539.de>

	One new string to translate, updated debconf template

2005-06-14  Philipp Kern <phil@0x539.de>

	Added missing conditionals related to GtkSourceView

2005-06-14  Philipp Kern <phil@0x539.de>

	Gobby depends on obby 0.2.0 or higher

2005-06-14  Armin Burgmeier <armin@0x539.de>

	Using obby::format_string instead of std::stringstream

2005-06-14  Armin Burgmeier <armin@0x539.de>

	Enable highlighting when subscribed

2005-06-14  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-13  Armin Burgmeier <armin@0x539.de>

	Adjustments for synchronisation on request.
	The core feature seems to work. The user interface, however,
	may be discussed and changed later on. This is just a first try
	to test the feature and to make Gobby compile with it.

2005-06-13  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-12  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-10  Philipp Kern <phil@0x539.de>

	Preliminary, but working Zeroconf support [ref #17]

2005-06-09  Philipp Kern <phil@0x539.de>

	Revised the German translation

2005-06-09  Philipp Kern <phil@0x539.de>

	Corrected AE color to BE colour

2005-06-09  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-08  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-07  Armin Burgmeier <armin@0x539.de>

	Adjusted code for changes user flags in libobby

2005-06-07  Philipp Kern <phil@0x539.de>

	Modified history by adding the missing 0.1.1 NEWS entry

2005-06-07  Philipp Kern <phil@0x539.de>

	Added dependency on Automake 1.9; added missing NEWS check

2005-06-07  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-06  Philipp Kern <phil@0x539.de>

	Ship gobby.desktop in the distribution

2005-06-06  Armin Burgmeier <armin@0x539.de>

	Adjusted for net6's error code transmission (#16)

2005-06-06  Armin Burgmeier <armin@0x539.de>

	Better win32 network implementation [fixes #2]

2005-06-05  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-04  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Fixed a segfault which occured sometimes when closing documents

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Introduced DefaultDialog to allow to press Enter in dialogs

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Show up user-colourising text immediately [fixes #22]

2005-06-04  Philipp Kern <phil@0x539.de>

	Removed the useless ENABLE_NLS check as we hard-depend on gettext

2005-06-04  Philipp Kern <phil@0x539.de>

	Translated missing strings into German

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Use another default color as black [fixes #34]

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Remove entities in on_folder_tab_switched

2005-06-04  Armin Burgmeier <armin@0x539.de>

	A much better fix for #24

2005-06-04  Philipp Kern <phil@0x539.de>

	Updated the gettext template and the German translation

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Removed Umlauts from Language file names to build valid XML,
	renamed Document to View in menu

2005-06-04  Armin Burgmeier <armin@0x539.de>

	Update user colour in key press event handler if possible [fixes #24]
	If someone copied a part of the buffer, the tags applied to it
	were copied, too. If he pasted it then, the insert-text signal
	handler could not remove those tags because they were not yet
	applied. So it ended up in having to user colour tags applied to
	the new range of text: The one from the user who pasted the text and
	the one from the user who wrote the original text. This is solved
	by adding tags followed by a key press event not anymore in the
	insert-text event handler but in the key press event handler,
	which is called later, when the pasted tag already has been applied.
	Then, it may be removed and the one and only user colour tag
	can be set.

2005-06-03  Philipp Kern <phil@0x539.de>

	Use "n unsynced change(s)" instead of "in sync"

2005-06-03  Benjamin Herr <ben@0x539.de>

	Fixed my messup fixing the chat multiline handling

2005-06-03  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Philipp Kern <phil@0x539.de>

	Merging the multi-line chat fixes

2005-05-31  Benjamin Herr <ben@0x539.de>

	Splitting up received lines of chat by newlines, added todo items

2005-06-02  Armin Burgmeier <armin@0x539.de>

	Menu to switch the syntax colouring scheme [fixes #4]

2005-06-01  Armin Burgmeier <armin@0x539.de>

	Option to disable line numbers [fixes #7]

2005-06-01  Armin Burgmeier <armin@0x539.de>

	Show revision and sync state in statusbar [fixes #13]

2005-06-01  Armin Burgmeier <armin@0x539.de>

	Fixed some errors caused by recent libobby API changes

2005-05-30  Armin Burgmeier <armin@0x539.de>

	Set correct notebook tab after startup

2005-05-29  Armin Burgmeier <armin@0x539.de>

	Use of local_buffer instead of dynamic casts [ref #9]

2005-05-29  Armin Burgmeier <armin@0x539.de>

	Initialise size of paned widgets [fixes #5]

2005-05-29  Armin Burgmeier <armin@0x539.de>

	Allow the user to save documents after connection loss [fixes #1]

2005-05-29  Armin Burgmeier <armin@0x539.de>

	Disable close and save buttons if no more documents are open

2005-05-28  Armin Burgmeier <armin@0x539.de>

	Send lines separately in chat

2005-05-26  Philipp Kern <phil@0x539.de>

	Changed the desktop item's name to be a bit more compilant

2005-05-26  Armin Burgmeier <armin@0x539.de>

	Segfault fixed some time ago...

2005-05-22  Philipp Kern <phil@0x539.de>

	Ebuild change: Depend on gtksourceview, use GNOME integration

2005-05-21  Philipp Kern <phil@0x539.de>

	Load icon from file when compiled --with-gnome

2005-05-21  Philipp Kern <phil@0x539.de>

	Resized the 128x128 XPM to 32x32

2005-05-20  Philipp Kern <pkern@debian.org>

	Added missing assert include

2005-05-20  Philipp Kern <phil@0x539.de>

	Added build-dependency on net6-1.0

2005-05-19  Philipp Kern <phil@0x539.de>

	configure now detects the presence of GtkSourceView automatically

2005-05-19  Philipp Kern <phil@0x539.de>

	Makefile.am had a wrong conditional statement

2005-05-15  Philipp Kern <phil@0x539.de>

	Serious bug exploited, po/ permission-related build fix

2005-05-15  Philipp Kern <phil@0x539.de>

	Added GNOME integration

2005-05-11  Philipp Kern <phil@0x539.de>

	Added gzip'ed XPM version of the Gobby logo

2005-05-10  Armin Burgmeier <armin@0x539.de>

	Fixed a segfault which occured sometimes on the exit

2005-05-08  Armin Burgmeier <armin@0x539.de>

	Shuffled some files around, fixed non-gtksourceview build [phil]

2005-05-08  Armin Burgmeier <armin@0x539.de>

	WIN32 build fix (resource files build correctly) [phil]

2005-05-08  Armin Burgmeier <armin@0x539.de>

	gobby resource file until autotools are able to build it

2005-05-08  Armin Burgmeier <armin@0x539.de>

	Sized gobby.ico to 48x48
	Bigger icons just waste memory on windows, they will never be shown in
	their full size.

2005-05-08  Philipp Kern <phil@0x539.de>

	Try to build gobby.res from top-level Makefile.am

2005-05-08  Philipp Kern <phil@0x539.de>

	Use Automake for win32/ subdirectory

2005-05-08  Philipp Kern <phil@0x539.de>

	Fixed make dist

2005-05-08  Philipp Kern <phil@0x539.de>

	Delocalised two error strings

2005-05-08  Philipp Kern <phil@0x539.de>

	po reflect new line numbers within the source files

2005-05-08  Philipp Kern <phil@0x539.de>

	Include contrib/ and win32/ in make dist

2005-05-08  Philipp Kern <phil@0x539.de>

	Added more WIN32 build stuff

2005-05-07  Philipp Kern <phil@0x539.de>

	Suppress the console window in favour of a real GUI application

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Win32 does not have localtime_r
	We do not need thread safety anyway...

2005-05-07  Armin Burgmeier <armin@0x539.de>

	make dist requires ChangeLog...

2005-05-07  Armin Burgmeier <armin@0x539.de>

	win32 resource file for the gobby icon

2005-05-07  Armin Burgmeier <armin@0x539.de>

	User colourising

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Added keyboard shortcuts

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Moved language manager to folder

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Replaced _ macro by an inline function

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Separate mime map

2005-05-06  Armin Burgmeier <armin@0x539.de>

	StatusBar showing cursor position and current language

2005-05-06  Philipp Kern <phil@0x539.de>

	Added more TODO items

2005-05-05  Philipp Kern <phil@0x539.de>

	Made the TODO list more readable

2005-05-05  Philipp Kern <phil@0x539.de>

	A missing shell call produced build errors

2005-05-05  Philipp Kern <phil@0x539.de>

	Set scripts executable and use a partial checkout in the ebuild

2005-05-05  Philipp Kern <phil@0x539.de>

	Added missing po/Makefile.in.in

2005-05-05  Philipp Kern <phil@0x539.de>

	Gobby i18n, German translation added

2005-05-05  Philipp Kern <phil@0x539.de>

	Ignore more intermediate files

2005-05-05  Philipp Kern <phil@0x539.de>

	Added mkinstalldirs from Autotools

2005-05-05  Armin Burgmeier <armin@0x539.de>

	auto* updated some auto-generated files...

2005-05-05  Armin Burgmeier <armin@0x539.de>

	Gobby sends positions now in bytes and no longer in characters.
	libobby takes all positions in bytes to having not to care about
	different encodings.

2005-05-04  Philipp Kern <phil@0x539.de>

	Display a Gtk::MessageDialog on an unhandled exception

2005-04-27  Philipp Kern <phil@0x539.de>

	Fixed gobby to compile without gtksourceview

2005-04-26  Philipp Kern <phil@0x539.de>

	Insert parameter placeholder corrected

2005-04-25  Philipp Kern <phil@0x539.de>

	Ugly fix to get the times right

2005-04-25  Armin Burgmeier <armin@0x539.de>

	Implemented timestamps in logview

2005-04-25  Philipp Kern <phil@0x539.de>

	Some corrections to the file types

2005-04-24  Philipp Kern <phil@0x539.de>

	Set current name in the Save FileChooser

2005-04-24  Philipp Kern <phil@0x539.de>

	Added two new TODO items

2005-04-22  Armin Burgmeier <armin@0x539.de>

	Code highlighting by file extension

2005-04-22  Armin Burgmeier <armin@0x539.de>

	Some GtkSourceView wrapper fixes and extensions

2005-04-22  Armin Burgmeier <armin@0x539.de>

	GtkSourceLanguagesManager wrapper

2005-04-21  Armin Burgmeier <armin@0x539.de>

	Wrapped GtkSourceLanguage

2005-04-21  Armin Burgmeier <armin@0x539.de>

	Use a monospaced font for the TextView

2005-04-20  Armin Burgmeier <armin@0x539.de>

	GtkSourceBuffer wrapper

2005-04-18  Philipp Kern <phil@0x539.de>

	Save document was missing in the source

2005-04-17  Philipp Kern <phil@0x539.de>

	Check for howl in libobby

2005-04-17  Armin Burgmeier <armin@0x539.de>

	sourceview/-subdir for sourceview wrappers, Gtk::SourceView
	actually works

2005-04-17  Philipp Kern <phil@0x539.de>

	Gather host information correctly

2005-04-17  Armin Burgmeier <armin@0x539.de>

	Win32 buffer_wrappers using a timer

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Added tom as artist

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Added inline gobby icon

2005-04-15  Philipp Kern <phil@0x539.de>

	Added artwork credits

2005-04-15  Thomas Glatt <tom@0x539.de>

	Added Gobby artwork

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Call correct base_function in Gobby::Host::on_connect

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Adjusted buffer_wrapper for net6 API corrections

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Added some first wrapper code for GtkSourceView -- disfunctional

2005-04-15  Philipp Kern <phil@0x539.de>

	Added framework to use SourceView instead of TextView

2005-04-14  Philipp Kern <phil@0x539.de>

	Added boringfile

2005-04-14  Philipp Kern <phil@0x539.de>

	Added save document hooks, but w/o real functionality

2005-04-14  Philipp Kern <phil@0x539.de>

	Use the new include path of libobby

2005-04-14  Philipp Kern <phil@0x539.de>

	Check for obby-1.0 instead of lobby-1.0

2005-04-14  Philipp Kern <phil@0x539.de>

	Implemented open document

2005-04-14  Philipp Kern <phil@0x539.de>

	Removed ui.xml from the ebuild

2005-04-14  Philipp Kern <phil@0x539.de>

	XML UI descriptions are now present within src/header.cpp

2005-04-14  Philipp Kern <phil@0x539.de>

	Compile the right buffer wrappers for their corresponding platform

2005-04-14  Philipp Kern <phil@0x539.de>

	Fix buffer wrapper to use generic on !WIN32

2005-04-12  Armin Burgmeier <armin@0x539.de>

	Splitted buffer_wrapper up to buffer_wrapper_generic and
	buffer_wrapper. buffer_wrapper_win32 will follow.

2005-04-11  Philipp Kern <phil@0x539.de>

	Implemented close a bit more correctly, updated TODO

2005-04-11  Philipp Kern <phil@0x539.de>

	Remove current document, *hopefully* w/o memory leak

2005-04-10  Thomas Glatt <tom@0x539.de>

	Ebuild for gobby

2005-04-10  Philipp Kern <phil@0x539.de>

	Resolved conflict in Makefile.am related to WIN32 build

2005-04-10  Philipp Kern <phil@0x539.de>

	Added WIN32 build support

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Win32 build fixes; buffer_wrappers still use a timer on win32

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Distribute header files with 'make dist'

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Replaced ERROR with IOERROR in buffer_wrappers according to
	new net6 API

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Fixed missing <cassert> include in buffer_wrapper.cpp

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Use the file name of the file to open as document title

2005-04-09  Philipp Kern <phil@0x539.de>

	Relicensed under the GPL
	Reasoning: There was never the intention to license gobby under
	the LGPL. COPYING included the GPL but all the license headers referred
	to the LGPL. This is now fixed in accordance with all the
	contributing authors.
	ACK:
	 - Armin Burgmeier <armin@0x539.de>
	 - Philipp Kern <phil@0x539.de>
	 - Benjamin Herr <ben@0x539.de>

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Watching on Glib::signal_io() instead of using a timer

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Fixed a crash in gobby which occured if a connection has been lost

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Changed Menu-Action 'Help' to 'MenuHelp', for consistency with other
	actions

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Resolved a conflict in inc/window.hpp and src/window.cpp

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Document creation

2005-04-08  Philipp Kern <phil@0x539.de>

	Added about dialog

2005-04-08  Benjamin Herr <ben@0x539.de>

	Added entrydialog to prompt for strings

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Fixed gobby synchronization

2005-04-08  Benjamin Herr <ben@0x539.de>

	Added menu items for *Document, fixed typo

2005-04-08  Philipp Kern <phil@0x539.de>

	Moved config_.hpp to config.hpp, introduced features.hpp

2005-04-07  Philipp Kern <phil@0x539.de>

	Added initial NEWS content and Ben to AUTHORS

2005-04-07  Philipp Kern <phil@0x539.de>

	Added document toolbar button stubs

2005-04-07  Philipp Kern <phil@0x539.de>

	Receive document title from libobby

2005-04-07  Armin Burgmeier <armin@0x539.de>

	h4ck

2005-04-07  Benjamin Herr <ben@0x539.de>

	Todo: Exceptions?

2005-04-07  Benjamin Herr <ben@0x539.de>

	Fixed window to also connect chat signals on join

2005-04-07  Benjamin Herr <ben@0x539.de>

	Fixed indenting spaces to be tabs

2005-04-07  Armin Burgmeier <armin@0x539.de>

	Document synchronisation thorugh libobby

2005-04-07  Benjamin Herr <ben@0x539.de>

	Added handling of chat events from m_chat and m_buffer

2005-04-05  Armin Burgmeier <armin@0x539.de>

	Initial TODO file

2005-04-04  Philipp Kern <phil@0x539.de>

	Depend on gtkmm-2.4 >= 2.6.0

2005-04-03  Armin Burgmeier <armin@0x539.de>

	Document class representing an obby::document

2005-04-03  Armin Burgmeier <armin@0x539.de>

	Event delegations

2005-04-03  Armin Burgmeier <armin@0x539.de>

	XML config file in home dir; requires libxml++

2005-04-02  Armin Burgmeier <armin@0x539.de>

	Added create & join dialogs

2005-04-02  Armin Burgmeier <armin@0x539.de>

	Skeleton of the UI

2005-04-02  Armin Burgmeier <armin@0x539.de>

	Header, GTK naming scheme

2005-03-30  Philipp Kern <phil@0x539.de>

	Autotoolised gobby

2005-03-30  Armin Burgmeier <armin@0x539.de>

	Empty gobby window
